/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         sfcXmlparse
#define yylex           sfcXmllex
#define yyerror         sfcXmlerror
#define yydebug         sfcXmldebug
#define yynerrs         sfcXmlnerrs

/* First part of user prologue.  */
#line 1 "cimXmlOps.y"


/*
 * cimXmlOps.y
 *
 * (C) Copyright IBM Corp. 2005
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE ECLIPSE PUBLIC LICENSE
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Eclipse Public License from
 * http://www.opensource.org/licenses/eclipse-1.0.php
 *
 * Author:       Adrian Schuur <schuur@de.ibm.com>
 *
 * Description:
 *
 * CIM XML grammar for sfcb.
 *
*/


/*
**==============================================================================
**
** Includes
**
**==============================================================================
*/

#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include "cmpidtx.h"
#include "cimXmlGen.h"
#include "cimXmlParser.h"
#include "cimXmlOps.h"
#include "objectImpl.h"
#include "constClass.h"
#include "native.h"
#include "control.h"

extern CMPIConstClass initConstClass(ClClass * cl);
extern MsgSegment setConstClassMsgSegment(CMPIConstClass * cl);
extern MsgSegment setInstanceMsgSegment(CMPIInstance *ci);
extern MsgSegment setArgsMsgSegment(CMPIArgs * args);
#ifdef HAVE_QUALREP
extern CMPIQualifierDecl initQualifier(ClQualifierDeclaration * qual);
#endif

int updateMethodParamTypes(RequestHdr * hdr);
//
// Define the global parser state object:
//

#define YYERROR_VERBOSE 1


/* assumed max number of elements; used for initial malloc */
#define VALUEARRAY_MAX_START 32
#define VALUEREFARRAY_MAX_START 32
#define KEYBINDING_MAX_START 12

#ifdef LOCAL_CONNECT_ONLY_ENABLE
// from httpAdapter.c
int             noChunking = 0;
#endif                          // LOCAL_CONNECT_ONLY_ENABLE
extern int      noChunking;



extern int yyerror(void *, const char *);
extern int yylex (void *lvalp, ParserControl *parm);
//extern MsgSegment setInstanceMsgSegment(const CMPIInstance *ci);


static void setRequest(void *parm, void *req, unsigned long size, int type)
{
   ((ParserControl*)parm)->reqHdr.cimRequestLength=size;
   ((ParserControl*)parm)->reqHdr.cimRequest=malloc(size);
   memcpy(((ParserControl*)parm)->reqHdr.cimRequest,req,size);
   ((ParserControl*)parm)->reqHdr.opType = type;
}

static void
buildAssociatorNamesRequest(void *parm)
{
  CMPIObjectPath *path;
  AssociatorNamesReq *sreq;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  int       i, m;
  BinRequestContext *binCtx = hdr->binCtx;
  CMPIType        type;
  CMPIValue       val,
                 *valp;

  _SFCB_ENTER(TRACE_CIMXMLPROC, "buildAssociatorNamesRequest");
  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokAssociatorNames *req = (XtokAssociatorNames *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  for (i = 0, m = req->objectName.bindings.next; i < m; i++) {
    valp = getKeyValueTypePtr(req->objectName.bindings.keyBindings[i].type,
                              req->objectName.bindings.keyBindings[i].
                              value,
                              &req->objectName.bindings.keyBindings[i].ref,
                              &val, &type, req->op.nameSpace.data);
    CMAddKey(path, req->objectName.bindings.keyBindings[i].name, valp,
             type);
  }

  if (req->objectName.bindings.next == 0) {
    free(hdr->binCtx->bHdr);
    hdr->rc = CMPI_RC_ERR_NOT_SUPPORTED;
    hdr->errMsg = strdup("AssociatorNames operation for classes not supported.");
    return;
  }
  if (!req->objNameSet) {
    free(hdr->binCtx->bHdr);
    hdr->rc = CMPI_RC_ERR_INVALID_PARAMETER;
    hdr->errMsg = strdup("ObjectName parameter required.");
    return;
  }
  sreq = calloc(1, sizeof(*sreq)); 
  sreq->hdr.operation = OPS_AssociatorNames;
  sreq->hdr.count = AIN_REQ_REG_SEGMENTS;

  sreq->objectPath = setObjectPathMsgSegment(path);

  sreq->resultClass = req->op.resultClass;
  sreq->role = req->op.role;
  sreq->assocClass = req->op.assocClass;
  sreq->resultRole = req->op.resultRole;
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  req->op.className = req->op.assocClass;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = 0;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq); 
  binCtx->type = CMPI_ref;
  binCtx->xmlAs = XML_asObjectPath;
  binCtx->noResp = 0;
  binCtx->pAs = NULL;

}

static void
buildAssociatorsRequest(void *parm)
{

  CMPIObjectPath *path;
  AssociatorsReq *sreq;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  int             i,m,
      sreqSize = sizeof(AssociatorsReq);        // -sizeof(MsgSegment);
  BinRequestContext *binCtx = hdr->binCtx;
  CMPIType        type;
  CMPIValue       val,
                 *valp;

  _SFCB_ENTER(TRACE_CIMXMLPROC, "buildAssociatorsRequest");

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokAssociators *req = (XtokAssociators *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);

  if (req->objectName.bindings.next == 0) {
    free(hdr->binCtx->bHdr);
    hdr->rc = CMPI_RC_ERR_NOT_SUPPORTED;
    hdr->errMsg = strdup("Associator operation for classes not supported.");
    return;
  }
  if (!req->objNameSet) {
    free(hdr->binCtx->bHdr);
    hdr->rc = CMPI_RC_ERR_INVALID_PARAMETER;
    hdr->errMsg = strdup("ObjectName parameter required.");
    return;
  }

  if (req->properties)
    sreqSize += req->properties * sizeof(MsgSegment);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = OPS_Associators;
  sreq->hdr.count = req->properties + AI_REQ_REG_SEGMENTS;

  for (i = 0, m = req->objectName.bindings.next; i < m; i++) {
    valp = getKeyValueTypePtr(req->objectName.bindings.keyBindings[i].type,
                              req->objectName.bindings.keyBindings[i].
                              value,
                              &req->objectName.bindings.keyBindings[i].ref,
                              &val, &type, req->op.nameSpace.data);
    CMAddKey(path, req->objectName.bindings.keyBindings[i].name, valp,
             type);
  }

  sreq->objectPath = setObjectPathMsgSegment(path);

  sreq->resultClass = req->op.resultClass;
  sreq->role = req->op.role;
  sreq->assocClass = req->op.assocClass;
  sreq->resultRole = req->op.resultRole;
  sreq->hdr.flags = req->flags;
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  for (i = 0; i < req->properties; i++)
    sreq->properties[i] =
        setCharsMsgSegment(req->propertyList.values[i].value);

  req->op.className = req->op.assocClass;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = req->flags;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;
  binCtx->type = CMPI_instance;
  binCtx->xmlAs = XML_asObj;
  binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildEnumInstanceRequest(void *parm)
{
  CMPIObjectPath *path;
  EnumInstancesReq *sreq;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  int    i,
      sreqSize = sizeof(EnumInstancesReq);      // -sizeof(MsgSegment);
  BinRequestContext *binCtx = hdr->binCtx;
  
  _SFCB_ENTER(TRACE_CIMXMLPROC, "buildEnumInstancesRequest");

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokEnumInstances *req = (XtokEnumInstances *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  if (req->properties)
    sreqSize += req->properties * sizeof(MsgSegment);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = OPS_EnumerateInstances;
  sreq->hdr.count = req->properties + EI_REQ_REG_SEGMENTS;

  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->hdr.sessionId = hdr->sessionId;

  for (i = 0; i < req->properties; i++) {
    sreq->properties[i] =
        setCharsMsgSegment(req->propertyList.values[i].value);
  }

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = req->flags;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;

  binCtx->type = CMPI_instance;
  binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildCreateInstanceRequest(void *parm)
{
  CMPIObjectPath *path;
  CMPIInstance   *inst;
  CMPIValue       val;
  CMPIStatus      st = { CMPI_RC_OK, NULL };
  CreateInstanceReq *sreq;
  XtokProperty   *p = NULL;

  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;
  CMPIStatus rc = {CMPI_RC_OK, NULL};

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokCreateInstance *req = (XtokCreateInstance *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  inst = TrackedCMPIInstance(path, NULL);

  sreq = calloc(1, sizeof(CreateInstanceReq));
  sreq->hdr.operation = OPS_CreateInstance;
  sreq->hdr.count = CI_REQ_REG_SEGMENTS;


  for (p = req->instance.properties.first; p; p = p->next) {
    if (p->val.val.value) {
      val =
          str2CMPIValue(p->valueType, p->val.val, &p->val.ref,
                        req->op.nameSpace.data, &rc);
      CMSetProperty(inst, p->name, &val, p->valueType);
    }
  }

  sreq->instance = setInstanceMsgSegment(inst);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  path = inst->ft->getObjectPath(inst, &st);
  /*
   * if st.rc is set the class was probably not found and the path is
   * NULL, so we don't set it. Let the provider manager handle unknown
   * class. 
   */
  if (!st.rc) {
    sreq->path = setObjectPathMsgSegment(path);
  }

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildGetInstanceRequest(void *parm)
{
  CMPIObjectPath *path;
  CMPIValue       val;
  CMPIType        type;
  GetInstanceReq *sreq;
  int             sreqSize = sizeof(GetInstanceReq);
  CMPIValue      *valp;
  int             i,
                  m;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  XtokGetInstance *req = (XtokGetInstance *)hdr->cimRequest;
  hdr->className = req->op.className.data;

  if (req->properties)
    sreqSize += req->properties * sizeof(MsgSegment);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = OPS_GetInstance;
  sreq->hdr.count = req->properties + GI_REQ_REG_SEGMENTS;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);

  for (i = 0, m = req->instanceName.bindings.next; i < m; i++) {
    valp =
        getKeyValueTypePtr(req->instanceName.bindings.keyBindings[i].type,
                           req->instanceName.bindings.keyBindings[i].value,
                           &req->instanceName.bindings.keyBindings[i].ref,
                           &val, &type, req->op.nameSpace.data);
    CMAddKey(path, req->instanceName.bindings.keyBindings[i].name, valp,
             type);
  }
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  for (i = 0; i < req->properties; i++) {
    sreq->properties[i] =
        setCharsMsgSegment(req->propertyList.values[i].value);
  }

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = req->flags;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildGetClassRequest(void *parm)
{
  CMPIObjectPath *path;
  int             i,
                  sreqSize = sizeof(GetClassReq);       // -sizeof(MsgSegment);
  GetClassReq    *sreq;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokGetClass   *req = (XtokGetClass *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  if (req->properties)
    sreqSize += req->properties * sizeof(MsgSegment);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = OPS_GetClass;
  sreq->hdr.count=req->properties+GC_REQ_REG_SEGMENTS;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  for (i = 0; i < req->properties; i++)
    sreq->properties[i] =
        setCharsMsgSegment(req->propertyList.values[i].value);

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = req->flags;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildDeleteClassRequest(void *parm)
{
  CMPIObjectPath *path;
  DeleteClassReq *sreq;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokDeleteClass *req = (XtokDeleteClass *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  sreq = calloc(1, sizeof(DeleteClassReq));
  sreq->hdr.operation = OPS_DeleteClass;
  sreq->hdr.count = DC_REQ_REG_SEGMENTS;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = 0;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildDeleteInstanceRequest(void *parm)
{
  CMPIObjectPath *path;
  int             i, m;
  CMPIType        type;
  CMPIValue       val,
                  *valp;
  DeleteInstanceReq *sreq;
  int             sreqSize = sizeof(DeleteInstanceReq);
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;
  memset(binCtx, 0, sizeof(BinRequestContext));

  XtokDeleteInstance *req = (XtokDeleteInstance *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = OPS_DeleteInstance;
  sreq->hdr.count = DI_REQ_REG_SEGMENTS;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  for (i = 0, m = req->instanceName.bindings.next; i < m; i++) {
    valp =
        getKeyValueTypePtr(req->instanceName.bindings.keyBindings[i].type,
                           req->instanceName.bindings.keyBindings[i].value,
                           &req->instanceName.bindings.keyBindings[i].ref,
                           &val, &type, req->op.nameSpace.data);
    CMAddKey(path, req->instanceName.bindings.keyBindings[i].name, valp,
             type);
  }
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildCreateClassRequest(void *parm)
{
  CMPIConstClass *cls;
  CMPIObjectPath *path;
  ClClass        *cl;
  ClClass        *tmp;
  CreateClassReq *sreq;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  XtokProperty   *p = NULL;
  XtokProperties *ps = NULL;
  XtokQualifier  *q = NULL;
  XtokQualifiers *qs = NULL;
  XtokMethod     *m = NULL;
  XtokMethods    *ms = NULL;
  XtokParam      *r = NULL;
  XtokParams     *rs = NULL;
  XtokClass      *c;
  CMPIData        d;
  CMPIParameter   pa;
  CMPIStatus      rc = {CMPI_RC_OK, NULL};

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokCreateClass *req = (XtokCreateClass *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);

  cl = ClClassNew(req->op.className.data,
                  req->superClass ? req->superClass : NULL);
  c = &req->cls;

  qs = &c->qualifiers;
  for (q = qs->first; q; q = q->next) {
    if (q->value.value == NULL) {
      d.state = CMPI_nullValue;
      d.value.uint64 = 0;
    } else {
      d.state = CMPI_goodValue;
      d.value = str2CMPIValue(q->type, q->value, NULL, NULL, &rc);
    }
    d.type = q->type;
    ClClassAddQualifier(&cl->hdr, &cl->qualifiers, q->name, d);
  }

  ps = &c->properties;
  for (p = ps->first; p; p = p->next) {
    ClProperty     *prop;
    int             propId;
    if (p->val.val.value == NULL) {
      d.state = CMPI_nullValue;
      d.value.uint64 = 0;
    } else {
      d.state = CMPI_goodValue;
      d.value =
          str2CMPIValue(p->valueType, p->val.val, &p->val.ref,
                        req->op.nameSpace.data, &rc);
    }
    d.type = p->valueType;
    propId = ClClassAddProperty(cl, p->name, d, p->referenceClass);

    qs = &p->val.qualifiers;
    prop =
        ((ClProperty *) ClObjectGetClSection(&cl->hdr, &cl->properties)) +
        propId - 1;
    for (q = qs->first; q; q = q->next) {
      if (q->value.value == NULL) {
        d.state = CMPI_nullValue;
        d.value.uint64 = 0;
      } else {
        d.state = CMPI_goodValue;
        d.value = str2CMPIValue(q->type, q->value, NULL, NULL, &rc);
      }
      d.type = q->type;
      ClClassAddPropertyQualifier(&cl->hdr, prop, q->name, d);
    }
  }

  ms = &c->methods;
  for (m = ms->first; m; m = m->next) {
    ClMethod       *meth;
    ClParameter    *cl_parm;
    int             methId;

    methId = ClClassAddMethod(cl, m->name, m->type);
    meth =
        ((ClMethod *) ClObjectGetClSection(&cl->hdr, &cl->methods)) +
        methId - 1;

    qs = &m->qualifiers;
    for (q = qs->first; q; q = q->next) {
      if (q->value.value == NULL) {
        d.state = CMPI_nullValue;
        d.value.uint64 = 0;
      } else {
        d.state = CMPI_goodValue;
        d.value = str2CMPIValue(q->type, q->value, NULL, NULL, &rc);
      }
      d.type = q->type;
      ClClassAddMethodQualifier(&cl->hdr, meth, q->name, d);
    }

    rs = &m->params;
    for (r = rs->first; r; r = r->next) {
      pa.type = r->type;
      pa.arraySize = (unsigned int) r->arraySize;
      pa.refName = r->refClass;
      ClClassAddMethParameter(&cl->hdr, meth, r->name, pa);
      cl_parm = ((ClParameter *)
              ClObjectGetClSection(&cl->hdr,
                                   &meth->parameters)) + methId - 1;

      qs = &r->qualifiers;
      for (q = qs->first; q; q = q->next) {
        if (q->value.value == NULL) {
          d.state = CMPI_nullValue;
          d.value.uint64 = 0;
        } else {
          d.state = CMPI_goodValue;
          d.value = str2CMPIValue(q->type, q->value, NULL, NULL, &rc);
        }
        d.type = q->type;
        ClClassAddMethParamQualifier(&cl->hdr, cl_parm, q->name, d);
      }
    }
  }

  tmp = cl;
  cl = ClClassRebuildClass(cl, NULL);
  ClClassFreeClass(tmp);
  cls = calloc(1, sizeof(*cls));
  *cls = initConstClass(cl);

  int sreqSize = sizeof(*sreq) + (3 * sizeof(MsgSegment));
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = OPS_CreateClass;
  sreq->hdr.count = CC_REQ_REG_SEGMENTS;
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->path = setObjectPathMsgSegment(path);
  sreq->cls = setConstClassMsgSegment(cls);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static int
buildModifyInstanceRequest(void *parm)
{
  CMPIObjectPath *path;
  CMPIInstance   *inst;
  CMPIType        type;
  CMPIValue       val,
                 *valp;
  int             i,
                  m,
                  sreqSize = sizeof(ModifyInstanceReq); // -sizeof(MsgSegment);
  ModifyInstanceReq *sreq;
  XtokInstance   *xci;
  XtokInstanceName *xco;
  XtokProperty   *p = NULL;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;
  CMPIStatus rc = {CMPI_RC_OK, NULL};
  int err = 0;

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokModifyInstance *req = (XtokModifyInstance *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  if (req->properties)
    sreqSize += req->properties * sizeof(MsgSegment);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = OPS_ModifyInstance;
  sreq->hdr.count = req->properties + MI_REQ_REG_SEGMENTS;

  for (i = 0; i < req->properties; i++) {
    sreq->properties[i] =
        setCharsMsgSegment(req->propertyList.values[i].value);
  }
  xci = &req->namedInstance.instance;
  xco = &req->namedInstance.path;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);

  for (i = 0, m = xco->bindings.next; i < m; i++) {
    valp = getKeyValueTypePtr(xco->bindings.keyBindings[i].type,
                              xco->bindings.keyBindings[i].value,
                              &xco->bindings.keyBindings[i].ref,
                              &val, &type, req->op.nameSpace.data);

    CMAddKey(path, xco->bindings.keyBindings[i].name, valp, type);
  }

  inst = TrackedCMPIInstance(path, NULL);
  for (p = xci->properties.first; p; p = p->next) {
    if (p->val.val.value) {
      val =
          str2CMPIValue(p->valueType, p->val.val, &p->val.ref,
                        req->op.nameSpace.data, &rc);
      if (rc.rc != CMPI_RC_OK) { /* bugzilla 75543 */
         binCtx->rc = rc.rc;
	 err = 1;
         break;
      }
      CMSetProperty(inst, p->name, &val, p->valueType);
    }
  }
  sreq->instance = setInstanceMsgSegment(inst);
  sreq->path = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
  return err;
}

static void
buildEnumClassesRequest(void *parm)
{
  CMPIObjectPath *path;
  EnumClassesReq *sreq;
  int             sreqSize;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  _SFCB_ENTER(TRACE_CIMXMLPROC, "buildEnumClassesRequest");

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokEnumClasses *req = (XtokEnumClasses *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  sreqSize = sizeof(*sreq);// + 2 * sizeof(MsgSegment);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = OPS_EnumerateClasses;
  sreq->hdr.count = EC_REQ_REG_SEGMENTS;
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.flags = req->flags;
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = req->flags;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->type = CMPI_class;
  binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildEnumClassNamesRequest(void *parm)
{
  CMPIObjectPath *path;
  EnumClassNamesReq *sreq;// = BINREQ(OPS_EnumerateClassNames, 2);
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  _SFCB_ENTER(TRACE_CIMXMLPROC, "enumClassNames");

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokEnumClassNames *req = (XtokEnumClassNames *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  sreq = calloc(1, sizeof(*sreq));
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.operation = OPS_EnumerateClassNames;
  sreq->hdr.count = ECN_REQ_REG_SEGMENTS;
  sreq->hdr.flags = req->flags;
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = req->flags;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->type = CMPI_ref;
  binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->chunkedMode = 0;
  binCtx->pAs = NULL;
}

static void
buildEnumInstanceNamesRequest(void *parm)
{
  _SFCB_ENTER(TRACE_CIMXMLPROC, "buildEnumInstanceNamesRequest");
  CMPIObjectPath *path;
  EnumInstanceNamesReq *sreq;// = BINREQ(OPS_EnumerateInstanceNames, 2);
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  memset(binCtx, 0, sizeof(BinRequestContext));

  XtokEnumInstanceNames *req = (XtokEnumInstanceNames *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  sreq = calloc(1, sizeof(*sreq));
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.operation = OPS_EnumerateInstanceNames;
  sreq->hdr.count = EIN_REQ_REG_SEGMENTS;
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = 0;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->type = CMPI_ref;
  binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->chunkedMode = 0;
  binCtx->pAs = NULL;
}

static void
buildExecQueryRequest(void *parm)
{
  CMPIObjectPath *path;
  ExecQueryReq   *sreq;// = BINREQ(OPS_ExecQuery, 4);
  int             irc;
  QLStatement    *qs = NULL;
  char          **fCls;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokExecQuery  *req = (XtokExecQuery *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  qs = parseQuery(MEM_TRACKED, (char *) req->op.query.data,
                  (char *) req->op.queryLang.data, NULL, NULL, &irc);

  fCls = qs->ft->getFromClassList(qs);
  if (irc) {
    hdr->rc = CMPI_RC_ERR_INVALID_QUERY;
    hdr->errMsg = strdup("syntax error in query.");
    return;
  }
  if (fCls == NULL || *fCls == NULL) {
    hdr->rc = CMPI_RC_ERR_INVALID_QUERY;
    hdr->errMsg = strdup("required from clause is missing.");
    return;
  }
  req->op.className = setCharsMsgSegment(*fCls);

  path = TrackedCMPIObjectPath(req->op.nameSpace.data, *fCls, NULL);

  sreq = calloc(1, sizeof(*sreq));
  sreq->hdr.operation = OPS_ExecQuery;
  sreq->hdr.count = EQ_REQ_REG_SEGMENTS;
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->query = setCharsMsgSegment((char *) req->op.query.data);
  sreq->queryLang = setCharsMsgSegment((char *) req->op.queryLang.data);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = 0;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->type = CMPI_instance;
  binCtx->xmlAs = XML_asObj;
  binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildReferencesRequest(void *parm)
{
  CMPIObjectPath *path;
  ReferencesReq  *sreq;
  int             i,
                  m,
                  sreqSize = sizeof(ReferencesReq);
  CMPIType        type;
  CMPIValue       val,
                 *valp;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokReferences *req = (XtokReferences *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  if (req->properties)
    sreqSize += req->properties * sizeof(MsgSegment);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = OPS_References;
  sreq->hdr.count = req->properties + RI_REQ_REG_SEGMENTS;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  for (i = 0, m = req->objectName.bindings.next; i < m; i++) {
    valp = getKeyValueTypePtr(req->objectName.bindings.keyBindings[i].type,
                              req->objectName.bindings.keyBindings[i].
                              value,
                              &req->objectName.bindings.keyBindings[i].ref,
                              &val, &type, req->op.nameSpace.data);
    CMAddKey(path, req->objectName.bindings.keyBindings[i].name, valp,
             type);
  }

  if (req->objectName.bindings.next == 0) {
    free(sreq);
    hdr->rc = CMPI_RC_ERR_NOT_SUPPORTED;
    hdr->errMsg = strdup("References operation for classes not supported");
    return;
  }
  if (!req->objNameSet) {
    free(sreq);
    hdr->rc = CMPI_RC_ERR_INVALID_PARAMETER;
    hdr->errMsg = strdup("ObjectName parameter required");
    return;
  }

  sreq->objectPath = setObjectPathMsgSegment(path);

  sreq->resultClass = req->op.resultClass;
  sreq->role = req->op.role;
  sreq->hdr.flags = req->flags;
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  for (i = 0; i < req->properties; i++)
    sreq->properties[i] =
        setCharsMsgSegment(req->propertyList.values[i].value);

  req->op.className = req->op.resultClass;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = req->flags;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;
  binCtx->type = CMPI_instance;
  binCtx->xmlAs = XML_asObj;
  binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildReferenceNamesRequest(void *parm)
{
  CMPIObjectPath *path = NULL;
  ReferenceNamesReq *sreq;// = BINREQ(OPS_ReferenceNames, 4);
  int             i,
                  m;
  CMPIType        type;
  CMPIValue       val,
                 *valp;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokReferenceNames *req = (XtokReferenceNames *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  for (i = 0, m = req->objectName.bindings.next; i < m; i++) {
    valp = getKeyValueTypePtr(req->objectName.bindings.keyBindings[i].type,
                              req->objectName.bindings.keyBindings[i].
                              value,
                              &req->objectName.bindings.keyBindings[i].ref,
                              &val, &type, req->op.nameSpace.data);
    CMAddKey(path, req->objectName.bindings.keyBindings[i].name, valp,
             type);
  }

  if (req->objectName.bindings.next == 0) {
    hdr->rc = CMPI_RC_ERR_NOT_SUPPORTED;
    hdr->errMsg = strdup("ReferenceNames operation for classes not supported");
    return;
  }
  if (!req->objNameSet) {
    hdr->rc = CMPI_RC_ERR_INVALID_PARAMETER;
    hdr->errMsg = strdup("ObjectName parameter required");
    return;
  }

  sreq = calloc(1, sizeof(*sreq));
  sreq->hdr.operation = OPS_ReferenceNames;
  sreq->hdr.count = RIN_REQ_REG_SEGMENTS;
  sreq->objectPath = setObjectPathMsgSegment(path);

  sreq->resultClass = req->op.resultClass;
  sreq->role = req->op.role;
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  req->op.className = req->op.resultClass;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = 0;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->type = CMPI_ref;
  binCtx->xmlAs = XML_asObjectPath;
  binCtx->noResp = 0;
  binCtx->chunkedMode = 0;
  binCtx->pAs = NULL;
}

static void
buildGetPropertyRequest(void *parm)
{

  CMPIObjectPath *path;
  CMPIStatus      rc;
  GetPropertyReq  *sreq;//BINREQ(OPS_GetProperty, 3);
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;
  int i, m;

  _SFCB_ENTER(TRACE_CIMXMLPROC, "buildGetPropertyRequest");

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokGetProperty *req = (XtokGetProperty *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data,
                            req->instanceName.className, &rc);
  for (i = 0, m = req->instanceName.bindings.next; i < m; i++) {
    CMPIType type;
    CMPIValue val, *valp;

    valp = getKeyValueTypePtr(req->instanceName.bindings.keyBindings[i].type,
                              req->instanceName.bindings.keyBindings[i].value,
                              &req->instanceName.bindings.keyBindings[i].ref,
                              &val, &type, req->op.nameSpace.data);
    CMAddKey(path, req->instanceName.bindings.keyBindings[i].name, valp, type);
  }

  sreq = calloc(1, sizeof(*sreq));
  sreq->hdr.operation = OPS_GetProperty;
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->path = setObjectPathMsgSegment(path);
  sreq->name = setCharsMsgSegment(req->name);
  sreq->hdr.sessionId = hdr->sessionId;
  sreq->hdr.count = 3;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;

}

static void
buildSetPropertyRequest(void *parm)
{
  CMPIObjectPath *path;
  CMPIInstance   *inst;
  CMPIType        t, type;
  CMPIStatus      rc;
  CMPIValue       val, *valp;
  int             i, m;
  SetPropertyReq *sreq;// = BINREQ(OPS_SetProperty, 3);
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;
  CMPIStatus      st = {CMPI_RC_OK, NULL};

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokSetProperty *req = (XtokSetProperty *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data,
                            req->instanceName.className, &rc);
  for (i = 0, m = req->instanceName.bindings.next; i < m; i++) {
    valp = getKeyValueTypePtr(req->instanceName.bindings.keyBindings[i].type,
                              req->instanceName.bindings.keyBindings[i].value,
                              &req->instanceName.bindings.keyBindings[i].ref,
                              &val, &type, req->op.nameSpace.data);
    CMAddKey(path, req->instanceName.bindings.keyBindings[i].name, valp, type);
  }

  inst = internal_new_CMPIInstance(MEM_TRACKED, NULL, NULL, 1);

  if (req->newVal.type == 0) {
    t = guessType(req->newVal.val.value);
  } else if (req->newVal.type == CMPI_ARRAY) {
    t = guessType(req->newVal.arr.values[0].value) | CMPI_ARRAY;
  } else {
    t = req->newVal.type;
  }
  if (t != CMPI_null) {
    val =
        str2CMPIValue(t, req->newVal.val, &req->newVal.ref,
                      req->op.nameSpace.data, &st);
    CMSetProperty(inst, req->propertyName, &val, t);
  } else {
    val.string = 0;
    CMSetProperty(inst, req->propertyName, 0, t);
  }

  sreq = calloc(1, sizeof(*sreq));
  sreq->hdr.operation = OPS_SetProperty;
  sreq->hdr.count = 3;
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->path = setObjectPathMsgSegment(path);
  sreq->inst = setInstanceMsgSegment(inst);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

#ifdef HAVE_QUALREP

static void
buildGetQualifierRequest(void *parm)
{
  CMPIObjectPath *path;
  CMPIStatus      rc;
  GetQualifierReq *sreq;// = BINREQ(OPS_GetQualifier, 2);
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokGetQualifier *req = (XtokGetQualifier *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path = TrackedCMPIObjectPath(req->op.nameSpace.data, req->name, &rc);

  sreq = calloc(1, sizeof(*sreq));
  sreq->hdr.operation = OPS_GetQualifier;
  sreq->hdr.count = 2;
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->path = setObjectPathMsgSegment(path);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildDeleteQualifierRequest(void *parm)
{
  CMPIObjectPath *path;
  CMPIStatus      rc;
  DeleteQualifierReq *sreq;// = BINREQ(OPS_DeleteQualifier, 2);
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokDeleteQualifier *req = (XtokDeleteQualifier *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  /* abuse classname for qualifier name */
  path = TrackedCMPIObjectPath(req->op.nameSpace.data, req->name, &rc);

  sreq = calloc(1, sizeof(*sreq));
  sreq->hdr.operation = OPS_DeleteQualifier;
  sreq->hdr.count = 2;
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->path = setObjectPathMsgSegment(path);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildSetQualifierRequest(void *parm)
{
  CMPIObjectPath *path;
  CMPIQualifierDecl *qual;
  CMPIData        d;
  ClQualifierDeclaration *q;
  SetQualifierReq *sreq;// = BINREQ(OPS_SetQualifier, 3);
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;
  CMPIStatus rc = {CMPI_RC_OK, NULL};

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokSetQualifier *req = (XtokSetQualifier *) hdr->cimRequest;

  path = TrackedCMPIObjectPath(req->op.nameSpace.data, NULL, NULL);
  q = ClQualifierDeclarationNew(req->op.nameSpace.data,
                                req->qualifierdeclaration.name);

  if (req->qualifierdeclaration.overridable)
    q->flavor |= ClQual_F_Overridable;
  if (req->qualifierdeclaration.tosubclass)
    q->flavor |= ClQual_F_ToSubclass;
  if (req->qualifierdeclaration.toinstance)
    q->flavor |= ClQual_F_ToInstance;
  if (req->qualifierdeclaration.translatable)
    q->flavor |= ClQual_F_Translatable;
  if (req->qualifierdeclaration.isarray)
    q->type |= CMPI_ARRAY;

  if (req->qualifierdeclaration.type)
    q->type |= req->qualifierdeclaration.type;

  if (req->qualifierdeclaration.scope.class)
    q->scope |= ClQual_S_Class;
  if (req->qualifierdeclaration.scope.association)
    q->scope |= ClQual_S_Association;
  if (req->qualifierdeclaration.scope.reference)
    q->scope |= ClQual_S_Reference;
  if (req->qualifierdeclaration.scope.property)
    q->scope |= ClQual_S_Property;
  if (req->qualifierdeclaration.scope.method)
    q->scope |= ClQual_S_Method;
  if (req->qualifierdeclaration.scope.parameter)
    q->scope |= ClQual_S_Parameter;
  if (req->qualifierdeclaration.scope.indication)
    q->scope |= ClQual_S_Indication;
  q->arraySize = req->qualifierdeclaration.arraySize;

  if (req->qualifierdeclaration.data.value.value) {     // default value
    // is set
    d.state = CMPI_goodValue;
    d.type = q->type;           // "specified" type
    d.type |= req->qualifierdeclaration.data.type;      // actual type

    // default value declared - isarray attribute must match, if set
    if (req->qualifierdeclaration.isarrayIsSet)
      if (!req->qualifierdeclaration.
          isarray ^ !(req->qualifierdeclaration.data.type & CMPI_ARRAY))
        hdr->rc = CMPI_RC_ERROR;
        hdr->errMsg = "ISARRAY attribute and default value conflict";
        return;

    d.value = str2CMPIValue(d.type, req->qualifierdeclaration.data.value,
                            (XtokValueReference *) &
                            req->qualifierdeclaration.data.valueArray,
                            NULL, &rc);
    ClQualifierAddQualifier(&q->hdr, &q->qualifierData,
                            req->qualifierdeclaration.name, d);
  } else {                      // no default value - rely on ISARRAY
    // attr, check if it's set
    /*
     * if(!req->qualifierdeclaration.isarrayIsSet)
     * _SFCB_RETURN(iMethodErrResponse(hdr, getErrSegment(CMPI_RC_ERROR,
     * "ISARRAY attribute MUST be present if the Qualifier declares no
     * default value")));
     */
    q->qualifierData.sectionOffset = 0;
    q->qualifierData.used = 0;
    q->qualifierData.max = 0;
  }

  qual = malloc(sizeof(*qual));
  *qual = initQualifier(q);

  sreq = calloc(1, sizeof(*sreq));
  sreq->hdr.operation = OPS_SetQualifier;
  sreq->hdr.count = 3;
  sreq->qualifier = setQualifierMsgSegment(qual);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->hdr.sessionId = hdr->sessionId;
  sreq->path = setObjectPathMsgSegment(path);

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildEnumQualifiersRequest(void *parm)
{
  CMPIObjectPath *path;
  EnumClassNamesReq *sreq;// = BINREQ(OPS_EnumerateQualifiers, 2);
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;

  _SFCB_ENTER(TRACE_CIMXMLPROC, "enumQualifiers");

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokEnumQualifiers *req = (XtokEnumQualifiers *) hdr->cimRequest;

  path = TrackedCMPIObjectPath(req->op.nameSpace.data, NULL, NULL);
  sreq = calloc(1, sizeof(*sreq));
  sreq->hdr.operation = OPS_EnumerateQualifiers;
  sreq->hdr.count = 2;
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->type = CMPI_qualifierDecl;
  binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->chunkedMode = 0;
  binCtx->pAs = NULL;
}
#else

static void buildDeleteQualifierRequest(void *parm) { return; }
static void buildGetQualifierRequest(void *parm) { return; }
static void buildSetQualifierRequest(void *parm) { return; }
static void buildEnumQualifiersRequest(void *parm) { return; }
#endif  // HAVE_QUALREP

static void
buildInvokeMethodRequest(void *parm)
{
  CMPIObjectPath *path;
  CMPIType        type;
  CMPIValue       val,
                 *valp;
  int             i,
                  m,
                  rc,
                  vmpt = 0;
  InvokeMethodReq *sreq;// = BINREQ(OPS_InvokeMethod, 5);
  CMPIArgs       *in = TrackedCMPIArgs(NULL);
  XtokParamValue *p;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  BinRequestContext *binCtx = hdr->binCtx;
  CMPIStatus     st = {CMPI_RC_OK, NULL};

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokMethodCall *req = (XtokMethodCall *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  if (req->instName)
    for (i = 0, m = req->instanceName.bindings.next; i < m; i++) {
      valp =
          getKeyValueTypePtr(req->instanceName.bindings.keyBindings[i].
                             type,
                             req->instanceName.bindings.keyBindings[i].
                             value,
                             &req->instanceName.bindings.keyBindings[i].
                             ref, &val, &type, req->op.nameSpace.data);
      CMAddKey(path, req->instanceName.bindings.keyBindings[i].name, valp,
               type);
    }
  sreq = calloc(1, sizeof(*sreq));
  sreq->hdr.operation = OPS_InvokeMethod;
  sreq->hdr.count = IM_REQ_REG_SEGMENTS;
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->hdr.sessionId = hdr->sessionId;

  if (getControlBool("validateMethodParamTypes", &vmpt))
    vmpt = 1;

  for (p = req->paramValues.first; p; p = p->next) {
    /*
     * Update untyped params (p->type==0) and verify those that were specified.
     * (Unlikely to be untyped at this point. Even if no paramtype is given in
     * the XML, the rule actions would assign one.)
     */
    if (p->type == 0 || p->type == CMPI_ARRAY || p->type == CMPI_class || 
        p->type == CMPI_instance || vmpt) {
      rc = updateMethodParamTypes(hdr);

      if (rc != CMPI_RC_OK) {
        free(sreq);
        hdr->rc = rc;
        hdr->errMsg = NULL;
        return;
      }
    }
    /*
     * TODO: Add support for PARAMVALUE subelements CLASS, CLASSNAME, INSTANCE,
     * INSTANCENAME, VALUE.NAMEDINSTANCE, in addition to EmbeddedInstance.
     */
    if (p->value.value) {
      CMPIValue val = str2CMPIValue(p->type, p->value, &p->valueRef, req->op.nameSpace.data, &st);
      if (st.rc) {
        free(sreq);
        hdr->rc = st.rc;
        hdr->errMsg = NULL;
        return;
      }
      CMAddArg(in, p->name, &val, p->type);
    }

  }

  sreq->in = setArgsMsgSegment(in);
  sreq->out = setArgsMsgSegment(NULL);
  sreq->method = setCharsMsgSegment(req->method);

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = 0;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sizeof(*sreq);
  binCtx->chunkedMode = binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

int
updateMethodParamTypes(RequestHdr * hdr)
{

  _SFCB_ENTER(TRACE_CIMXMLPROC, "updateMethodParamTypes");

  CMPIConstClass *cls = NULL;
  ClMethod       *meth;
  ClParameter    *param = NULL;
  int             i,
                  m;
  ClClass        *cl;
  char           *mname;
  XtokParamValue *ptok;
  int             p,
                  pm;

  XtokMethodCall *req = (XtokMethodCall *) hdr->cimRequest;
  cls =
      getConstClass((char *) req->op.nameSpace.data,
                    (char *) req->op.className.data);
  if (!cls) {
    _SFCB_RETURN(CMPI_RC_ERR_INVALID_CLASS);
  }

  cl = (ClClass *) cls->hdl;

  /*
   * check that the method specified in req exists in class 
   */
  for (i = 0, m = ClClassGetMethodCount(cl); i < m; i++) {
    ClClassGetMethodAt(cl, i, NULL, &mname, NULL);
    if (strcasecmp(req->method, mname) == 0) {
      break;
    }
  }
  if (i == m) {
    _SFCB_RETURN(CMPI_RC_ERR_METHOD_NOT_FOUND);
  }

  meth = ((ClMethod *) ClObjectGetClSection(&cl->hdr, &cl->methods)) + i;

  /*
   * loop through all params from parsed req 
   */
  for (ptok = req->paramValues.first; ptok; ptok = ptok->next) {
    CMPIParameter   pdata;
    char           *sname;

    /*
     * loop through all params for meth 
     */
    for (p = 0, pm = ClClassGetMethParameterCount(cl, i); p < pm; p++) {
      ClClassGetMethParameterAt(cl, meth, p, &pdata, &sname);

      if (strcasecmp(sname, ptok->name) == 0) {
        // fprintf(stderr, "%s matches %s", sname, ptok->name);
        param = ((ClParameter *)
                 ClObjectGetClSection(&cl->hdr, &meth->parameters)) + p;
        break;
      }
    }
    if (p == pm) {
      _SFCB_RETURN(CMPI_RC_ERR_INVALID_PARAMETER);
    }
    // fprintf(stderr, " pdata.type=%u (expec), ptok->type=%u\n",
    // pdata.type, ptok->type);
    /*
     * special case: EmbeddedInstance. Parser will set type to instance,
     * but repository would have type as string. Check here to not fail
     * the else-if below. 
     */
    if (param && (ptok->type & CMPI_instance)) {
      int             isEI = 0;
      int             qcount =
          ClClassGetMethParmQualifierCount(cl, meth, p);
      for (; qcount > 0; qcount--) {
        char           *qname;
        ClClassGetMethParamQualifierAt(cl, param, (qcount - 1), NULL, &qname);
        if (strcmp(qname, "EmbeddedInstance") == 0) {
          // fprintf(stderr, " is EmbeddedInstance\n");
          isEI = 1;
          break;
          /*
           * TODO: For PARAMVALUE subelements CLASS, CLASSNAME, INSTANCE,
           * INSTANCENAME, VALUE.NAMEDINSTANCE, we probably want to skip
           * the below repository check as well.
           */
        }
      }
      if (isEI)
        continue;
    }

    if ((ptok->type == 0) || (ptok->type == CMPI_ARRAY)) {
      /*
       * Type was unknown, fill it in 
       * (unlikely at this point, see comment in buildInvokeMethodRequest)
       */
      // printf("parameter %s missing type, using %s\n", sname,
      // paramType(pdata.type));
      ptok->type = pdata.type;
    } else if (ptok->type != pdata.type) {
      /*
       * Parameter type mismatch 
       */
      _SFCB_RETURN(CMPI_RC_ERR_TYPE_MISMATCH);
    }
  }
  _SFCB_RETURN(CMPI_RC_OK);
}

static void addProperty(XtokProperties *ps, XtokProperty *p)
{
   XtokProperty *np;
   np=malloc(sizeof(*np));
   memcpy(np,p,sizeof(XtokProperty));
   np->next=NULL;
   if (ps->last) {
      ps->last->next=np;
   }
   else ps->first=np;
   ps->last=np;
}

static void addParamValue(XtokParamValues *vs, XtokParamValue *v)
{
   XtokParamValue *nv;
   nv=malloc(sizeof(*nv));
   memcpy(nv,v,sizeof(XtokParamValue));
   nv->next=NULL;
   if (vs->last) {
      vs->last->next=nv;
   }
   else vs->first=nv;
   vs->last=nv;
}

static void addQualifier(XtokQualifiers *qs, XtokQualifier *q)
{
   XtokQualifier *nq;
   nq=malloc(sizeof(*nq));
   memcpy(nq,q,sizeof(XtokQualifier));
   nq->next=NULL;
   if (qs->last) {
      qs->last->next=nq;
   }
   else qs->first=nq;
   qs->last=nq;
}

static void addMethod(XtokMethods *ms, XtokMethod *m)
{
   XtokMethod *nm;
   nm=malloc(sizeof(*nm));
   memcpy(nm,m,sizeof(XtokMethod));
   nm->next=NULL;
   if (ms->last) {
      ms->last->next=nm;
   }
   else ms->first=nm;
   ms->last=nm;
}

static void addParam(XtokParams *ps, XtokParam *p)
{
   XtokParam *np;
   np=malloc(sizeof(*np));
   memcpy(np,p,sizeof(XtokParam));
   np->next=NULL;
   if (ps->last) {
      ps->last->next=np;
   }
   else ps->first=np;
   ps->last=np;
}

static void
buildOpenEnumInstanceRequest(void *parm)
{
  CMPIObjectPath *path;
  EnumInstancesReq *sreq;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  int    i,
      sreqSize = sizeof(EnumInstancesReq);      // -sizeof(MsgSegment);
  BinRequestContext *binCtx = hdr->binCtx;
  
  _SFCB_ENTER(TRACE_CIMXMLPROC, "buildOpenEnumInstanceRequest");

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokOpenEnumInstances *req = (XtokOpenEnumInstances *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path =
      TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data,
                            NULL);
  if (req->properties)
    sreqSize += req->properties * sizeof(MsgSegment);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = req->op.type;
  sreq->hdr.count = req->properties + EI_REQ_REG_SEGMENTS;

  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->hdr.sessionId = hdr->sessionId;

  for (i = 0; i < req->properties; i++) {
    sreq->properties[i] =
        setCharsMsgSegment(req->propertyList.values[i].value);
  }

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->bHdr->flags = req->flags;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;

  binCtx->type = CMPI_instance;
  binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildPullInstancesRequest(void *parm)
{
  CMPIObjectPath *path;
  EnumInstancesReq *sreq;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  int sreqSize = sizeof(EnumInstancesReq);  // TODO
  BinRequestContext *binCtx = hdr->binCtx;

  _SFCB_ENTER(TRACE_CIMXMLPROC, "buildPullInstancesRequest");

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokPullInstances *req = (XtokPullInstances *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path = TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data, NULL);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = req->op.type;

  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;

  binCtx->type = CMPI_instance;
  binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}


static void
buildCloseEnumerationRequest(void *parm)
{
  CMPIObjectPath *path;
  EnumInstancesReq *sreq;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  int sreqSize = sizeof(EnumInstancesReq);  // TODO
  BinRequestContext *binCtx = hdr->binCtx;

  _SFCB_ENTER(TRACE_CIMXMLPROC, "buildCloseEnumerationRequest");

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokCloseEnumeration *req = (XtokCloseEnumeration *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path = TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data, NULL);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = req->op.type;

  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;

  binCtx->type = CMPI_instance;
  binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}

static void
buildEnumerationCountRequest(void *parm)
{
  CMPIObjectPath *path;
  EnumInstancesReq *sreq;
  RequestHdr     *hdr = &(((ParserControl *)parm)->reqHdr);
  int sreqSize = sizeof(EnumInstancesReq);  // TODO
  BinRequestContext *binCtx = hdr->binCtx;

  _SFCB_ENTER(TRACE_CIMXMLPROC, "buildEnumerationCountRequest");

  memset(binCtx, 0, sizeof(BinRequestContext));
  XtokEnumerationCount *req = (XtokEnumerationCount *) hdr->cimRequest;
  hdr->className = req->op.className.data;

  path = TrackedCMPIObjectPath(req->op.nameSpace.data, req->op.className.data, NULL);
  sreq = calloc(1, sreqSize);
  sreq->hdr.operation = req->op.type;

  sreq->principal = setCharsMsgSegment(hdr->principal);
  sreq->userRole = setCharsMsgSegment(hdr->role);
  sreq->objectPath = setObjectPathMsgSegment(path);
  sreq->hdr.sessionId = hdr->sessionId;

  binCtx->oHdr = (OperationHdr *) req;
  binCtx->bHdr = &sreq->hdr;
  binCtx->rHdr = hdr;
  binCtx->bHdrSize = sreqSize;

  binCtx->type = CMPI_instance;
  binCtx->xmlAs = binCtx->noResp = 0;
  binCtx->pAs = NULL;
}



#line 1872 "cimXmlOps.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cimXmlOps.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_XTOK_XML = 3,                   /* XTOK_XML  */
  YYSYMBOL_ZTOK_XML = 4,                   /* ZTOK_XML  */
  YYSYMBOL_XTOK_CIM = 5,                   /* XTOK_CIM  */
  YYSYMBOL_ZTOK_CIM = 6,                   /* ZTOK_CIM  */
  YYSYMBOL_XTOK_MESSAGE = 7,               /* XTOK_MESSAGE  */
  YYSYMBOL_ZTOK_MESSAGE = 8,               /* ZTOK_MESSAGE  */
  YYSYMBOL_XTOK_SIMPLEREQ = 9,             /* XTOK_SIMPLEREQ  */
  YYSYMBOL_ZTOK_SIMPLEREQ = 10,            /* ZTOK_SIMPLEREQ  */
  YYSYMBOL_XTOK_GETCLASS = 11,             /* XTOK_GETCLASS  */
  YYSYMBOL_XTOK_ENUMCLASSNAMES = 12,       /* XTOK_ENUMCLASSNAMES  */
  YYSYMBOL_XTOK_ENUMCLASSES = 13,          /* XTOK_ENUMCLASSES  */
  YYSYMBOL_XTOK_CREATECLASS = 14,          /* XTOK_CREATECLASS  */
  YYSYMBOL_XTOK_CREATEINSTANCE = 15,       /* XTOK_CREATEINSTANCE  */
  YYSYMBOL_XTOK_DELETECLASS = 16,          /* XTOK_DELETECLASS  */
  YYSYMBOL_XTOK_DELETEINSTANCE = 17,       /* XTOK_DELETEINSTANCE  */
  YYSYMBOL_XTOK_MODIFYINSTANCE = 18,       /* XTOK_MODIFYINSTANCE  */
  YYSYMBOL_XTOK_GETINSTANCE = 19,          /* XTOK_GETINSTANCE  */
  YYSYMBOL_XTOK_ENUMINSTANCENAMES = 20,    /* XTOK_ENUMINSTANCENAMES  */
  YYSYMBOL_XTOK_ENUMINSTANCES = 21,        /* XTOK_ENUMINSTANCES  */
  YYSYMBOL_XTOK_EXECQUERY = 22,            /* XTOK_EXECQUERY  */
  YYSYMBOL_XTOK_ASSOCIATORS = 23,          /* XTOK_ASSOCIATORS  */
  YYSYMBOL_XTOK_REFERENCES = 24,           /* XTOK_REFERENCES  */
  YYSYMBOL_XTOK_ASSOCIATORNAMES = 25,      /* XTOK_ASSOCIATORNAMES  */
  YYSYMBOL_XTOK_REFERENCENAMES = 26,       /* XTOK_REFERENCENAMES  */
  YYSYMBOL_XTOK_SETQUALIFIER = 27,         /* XTOK_SETQUALIFIER  */
  YYSYMBOL_XTOK_SETPROPERTY = 28,          /* XTOK_SETPROPERTY  */
  YYSYMBOL_XTOK_ENUMQUALIFIERS = 29,       /* XTOK_ENUMQUALIFIERS  */
  YYSYMBOL_XTOK_GETQUALIFIER = 30,         /* XTOK_GETQUALIFIER  */
  YYSYMBOL_XTOK_DELETEQUALIFIER = 31,      /* XTOK_DELETEQUALIFIER  */
  YYSYMBOL_XTOK_GETPROPERTY = 32,          /* XTOK_GETPROPERTY  */
  YYSYMBOL_XTOK_OPENENUMINSTANCEPATHS = 33, /* XTOK_OPENENUMINSTANCEPATHS  */
  YYSYMBOL_XTOK_OPENENUMINSTANCES = 34,    /* XTOK_OPENENUMINSTANCES  */
  YYSYMBOL_XTOK_OPENASSOCIATORINSTANCEPATHS = 35, /* XTOK_OPENASSOCIATORINSTANCEPATHS  */
  YYSYMBOL_XTOK_OPENASSOCIATORINSTANCES = 36, /* XTOK_OPENASSOCIATORINSTANCES  */
  YYSYMBOL_XTOK_OPENREFERENCEINSTANCEPATHS = 37, /* XTOK_OPENREFERENCEINSTANCEPATHS  */
  YYSYMBOL_XTOK_OPENREFERENCEINSTANCES = 38, /* XTOK_OPENREFERENCEINSTANCES  */
  YYSYMBOL_XTOK_OPENQUERYINSTANCES = 39,   /* XTOK_OPENQUERYINSTANCES  */
  YYSYMBOL_XTOK_PULLINSTANCES = 40,        /* XTOK_PULLINSTANCES  */
  YYSYMBOL_XTOK_PULLINSTANCESWITHPATH = 41, /* XTOK_PULLINSTANCESWITHPATH  */
  YYSYMBOL_XTOK_PULLINSTANCEPATHS = 42,    /* XTOK_PULLINSTANCEPATHS  */
  YYSYMBOL_XTOK_CLOSEENUMERATION = 43,     /* XTOK_CLOSEENUMERATION  */
  YYSYMBOL_XTOK_ENUMERATIONCOUNT = 44,     /* XTOK_ENUMERATIONCOUNT  */
  YYSYMBOL_ZTOK_IMETHODCALL = 45,          /* ZTOK_IMETHODCALL  */
  YYSYMBOL_XTOK_METHODCALL = 46,           /* XTOK_METHODCALL  */
  YYSYMBOL_ZTOK_METHODCALL = 47,           /* ZTOK_METHODCALL  */
  YYSYMBOL_XTOK_NAMESPACEPATH = 48,        /* XTOK_NAMESPACEPATH  */
  YYSYMBOL_ZTOK_NAMESPACEPATH = 49,        /* ZTOK_NAMESPACEPATH  */
  YYSYMBOL_XTOK_LOCALNAMESPACEPATH = 50,   /* XTOK_LOCALNAMESPACEPATH  */
  YYSYMBOL_ZTOK_LOCALNAMESPACEPATH = 51,   /* ZTOK_LOCALNAMESPACEPATH  */
  YYSYMBOL_XTOK_NAMESPACE = 52,            /* XTOK_NAMESPACE  */
  YYSYMBOL_ZTOK_NAMESPACE = 53,            /* ZTOK_NAMESPACE  */
  YYSYMBOL_ZTOK_IPARAMVALUE = 54,          /* ZTOK_IPARAMVALUE  */
  YYSYMBOL_XTOK_HOST = 55,                 /* XTOK_HOST  */
  YYSYMBOL_ZTOK_HOST = 56,                 /* ZTOK_HOST  */
  YYSYMBOL_XTOK_VALUE = 57,                /* XTOK_VALUE  */
  YYSYMBOL_ZTOK_VALUE = 58,                /* ZTOK_VALUE  */
  YYSYMBOL_XTOK_CDATA = 59,                /* XTOK_CDATA  */
  YYSYMBOL_ZTOK_CDATA = 60,                /* ZTOK_CDATA  */
  YYSYMBOL_XTOK_VALUEARRAY = 61,           /* XTOK_VALUEARRAY  */
  YYSYMBOL_ZTOK_VALUEARRAY = 62,           /* ZTOK_VALUEARRAY  */
  YYSYMBOL_XTOK_VALUEREFERENCE = 63,       /* XTOK_VALUEREFERENCE  */
  YYSYMBOL_ZTOK_VALUEREFERENCE = 64,       /* ZTOK_VALUEREFERENCE  */
  YYSYMBOL_XTOK_VALUEREFARRAY = 65,        /* XTOK_VALUEREFARRAY  */
  YYSYMBOL_ZTOK_VALUEREFARRAY = 66,        /* ZTOK_VALUEREFARRAY  */
  YYSYMBOL_XTOK_CLASSNAME = 67,            /* XTOK_CLASSNAME  */
  YYSYMBOL_ZTOK_CLASSNAME = 68,            /* ZTOK_CLASSNAME  */
  YYSYMBOL_XTOK_INSTANCENAME = 69,         /* XTOK_INSTANCENAME  */
  YYSYMBOL_ZTOK_INSTANCENAME = 70,         /* ZTOK_INSTANCENAME  */
  YYSYMBOL_XTOK_KEYBINDING = 71,           /* XTOK_KEYBINDING  */
  YYSYMBOL_ZTOK_KEYBINDING = 72,           /* ZTOK_KEYBINDING  */
  YYSYMBOL_XTOK_KEYVALUE = 73,             /* XTOK_KEYVALUE  */
  YYSYMBOL_ZTOK_KEYVALUE = 74,             /* ZTOK_KEYVALUE  */
  YYSYMBOL_XTOK_IP_LOCALONLY = 75,         /* XTOK_IP_LOCALONLY  */
  YYSYMBOL_XTOK_IP_INCLUDEQUALIFIERS = 76, /* XTOK_IP_INCLUDEQUALIFIERS  */
  YYSYMBOL_XTOK_IP_INCLUDECLASSORIGIN = 77, /* XTOK_IP_INCLUDECLASSORIGIN  */
  YYSYMBOL_XTOK_IP_DEEPINHERITANCE = 78,   /* XTOK_IP_DEEPINHERITANCE  */
  YYSYMBOL_XTOK_IP_CLASSNAME = 79,         /* XTOK_IP_CLASSNAME  */
  YYSYMBOL_XTOK_IP_INSTANCE = 80,          /* XTOK_IP_INSTANCE  */
  YYSYMBOL_XTOK_IP_MODIFIEDINSTANCE = 81,  /* XTOK_IP_MODIFIEDINSTANCE  */
  YYSYMBOL_XTOK_IP_INSTANCENAME = 82,      /* XTOK_IP_INSTANCENAME  */
  YYSYMBOL_XTOK_IP_OBJECTNAME = 83,        /* XTOK_IP_OBJECTNAME  */
  YYSYMBOL_XTOK_IP_ASSOCCLASS = 84,        /* XTOK_IP_ASSOCCLASS  */
  YYSYMBOL_XTOK_IP_RESULTCLASS = 85,       /* XTOK_IP_RESULTCLASS  */
  YYSYMBOL_XTOK_IP_ROLE = 86,              /* XTOK_IP_ROLE  */
  YYSYMBOL_XTOK_IP_RESULTROLE = 87,        /* XTOK_IP_RESULTROLE  */
  YYSYMBOL_XTOK_IP_QUERY = 88,             /* XTOK_IP_QUERY  */
  YYSYMBOL_XTOK_IP_QUERYLANG = 89,         /* XTOK_IP_QUERYLANG  */
  YYSYMBOL_XTOK_IP_CLASS = 90,             /* XTOK_IP_CLASS  */
  YYSYMBOL_XTOK_IP_QUALIFIERDECLARATION = 91, /* XTOK_IP_QUALIFIERDECLARATION  */
  YYSYMBOL_XTOK_IP_QUALIFIERNAME = 92,     /* XTOK_IP_QUALIFIERNAME  */
  YYSYMBOL_XTOK_IP_PROPERTYNAME = 93,      /* XTOK_IP_PROPERTYNAME  */
  YYSYMBOL_XTOK_IP_NEWVALUE = 94,          /* XTOK_IP_NEWVALUE  */
  YYSYMBOL_XTOK_IP_FILTERQUERYLANG = 95,   /* XTOK_IP_FILTERQUERYLANG  */
  YYSYMBOL_XTOK_IP_FILTERQUERY = 96,       /* XTOK_IP_FILTERQUERY  */
  YYSYMBOL_XTOK_IP_CONTINUEONERROR = 97,   /* XTOK_IP_CONTINUEONERROR  */
  YYSYMBOL_XTOK_IP_ENDOFSEQUENCE = 98,     /* XTOK_IP_ENDOFSEQUENCE  */
  YYSYMBOL_XTOK_IP_RETURNQUERYRESULTCLASS = 99, /* XTOK_IP_RETURNQUERYRESULTCLASS  */
  YYSYMBOL_XTOK_IP_OPERATIONTIMEOUT = 100, /* XTOK_IP_OPERATIONTIMEOUT  */
  YYSYMBOL_XTOK_IP_MAXOBJECTCOUNT = 101,   /* XTOK_IP_MAXOBJECTCOUNT  */
  YYSYMBOL_XTOK_IP_ENUMERATIONCONTEXT = 102, /* XTOK_IP_ENUMERATIONCONTEXT  */
  YYSYMBOL_XTOK_IP_PROPERTYLIST = 103,     /* XTOK_IP_PROPERTYLIST  */
  YYSYMBOL_XTOK_VALUENAMEDINSTANCE = 104,  /* XTOK_VALUENAMEDINSTANCE  */
  YYSYMBOL_ZTOK_VALUENAMEDINSTANCE = 105,  /* ZTOK_VALUENAMEDINSTANCE  */
  YYSYMBOL_XTOK_QUALIFIER = 106,           /* XTOK_QUALIFIER  */
  YYSYMBOL_ZTOK_QUALIFIER = 107,           /* ZTOK_QUALIFIER  */
  YYSYMBOL_XTOK_QUALIFIERDECLARATION = 108, /* XTOK_QUALIFIERDECLARATION  */
  YYSYMBOL_ZTOK_QUALIFIERDECLARATION = 109, /* ZTOK_QUALIFIERDECLARATION  */
  YYSYMBOL_XTOK_SCOPE = 110,               /* XTOK_SCOPE  */
  YYSYMBOL_ZTOK_SCOPE = 111,               /* ZTOK_SCOPE  */
  YYSYMBOL_XTOK_PROPERTY = 112,            /* XTOK_PROPERTY  */
  YYSYMBOL_ZTOK_PROPERTY = 113,            /* ZTOK_PROPERTY  */
  YYSYMBOL_XTOK_PROPERTYARRAY = 114,       /* XTOK_PROPERTYARRAY  */
  YYSYMBOL_ZTOK_PROPERTYARRAY = 115,       /* ZTOK_PROPERTYARRAY  */
  YYSYMBOL_XTOK_PROPERTYREFERENCE = 116,   /* XTOK_PROPERTYREFERENCE  */
  YYSYMBOL_ZTOK_PROPERTYREFERENCE = 117,   /* ZTOK_PROPERTYREFERENCE  */
  YYSYMBOL_XTOK_PARAM = 118,               /* XTOK_PARAM  */
  YYSYMBOL_ZTOK_PARAM = 119,               /* ZTOK_PARAM  */
  YYSYMBOL_XTOK_PARAMARRAY = 120,          /* XTOK_PARAMARRAY  */
  YYSYMBOL_ZTOK_PARAMARRAY = 121,          /* ZTOK_PARAMARRAY  */
  YYSYMBOL_XTOK_PARAMREF = 122,            /* XTOK_PARAMREF  */
  YYSYMBOL_ZTOK_PARAMREF = 123,            /* ZTOK_PARAMREF  */
  YYSYMBOL_XTOK_PARAMREFARRAY = 124,       /* XTOK_PARAMREFARRAY  */
  YYSYMBOL_ZTOK_PARAMREFARRAY = 125,       /* ZTOK_PARAMREFARRAY  */
  YYSYMBOL_XTOK_METHOD = 126,              /* XTOK_METHOD  */
  YYSYMBOL_ZTOK_METHOD = 127,              /* ZTOK_METHOD  */
  YYSYMBOL_XTOK_CLASS = 128,               /* XTOK_CLASS  */
  YYSYMBOL_ZTOK_CLASS = 129,               /* ZTOK_CLASS  */
  YYSYMBOL_XTOK_INSTANCE = 130,            /* XTOK_INSTANCE  */
  YYSYMBOL_ZTOK_INSTANCE = 131,            /* ZTOK_INSTANCE  */
  YYSYMBOL_XTOK_PARAMVALUE = 132,          /* XTOK_PARAMVALUE  */
  YYSYMBOL_ZTOK_PARAMVALUE = 133,          /* ZTOK_PARAMVALUE  */
  YYSYMBOL_XTOK_INSTANCEPATH = 134,        /* XTOK_INSTANCEPATH  */
  YYSYMBOL_ZTOK_INSTANCEPATH = 135,        /* ZTOK_INSTANCEPATH  */
  YYSYMBOL_XTOK_LOCALINSTANCEPATH = 136,   /* XTOK_LOCALINSTANCEPATH  */
  YYSYMBOL_ZTOK_LOCALINSTANCEPATH = 137,   /* ZTOK_LOCALINSTANCEPATH  */
  YYSYMBOL_XTOK_LOCALCLASSPATH = 138,      /* XTOK_LOCALCLASSPATH  */
  YYSYMBOL_ZTOK_LOCALCLASSPATH = 139,      /* ZTOK_LOCALCLASSPATH  */
  YYSYMBOL_YYACCEPT = 140,                 /* $accept  */
  YYSYMBOL_start = 141,                    /* start  */
  YYSYMBOL_cimOperation = 142,             /* cimOperation  */
  YYSYMBOL_message = 143,                  /* message  */
  YYSYMBOL_simpleReq = 144,                /* simpleReq  */
  YYSYMBOL_iMethodCall = 145,              /* iMethodCall  */
  YYSYMBOL_methodCall = 146,               /* methodCall  */
  YYSYMBOL_paramValues = 147,              /* paramValues  */
  YYSYMBOL_paramValue = 148,               /* paramValue  */
  YYSYMBOL_getProperty = 149,              /* getProperty  */
  YYSYMBOL_getPropertyParm = 150,          /* getPropertyParm  */
  YYSYMBOL_setProperty = 151,              /* setProperty  */
  YYSYMBOL_setPropertyParmsList = 152,     /* setPropertyParmsList  */
  YYSYMBOL_setPropertyParms = 153,         /* setPropertyParms  */
  YYSYMBOL_newValue = 154,                 /* newValue  */
  YYSYMBOL_getQualifier = 155,             /* getQualifier  */
  YYSYMBOL_getQualifierParm = 156,         /* getQualifierParm  */
  YYSYMBOL_deleteQualifier = 157,          /* deleteQualifier  */
  YYSYMBOL_deleteQualifierParm = 158,      /* deleteQualifierParm  */
  YYSYMBOL_enumQualifiers = 159,           /* enumQualifiers  */
  YYSYMBOL_setQualifier = 160,             /* setQualifier  */
  YYSYMBOL_setQualifierParm = 161,         /* setQualifierParm  */
  YYSYMBOL_getClass = 162,                 /* getClass  */
  YYSYMBOL_getClassParmsList = 163,        /* getClassParmsList  */
  YYSYMBOL_getClassParms = 164,            /* getClassParms  */
  YYSYMBOL_enumClassNames = 165,           /* enumClassNames  */
  YYSYMBOL_enumClassNamesParmsList = 166,  /* enumClassNamesParmsList  */
  YYSYMBOL_enumClassNamesParms = 167,      /* enumClassNamesParms  */
  YYSYMBOL_enumClasses = 168,              /* enumClasses  */
  YYSYMBOL_enumClassesParmsList = 169,     /* enumClassesParmsList  */
  YYSYMBOL_enumClassesParms = 170,         /* enumClassesParms  */
  YYSYMBOL_getInstance = 171,              /* getInstance  */
  YYSYMBOL_getInstanceParmsList = 172,     /* getInstanceParmsList  */
  YYSYMBOL_getInstanceParms = 173,         /* getInstanceParms  */
  YYSYMBOL_createClass = 174,              /* createClass  */
  YYSYMBOL_createClassParm = 175,          /* createClassParm  */
  YYSYMBOL_createInstance = 176,           /* createInstance  */
  YYSYMBOL_createInstanceParm = 177,       /* createInstanceParm  */
  YYSYMBOL_modifyInstance = 178,           /* modifyInstance  */
  YYSYMBOL_modifyInstanceParmsList = 179,  /* modifyInstanceParmsList  */
  YYSYMBOL_modifyInstanceParms = 180,      /* modifyInstanceParms  */
  YYSYMBOL_deleteClass = 181,              /* deleteClass  */
  YYSYMBOL_deleteClassParm = 182,          /* deleteClassParm  */
  YYSYMBOL_deleteInstance = 183,           /* deleteInstance  */
  YYSYMBOL_deleteInstanceParm = 184,       /* deleteInstanceParm  */
  YYSYMBOL_enumInstanceNames = 185,        /* enumInstanceNames  */
  YYSYMBOL_enumInstances = 186,            /* enumInstances  */
  YYSYMBOL_enumInstancesParmsList = 187,   /* enumInstancesParmsList  */
  YYSYMBOL_enumInstancesParms = 188,       /* enumInstancesParms  */
  YYSYMBOL_execQuery = 189,                /* execQuery  */
  YYSYMBOL_associators = 190,              /* associators  */
  YYSYMBOL_associatorsParmsList = 191,     /* associatorsParmsList  */
  YYSYMBOL_associatorsParms = 192,         /* associatorsParms  */
  YYSYMBOL_references = 193,               /* references  */
  YYSYMBOL_referencesParmsList = 194,      /* referencesParmsList  */
  YYSYMBOL_referencesParms = 195,          /* referencesParms  */
  YYSYMBOL_associatorNames = 196,          /* associatorNames  */
  YYSYMBOL_associatorNamesParmsList = 197, /* associatorNamesParmsList  */
  YYSYMBOL_associatorNamesParms = 198,     /* associatorNamesParms  */
  YYSYMBOL_referenceNames = 199,           /* referenceNames  */
  YYSYMBOL_referenceNamesParmsList = 200,  /* referenceNamesParmsList  */
  YYSYMBOL_referenceNamesParms = 201,      /* referenceNamesParms  */
  YYSYMBOL_namedInstance = 202,            /* namedInstance  */
  YYSYMBOL_class = 203,                    /* class  */
  YYSYMBOL_classData = 204,                /* classData  */
  YYSYMBOL_method = 205,                   /* method  */
  YYSYMBOL_methodData = 206,               /* methodData  */
  YYSYMBOL_parameter = 207,                /* parameter  */
  YYSYMBOL_instance = 208,                 /* instance  */
  YYSYMBOL_instanceData = 209,             /* instanceData  */
  YYSYMBOL_qualifierDeclaration = 210,     /* qualifierDeclaration  */
  YYSYMBOL_qualifierDeclarationData = 211, /* qualifierDeclarationData  */
  YYSYMBOL_scope = 212,                    /* scope  */
  YYSYMBOL_property = 213,                 /* property  */
  YYSYMBOL_qualifierList = 214,            /* qualifierList  */
  YYSYMBOL_propertyData = 215,             /* propertyData  */
  YYSYMBOL_qualifier = 216,                /* qualifier  */
  YYSYMBOL_localNameSpacePath = 217,       /* localNameSpacePath  */
  YYSYMBOL_namespaces = 218,               /* namespaces  */
  YYSYMBOL_nameSpacePath = 219,            /* nameSpacePath  */
  YYSYMBOL_host = 220,                     /* host  */
  YYSYMBOL_instancePath = 221,             /* instancePath  */
  YYSYMBOL_localInstancePath = 222,        /* localInstancePath  */
  YYSYMBOL_localClassPath = 223,           /* localClassPath  */
  YYSYMBOL_value = 224,                    /* value  */
  YYSYMBOL_valueArray = 225,               /* valueArray  */
  YYSYMBOL_valueList = 226,                /* valueList  */
  YYSYMBOL_valueReference = 227,           /* valueReference  */
  YYSYMBOL_valueRefArray = 228,            /* valueRefArray  */
  YYSYMBOL_valueRefList = 229,             /* valueRefList  */
  YYSYMBOL_boolValue = 230,                /* boolValue  */
  YYSYMBOL_openEnumInstancePaths = 231,    /* openEnumInstancePaths  */
  YYSYMBOL_openEnumInstancePathsParmsList = 232, /* openEnumInstancePathsParmsList  */
  YYSYMBOL_openEnumInstancePathsParms = 233, /* openEnumInstancePathsParms  */
  YYSYMBOL_openEnumInstances = 234,        /* openEnumInstances  */
  YYSYMBOL_openEnumInstancesParmsList = 235, /* openEnumInstancesParmsList  */
  YYSYMBOL_openEnumInstancesParms = 236,   /* openEnumInstancesParms  */
  YYSYMBOL_openAssociatorInstancePaths = 237, /* openAssociatorInstancePaths  */
  YYSYMBOL_openAssociatorInstancePathsParmsList = 238, /* openAssociatorInstancePathsParmsList  */
  YYSYMBOL_openAssociatorInstancePathsParms = 239, /* openAssociatorInstancePathsParms  */
  YYSYMBOL_openAssociatorInstances = 240,  /* openAssociatorInstances  */
  YYSYMBOL_openAssociatorInstancesParmsList = 241, /* openAssociatorInstancesParmsList  */
  YYSYMBOL_openAssociatorInstancesParms = 242, /* openAssociatorInstancesParms  */
  YYSYMBOL_openReferenceInstancePaths = 243, /* openReferenceInstancePaths  */
  YYSYMBOL_openReferenceInstancePathsParmsList = 244, /* openReferenceInstancePathsParmsList  */
  YYSYMBOL_openReferenceInstancePathsParms = 245, /* openReferenceInstancePathsParms  */
  YYSYMBOL_openReferenceInstances = 246,   /* openReferenceInstances  */
  YYSYMBOL_openReferenceInstancesParmsList = 247, /* openReferenceInstancesParmsList  */
  YYSYMBOL_openReferenceInstancesParms = 248, /* openReferenceInstancesParms  */
  YYSYMBOL_openQueryInstances = 249,       /* openQueryInstances  */
  YYSYMBOL_openQueryInstancesParmsList = 250, /* openQueryInstancesParmsList  */
  YYSYMBOL_openQueryInstancesParms = 251,  /* openQueryInstancesParms  */
  YYSYMBOL_pullInstances = 252,            /* pullInstances  */
  YYSYMBOL_pullInstancesParmsList = 253,   /* pullInstancesParmsList  */
  YYSYMBOL_pullInstancesParms = 254,       /* pullInstancesParms  */
  YYSYMBOL_pullInstancesWithPath = 255,    /* pullInstancesWithPath  */
  YYSYMBOL_pullInstancesWithPathParmsList = 256, /* pullInstancesWithPathParmsList  */
  YYSYMBOL_pullInstancesWithPathParms = 257, /* pullInstancesWithPathParms  */
  YYSYMBOL_pullInstancePaths = 258,        /* pullInstancePaths  */
  YYSYMBOL_pullInstancePathsParmsList = 259, /* pullInstancePathsParmsList  */
  YYSYMBOL_pullInstancePathsParms = 260,   /* pullInstancePathsParms  */
  YYSYMBOL_closeEnumeration = 261,         /* closeEnumeration  */
  YYSYMBOL_enumerationCount = 262,         /* enumerationCount  */
  YYSYMBOL_enumerationContext = 263,       /* enumerationContext  */
  YYSYMBOL_className = 264,                /* className  */
  YYSYMBOL_instanceName = 265,             /* instanceName  */
  YYSYMBOL_keyBindings = 266,              /* keyBindings  */
  YYSYMBOL_keyBinding = 267                /* keyBinding  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  4
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   1063

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  140
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  128
/* YYNRULES -- Number of rules.  */
#define YYNRULES  466
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  911

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   394


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,  2325,  2325,  2331,  2337,  2343,  2349,  2352,  2355,  2358,
    2361,  2364,  2367,  2370,  2373,  2376,  2379,  2382,  2385,  2388,
    2391,  2394,  2397,  2400,  2403,  2406,  2409,  2412,  2415,  2418,
    2421,  2424,  2427,  2430,  2433,  2436,  2439,  2442,  2445,  2448,
    2451,  2462,  2475,  2487,  2501,  2517,  2523,  2530,  2535,  2545,
    2557,  2562,  2568,  2573,  2578,  2583,  2588,  2600,  2614,  2619,
    2631,  2642,  2658,  2664,  2679,  2686,  2693,  2702,  2715,  2720,
    2731,  2744,  2754,  2767,  2777,  2793,  2808,  2819,  2833,  2850,
    2861,  2875,  2883,  2890,  2894,  2901,  2905,  2912,  2916,  2923,
    2935,  2946,  2960,  2965,  2973,  2978,  2983,  2989,  3001,  3012,
    3026,  3032,  3041,  3045,  3050,  3054,  3060,  3064,  3070,  3074,
    3080,  3084,  3097,  3112,  3130,  3141,  3155,  3163,  3170,  3174,
    3181,  3185,  3192,  3196,  3203,  3216,  3227,  3242,  3255,  3265,
    3280,  3292,  3305,  3322,  3333,  3348,  3356,  3363,  3367,  3374,
    3386,  3396,  3411,  3423,  3433,  3448,  3461,  3480,  3493,  3509,
    3519,  3532,  3539,  3547,  3551,  3559,  3563,  3571,  3575,  3583,
    3587,  3594,  3608,  3621,  3643,  3661,  3683,  3700,  3720,  3729,
    3743,  3751,  3755,  3763,  3767,  3775,  3779,  3787,  3791,  3800,
    3804,  3813,  3817,  3824,  3839,  3855,  3875,  3890,  3908,  3917,
    3928,  3936,  3940,  3948,  3952,  3961,  3965,  3974,  3978,  3985,
    3998,  4013,  4031,  4042,  4056,  4062,  4070,  4076,  4080,  4086,
    4090,  4096,  4100,  4106,  4120,  4133,  4150,  4159,  4171,  4177,
    4185,  4191,  4195,  4201,  4213,  4226,  4241,  4242,  4247,  4251,
    4258,  4273,  4274,  4281,  4295,  4296,  4311,  4325,  4331,  4335,
    4346,  4347,  4356,  4359,  4364,  4375,  4376,  4386,  4398,  4403,
    4419,  4422,  4431,  4436,  4440,  4444,  4457,  4461,  4475,  4482,
    4486,  4499,  4507,  4513,  4532,  4541,  4554,  4560,  4566,  4570,
    4578,  4583,  4593,  4600,  4612,  4617,  4622,  4630,  4637,  4644,
    4656,  4668,  4679,  4697,  4707,  4720,  4725,  4731,  4735,  4740,
    4744,  4749,  4753,  4758,  4762,  4767,  4779,  4792,  4812,  4826,
    4843,  4848,  4854,  4858,  4864,  4868,  4874,  4878,  4884,  4888,
    4894,  4898,  4904,  4908,  4913,  4917,  4922,  4926,  4931,  4935,
    4940,  4952,  4969,  4993,  5010,  5030,  5036,  5041,  5045,  5050,
    5054,  5059,  5063,  5068,  5072,  5078,  5082,  5087,  5091,  5096,
    5100,  5105,  5109,  5114,  5126,  5144,  5170,  5191,  5215,  5221,
    5226,  5230,  5235,  5239,  5244,  5248,  5253,  5257,  5263,  5267,
    5273,  5277,  5283,  5287,  5293,  5297,  5302,  5306,  5311,  5315,
    5320,  5324,  5329,  5341,  5356,  5378,  5393,  5411,  5417,  5422,
    5426,  5431,  5435,  5441,  5445,  5450,  5454,  5459,  5463,  5468,
    5472,  5477,  5489,  5505,  5529,  5548,  5570,  5576,  5581,  5585,
    5590,  5594,  5600,  5604,  5610,  5614,  5620,  5624,  5630,  5634,
    5639,  5643,  5648,  5652,  5657,  5661,  5666,  5678,  5688,  5708,
    5717,  5729,  5735,  5739,  5745,  5749,  5754,  5758,  5763,  5767,
    5772,  5776,  5781,  5792,  5802,  5817,  5822,  5830,  5835,  5839,
    5844,  5856,  5867,  5883,  5888,  5896,  5901,  5905,  5910,  5922,
    5933,  5949,  5954,  5962,  5967,  5971,  5976,  5987,  6005,  6020,
    6027,  6039,  6045,  6053,  6063,  6078,  6084
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "XTOK_XML", "ZTOK_XML",
  "XTOK_CIM", "ZTOK_CIM", "XTOK_MESSAGE", "ZTOK_MESSAGE", "XTOK_SIMPLEREQ",
  "ZTOK_SIMPLEREQ", "XTOK_GETCLASS", "XTOK_ENUMCLASSNAMES",
  "XTOK_ENUMCLASSES", "XTOK_CREATECLASS", "XTOK_CREATEINSTANCE",
  "XTOK_DELETECLASS", "XTOK_DELETEINSTANCE", "XTOK_MODIFYINSTANCE",
  "XTOK_GETINSTANCE", "XTOK_ENUMINSTANCENAMES", "XTOK_ENUMINSTANCES",
  "XTOK_EXECQUERY", "XTOK_ASSOCIATORS", "XTOK_REFERENCES",
  "XTOK_ASSOCIATORNAMES", "XTOK_REFERENCENAMES", "XTOK_SETQUALIFIER",
  "XTOK_SETPROPERTY", "XTOK_ENUMQUALIFIERS", "XTOK_GETQUALIFIER",
  "XTOK_DELETEQUALIFIER", "XTOK_GETPROPERTY", "XTOK_OPENENUMINSTANCEPATHS",
  "XTOK_OPENENUMINSTANCES", "XTOK_OPENASSOCIATORINSTANCEPATHS",
  "XTOK_OPENASSOCIATORINSTANCES", "XTOK_OPENREFERENCEINSTANCEPATHS",
  "XTOK_OPENREFERENCEINSTANCES", "XTOK_OPENQUERYINSTANCES",
  "XTOK_PULLINSTANCES", "XTOK_PULLINSTANCESWITHPATH",
  "XTOK_PULLINSTANCEPATHS", "XTOK_CLOSEENUMERATION",
  "XTOK_ENUMERATIONCOUNT", "ZTOK_IMETHODCALL", "XTOK_METHODCALL",
  "ZTOK_METHODCALL", "XTOK_NAMESPACEPATH", "ZTOK_NAMESPACEPATH",
  "XTOK_LOCALNAMESPACEPATH", "ZTOK_LOCALNAMESPACEPATH", "XTOK_NAMESPACE",
  "ZTOK_NAMESPACE", "ZTOK_IPARAMVALUE", "XTOK_HOST", "ZTOK_HOST",
  "XTOK_VALUE", "ZTOK_VALUE", "XTOK_CDATA", "ZTOK_CDATA",
  "XTOK_VALUEARRAY", "ZTOK_VALUEARRAY", "XTOK_VALUEREFERENCE",
  "ZTOK_VALUEREFERENCE", "XTOK_VALUEREFARRAY", "ZTOK_VALUEREFARRAY",
  "XTOK_CLASSNAME", "ZTOK_CLASSNAME", "XTOK_INSTANCENAME",
  "ZTOK_INSTANCENAME", "XTOK_KEYBINDING", "ZTOK_KEYBINDING",
  "XTOK_KEYVALUE", "ZTOK_KEYVALUE", "XTOK_IP_LOCALONLY",
  "XTOK_IP_INCLUDEQUALIFIERS", "XTOK_IP_INCLUDECLASSORIGIN",
  "XTOK_IP_DEEPINHERITANCE", "XTOK_IP_CLASSNAME", "XTOK_IP_INSTANCE",
  "XTOK_IP_MODIFIEDINSTANCE", "XTOK_IP_INSTANCENAME", "XTOK_IP_OBJECTNAME",
  "XTOK_IP_ASSOCCLASS", "XTOK_IP_RESULTCLASS", "XTOK_IP_ROLE",
  "XTOK_IP_RESULTROLE", "XTOK_IP_QUERY", "XTOK_IP_QUERYLANG",
  "XTOK_IP_CLASS", "XTOK_IP_QUALIFIERDECLARATION", "XTOK_IP_QUALIFIERNAME",
  "XTOK_IP_PROPERTYNAME", "XTOK_IP_NEWVALUE", "XTOK_IP_FILTERQUERYLANG",
  "XTOK_IP_FILTERQUERY", "XTOK_IP_CONTINUEONERROR",
  "XTOK_IP_ENDOFSEQUENCE", "XTOK_IP_RETURNQUERYRESULTCLASS",
  "XTOK_IP_OPERATIONTIMEOUT", "XTOK_IP_MAXOBJECTCOUNT",
  "XTOK_IP_ENUMERATIONCONTEXT", "XTOK_IP_PROPERTYLIST",
  "XTOK_VALUENAMEDINSTANCE", "ZTOK_VALUENAMEDINSTANCE", "XTOK_QUALIFIER",
  "ZTOK_QUALIFIER", "XTOK_QUALIFIERDECLARATION",
  "ZTOK_QUALIFIERDECLARATION", "XTOK_SCOPE", "ZTOK_SCOPE", "XTOK_PROPERTY",
  "ZTOK_PROPERTY", "XTOK_PROPERTYARRAY", "ZTOK_PROPERTYARRAY",
  "XTOK_PROPERTYREFERENCE", "ZTOK_PROPERTYREFERENCE", "XTOK_PARAM",
  "ZTOK_PARAM", "XTOK_PARAMARRAY", "ZTOK_PARAMARRAY", "XTOK_PARAMREF",
  "ZTOK_PARAMREF", "XTOK_PARAMREFARRAY", "ZTOK_PARAMREFARRAY",
  "XTOK_METHOD", "ZTOK_METHOD", "XTOK_CLASS", "ZTOK_CLASS",
  "XTOK_INSTANCE", "ZTOK_INSTANCE", "XTOK_PARAMVALUE", "ZTOK_PARAMVALUE",
  "XTOK_INSTANCEPATH", "ZTOK_INSTANCEPATH", "XTOK_LOCALINSTANCEPATH",
  "ZTOK_LOCALINSTANCEPATH", "XTOK_LOCALCLASSPATH", "ZTOK_LOCALCLASSPATH",
  "$accept", "start", "cimOperation", "message", "simpleReq",
  "iMethodCall", "methodCall", "paramValues", "paramValue", "getProperty",
  "getPropertyParm", "setProperty", "setPropertyParmsList",
  "setPropertyParms", "newValue", "getQualifier", "getQualifierParm",
  "deleteQualifier", "deleteQualifierParm", "enumQualifiers",
  "setQualifier", "setQualifierParm", "getClass", "getClassParmsList",
  "getClassParms", "enumClassNames", "enumClassNamesParmsList",
  "enumClassNamesParms", "enumClasses", "enumClassesParmsList",
  "enumClassesParms", "getInstance", "getInstanceParmsList",
  "getInstanceParms", "createClass", "createClassParm", "createInstance",
  "createInstanceParm", "modifyInstance", "modifyInstanceParmsList",
  "modifyInstanceParms", "deleteClass", "deleteClassParm",
  "deleteInstance", "deleteInstanceParm", "enumInstanceNames",
  "enumInstances", "enumInstancesParmsList", "enumInstancesParms",
  "execQuery", "associators", "associatorsParmsList", "associatorsParms",
  "references", "referencesParmsList", "referencesParms",
  "associatorNames", "associatorNamesParmsList", "associatorNamesParms",
  "referenceNames", "referenceNamesParmsList", "referenceNamesParms",
  "namedInstance", "class", "classData", "method", "methodData",
  "parameter", "instance", "instanceData", "qualifierDeclaration",
  "qualifierDeclarationData", "scope", "property", "qualifierList",
  "propertyData", "qualifier", "localNameSpacePath", "namespaces",
  "nameSpacePath", "host", "instancePath", "localInstancePath",
  "localClassPath", "value", "valueArray", "valueList", "valueReference",
  "valueRefArray", "valueRefList", "boolValue", "openEnumInstancePaths",
  "openEnumInstancePathsParmsList", "openEnumInstancePathsParms",
  "openEnumInstances", "openEnumInstancesParmsList",
  "openEnumInstancesParms", "openAssociatorInstancePaths",
  "openAssociatorInstancePathsParmsList",
  "openAssociatorInstancePathsParms", "openAssociatorInstances",
  "openAssociatorInstancesParmsList", "openAssociatorInstancesParms",
  "openReferenceInstancePaths", "openReferenceInstancePathsParmsList",
  "openReferenceInstancePathsParms", "openReferenceInstances",
  "openReferenceInstancesParmsList", "openReferenceInstancesParms",
  "openQueryInstances", "openQueryInstancesParmsList",
  "openQueryInstancesParms", "pullInstances", "pullInstancesParmsList",
  "pullInstancesParms", "pullInstancesWithPath",
  "pullInstancesWithPathParmsList", "pullInstancesWithPathParms",
  "pullInstancePaths", "pullInstancePathsParmsList",
  "pullInstancePathsParms", "closeEnumeration", "enumerationCount",
  "enumerationContext", "className", "instanceName", "keyBindings",
  "keyBinding", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-632)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
      37,    52,    85,   116,  -632,   133,  -632,   157,   150,   565,
     182,  -632,   132,   132,   132,   132,   132,   132,   132,   132,
     132,   132,   132,   132,   132,   132,   132,   132,   132,   132,
     132,   132,   132,   132,   132,   132,   132,   132,   132,   132,
     132,   132,   132,   132,   132,   132,   147,   192,  -632,   108,
     169,    70,   214,   304,   248,   321,   258,   185,   298,   278,
     329,   309,   359,   233,   365,   -40,   383,   174,   393,   374,
     444,     1,   458,   144,   464,   186,   485,    93,   491,   332,
     498,   267,   527,   535,   616,   173,   618,  -632,   625,   547,
     626,   581,   627,    21,   199,   629,    -9,   630,   260,   631,
     236,   632,   145,   633,   355,   634,   290,   635,   247,   636,
     291,   637,   319,   638,   582,   640,   585,   641,   132,   132,
     642,   559,   559,  -632,   639,   392,  -632,    43,    63,    75,
     621,    83,    70,  -632,  -632,   137,    -5,   304,  -632,  -632,
     204,   230,   270,   305,     4,   321,  -632,  -632,   567,  -632,
    -632,   563,  -632,  -632,   621,  -632,  -632,   628,  -632,  -632,
     315,   595,   203,   -40,  -632,  -632,   351,   352,   368,   628,
     225,   174,  -632,  -632,   621,  -632,   372,   373,   379,   385,
     621,   227,     1,  -632,  -632,   643,   643,  -632,   391,   400,
     593,     7,    41,   405,   406,   243,   186,  -632,  -632,   407,
     411,   593,    69,   412,   244,    93,  -632,  -632,   593,    72,
      87,   413,   417,   332,  -632,  -632,   593,    98,   418,   267,
    -632,  -632,   588,  -632,  -632,   628,   643,   310,   173,  -632,
    -632,  -632,   643,  -632,  -632,   643,  -632,  -632,   628,   643,
    -632,   621,   419,   423,   424,   436,   437,   199,  -632,  -632,
     441,   442,   443,   447,   621,   448,   453,   454,   460,   461,
     253,    -9,  -632,  -632,   628,   110,   114,   462,   466,   468,
     470,   472,   474,   478,   260,  -632,  -632,   480,   484,   628,
     151,   152,   488,   490,   494,   495,   496,   500,   504,   265,
     236,  -632,  -632,   628,   154,   505,   506,   510,   511,   512,
     516,   145,  -632,  -632,   517,   556,   628,   155,   558,   560,
     562,   564,   566,   568,   274,   355,  -632,  -632,   573,   574,
     578,   579,   580,   584,   290,  -632,  -632,   586,   590,   247,
    -632,  -632,   591,   592,   291,  -632,  -632,   596,   597,   319,
    -632,  -632,   644,  -632,   644,  -632,   628,   621,  -632,   -15,
     559,  -632,   559,  -632,  -632,   645,  -632,   646,   648,  -632,
     649,  -632,   651,   622,   652,  -632,   249,   653,  -632,  -632,
     654,  -632,   655,  -632,  -632,   656,  -632,   657,  -632,   658,
    -632,   659,  -632,   660,  -632,  -632,   661,  -632,   662,   663,
     594,   664,  -632,   665,   628,   666,  -632,   667,  -632,  -632,
     668,  -632,   669,  -632,   670,   671,  -632,   672,  -632,   673,
    -632,   674,  -632,   676,  -632,   678,  -632,   679,   681,  -632,
     682,  -632,   -14,   683,   684,  -632,   685,  -632,   686,   687,
     688,  -632,   689,  -632,   691,  -632,   692,  -632,   693,  -632,
     694,  -632,  -632,   695,  -632,   696,   697,   698,  -632,   699,
    -632,   700,  -632,   701,  -632,   702,   703,  -632,   704,  -632,
     705,  -632,   706,  -632,   707,  -632,   708,   709,  -632,   712,
    -632,   713,  -632,   675,   714,   715,   716,   -12,   717,  -632,
    -632,  -632,  -632,   718,   719,   720,   722,   723,  -632,   724,
    -632,   725,  -632,   726,  -632,   727,  -632,   728,  -632,  -632,
     729,  -632,   730,  -632,   732,  -632,   733,   734,  -632,   735,
    -632,   736,  -632,   737,  -632,   738,  -632,   739,  -632,   740,
    -632,   741,  -632,   742,  -632,   743,  -632,   744,  -632,   745,
    -632,   746,  -632,   747,  -632,   748,  -632,   749,  -632,   750,
    -632,  -632,   751,  -632,   752,   753,  -632,   754,  -632,   755,
    -632,   756,  -632,   757,  -632,   758,  -632,   759,  -632,   760,
    -632,   761,  -632,   762,  -632,   763,  -632,   764,  -632,   765,
    -632,   766,  -632,   767,  -632,   768,  -632,   769,  -632,   770,
    -632,   771,  -632,  -632,   772,  -632,   773,   774,  -632,   775,
    -632,   776,  -632,   777,  -632,   778,  -632,   779,  -632,   780,
    -632,   781,  -632,   782,  -632,  -632,   783,  -632,   784,  -632,
     785,  -632,   786,  -632,   787,  -632,   788,  -632,  -632,   789,
    -632,   790,   791,  -632,  -632,   792,  -632,   793,  -632,  -632,
     795,  -632,   796,  -632,   797,   798,   557,   721,   794,  -632,
     711,   731,   799,   800,   801,   802,   803,   804,   805,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,   268,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,    81,  -632,
      19,  -632,  -632,  -632,    20,   598,  -632,  -632,  -632,   563,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,   528,   808,   806,   809,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,   807,    -2,  -632,  -632,  -632,
     810,   811,   812,   813,  -632,  -632,  -632,   814,   816,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,   589,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,    -2,  -632,
    -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
     815,   818,  -632,  -632,   817,   819,   820,  -632,   643,   643,
    -632,   821,  -632,  -632,   823,   628,  -632,  -632,  -632,   643,
     628,  -632,  -632,   822,   824,   -10,   -10,   -10,   -46,   827,
    -632,  -632,   825,   826,   828,   831,  -632,   830,   132,   829,
     833,   834,  -632,  -632,   832,  -632,  -632,  -632,  -632,   835,
     836,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,  -632,
     842,  -632,  -632,  -632,  -632,  -632,  -632,   141,  -632,  -632,
    -632
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       0,     0,     0,     0,     1,     0,     2,     0,     0,     0,
       0,     3,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     4,     0,
       0,    77,     0,    90,     0,    98,     0,   125,     0,   128,
       0,   140,     0,   143,     0,   131,     0,   112,     0,     0,
       0,   147,     0,     0,     0,   164,     0,   184,     0,   200,
       0,   214,     0,     0,     0,    60,     0,    74,     0,     0,
       0,     0,     0,     0,   281,     0,   296,     0,   321,     0,
     344,     0,   373,     0,   392,     0,   417,     0,   433,     0,
     441,     0,   449,     0,     0,     0,     0,     0,     0,     0,
       0,    43,    41,     5,     0,     0,     6,     0,     0,     0,
       0,     0,    78,    79,     7,     0,     0,    91,    92,     8,
       0,     0,     0,     0,     0,    99,   100,    22,     0,   126,
      12,     0,   129,    21,     0,   141,     9,     0,   144,    11,
       0,     0,     0,   132,   133,    10,     0,     0,     0,     0,
       0,   113,   114,    13,     0,    14,     0,     0,     0,     0,
       0,     0,   148,   149,    19,     0,     0,    15,     0,     0,
       0,     0,     0,     0,     0,     0,   165,   166,    17,     0,
       0,     0,     0,     0,     0,   185,   186,    16,     0,     0,
       0,     0,     0,   201,   202,    18,     0,     0,     0,   215,
     216,    24,   240,    75,    28,     0,     0,     0,    61,    62,
      23,    25,     0,    70,    26,     0,    72,    27,     0,     0,
      57,     0,     0,     0,     0,     0,     0,   282,   283,    29,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   297,   298,    30,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   322,   323,    32,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     345,   346,    31,     0,     0,     0,     0,     0,     0,     0,
       0,   374,   375,    34,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   393,   394,    33,     0,     0,
       0,     0,     0,     0,   418,   419,    35,     0,     0,   434,
     435,    36,     0,     0,   442,   443,    37,     0,     0,   450,
     451,    38,     0,    39,     0,    40,     0,     0,    20,     0,
      44,    45,    42,   259,   258,     0,    83,     0,     0,    85,
       0,    87,     0,     0,     0,    89,     0,     0,    80,    97,
       0,    94,     0,    93,   106,     0,   108,     0,   110,     0,
     104,     0,   102,     0,   101,   226,     0,   237,     0,     0,
       0,     0,   137,     0,     0,     0,   139,     0,   134,   118,
       0,   120,     0,   122,     0,     0,   124,     0,   115,     0,
     153,     0,   155,     0,   159,     0,   157,     0,     0,   161,
       0,   150,     0,     0,     0,   179,     0,   181,     0,     0,
       0,   171,     0,   173,     0,   175,     0,   177,     0,   183,
       0,   167,   195,     0,   197,     0,     0,     0,   191,     0,
     193,     0,   199,     0,   187,     0,     0,   207,     0,   209,
       0,   211,     0,   213,     0,   203,     0,     0,   221,     0,
     223,     0,   217,   245,     0,     0,     0,     0,     0,    67,
      68,    69,    63,     0,     0,     0,     0,     0,   295,     0,
     293,     0,   287,     0,   289,     0,   291,     0,   284,   302,
       0,   304,     0,   308,     0,   306,     0,     0,   320,     0,
     318,     0,   312,     0,   314,     0,   316,     0,   310,     0,
     299,     0,   327,     0,   329,     0,   331,     0,   333,     0,
     343,     0,   341,     0,   335,     0,   337,     0,   339,     0,
     324,   358,     0,   360,     0,     0,   350,     0,   352,     0,
     354,     0,   356,     0,   372,     0,   370,     0,   364,     0,
     366,     0,   368,     0,   362,     0,   347,     0,   379,     0,
     381,     0,   391,     0,   389,     0,   383,     0,   385,     0,
     387,     0,   376,   402,     0,   404,     0,     0,   398,     0,
     400,     0,   416,     0,   414,     0,   408,     0,   410,     0,
     412,     0,   406,     0,   395,   432,     0,   430,     0,   424,
       0,   422,     0,   426,     0,   428,     0,   420,   438,     0,
     440,     0,     0,   436,   446,     0,   448,     0,   444,   454,
       0,   456,     0,   452,     0,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
     260,   280,    82,    84,    86,   460,    81,   270,   272,     0,
      88,    96,    95,   107,   109,   111,   105,   103,     0,   127,
       0,   130,   142,   461,     0,     0,   463,   145,   136,     0,
     135,   138,   117,   119,   121,   116,   123,   146,   152,   154,
     158,   156,   151,   160,   269,     0,     0,     0,     0,   178,
     180,   169,   168,   170,   172,   174,   176,   182,   194,   196,
     189,   188,   190,   192,   198,   205,   204,   206,   208,   210,
     212,   219,   218,   220,   222,     0,   242,    76,    64,    65,
       0,     0,     0,     0,    66,    71,    73,     0,     0,   285,
     294,   292,   286,   288,   290,   301,   303,   307,   305,   300,
     319,   317,   311,   313,   315,   309,   325,   326,   328,   330,
     332,   342,   340,   334,   336,   338,   357,   359,   348,   349,
     351,   353,   355,   371,   369,   363,   365,   367,   361,   377,
     378,   380,   390,   388,   382,   384,   386,   401,   403,   396,
     397,   399,   415,   413,   407,   409,   411,   405,   431,   429,
     423,   421,   425,   427,   437,   459,   439,   445,   447,   453,
     455,   457,   458,   264,   265,   278,     0,    56,    54,    55,
      48,    49,    50,    51,    52,    53,   271,   273,     0,   250,
     250,   250,   231,   225,   229,   228,   227,   236,   239,   238,
       0,     0,   462,   464,     0,     0,     0,   266,     0,     0,
     246,     0,   243,   244,     0,     0,   274,   275,   276,     0,
       0,   277,   279,     0,     0,   252,   252,   252,     0,     0,
     466,   224,     0,     0,     0,     0,   241,     0,     0,     0,
       0,     0,   256,   257,     0,   251,   253,   255,   254,     0,
       0,   234,   230,   232,   465,   268,   267,   162,   163,   262,
       0,   263,    59,    58,   247,   249,   248,     0,   261,   233,
     235
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -632,  -632,  -632,  -632,  -632,  -632,  -632,   837,   307,  -632,
    -632,  -632,  -632,   677,  -632,  -632,  -632,  -632,  -632,  -632,
    -632,  -632,  -632,  -632,   838,  -632,  -632,   839,  -632,  -632,
     710,  -632,  -632,   690,  -632,  -632,  -632,  -632,  -632,  -632,
     840,  -632,  -632,  -632,  -632,  -632,  -632,  -632,   680,  -632,
    -632,  -632,   841,  -632,  -632,   843,  -632,  -632,   650,  -632,
    -632,   844,   507,  -316,  -632,  -632,  -632,  -632,  -311,  -632,
    -632,  -632,  -632,   183,  -347,  -200,  -631,   -13,  -632,  -632,
    -632,  -632,   377,  -632,   -84,   -97,  -632,  -192,  -632,  -632,
     235,  -632,  -632,   612,  -632,  -632,   606,  -632,  -632,   599,
    -632,  -632,   602,  -632,  -632,   569,  -632,  -632,   553,  -632,
    -632,   545,  -632,  -632,   542,  -632,  -632,   538,  -632,  -632,
     554,  -632,  -632,    -4,   100,  -126,  -632,   206
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     2,     6,     8,    10,    47,   120,   350,   351,    92,
     240,    84,   228,   229,   478,    88,   233,    90,   236,    86,
      82,   223,    50,   132,   133,    52,   137,   138,    54,   145,
     146,    66,   171,   172,    56,   149,    58,   152,    64,   163,
     164,    60,   155,    62,   158,    68,    70,   182,   183,    72,
      74,   196,   197,    76,   205,   206,    78,   213,   214,    80,
     219,   220,   395,   386,   668,   834,   868,   907,   388,   670,
     474,   851,   726,   835,   865,   884,   885,    51,   125,   855,
     878,   731,   121,   122,   886,   887,   659,   888,   646,   816,
     358,    95,   247,   248,    97,   261,   262,    99,   274,   275,
     101,   290,   291,   103,   301,   302,   105,   315,   316,   107,
     324,   325,   109,   329,   330,   111,   334,   335,   113,   339,
     340,   115,   117,   622,   364,   391,   675,   676
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      53,    55,    57,    59,    61,    63,    65,    67,    69,    71,
      73,    75,    77,    79,    81,    83,    85,    87,    89,    91,
      93,    94,    96,    98,   100,   102,   104,   106,   108,   110,
     112,   114,   116,   641,   367,   481,   160,   836,   642,   839,
       1,   161,   422,   405,   694,   695,   366,   422,   477,   371,
     638,   366,   363,   477,   390,   422,     3,   390,   382,   366,
     828,   431,   363,   162,   430,   397,   250,   251,   252,   253,
     254,   363,   891,   407,   363,   447,   176,   177,   178,   179,
     180,   892,   456,   477,   420,     4,   255,   256,   257,   394,
     467,   258,   259,   840,   260,   433,   828,   356,   440,   475,
     357,   423,   424,   238,   181,   346,   347,   453,   363,   436,
     438,   696,   485,   385,   239,   387,   387,   359,   639,   451,
     357,     5,   730,   448,   118,   828,   457,   462,   464,   361,
     480,   829,   357,   830,   471,   831,   363,   365,   521,   363,
       7,   459,   476,   479,   366,   127,   128,   129,   483,   130,
     837,   484,   468,   545,   363,   486,    11,   645,   489,   491,
     124,   495,   497,   519,   522,   363,     9,   567,   524,   199,
     200,   509,   511,   131,   515,   517,   201,   363,   202,   203,
     587,   363,    49,   527,   529,   531,   533,   828,   537,   539,
      48,   369,   565,   829,   357,   830,   204,   831,   551,   553,
     555,   557,   123,   561,   563,   546,   548,   832,   568,   588,
     833,   571,   573,   575,   126,   579,   581,   603,   363,   363,
     636,   363,   363,   648,   591,   593,   595,   293,   599,   601,
     294,   295,   185,   186,   606,   608,   372,   893,   614,   616,
     296,   297,   298,   619,   383,   299,   300,   828,   625,   166,
     167,   168,   644,   630,   389,   225,   169,   396,   374,   134,
     909,   357,   188,   189,   366,   643,   226,   227,   679,   190,
     191,   192,   193,   194,   409,   148,   910,   170,   241,   406,
     418,   419,   658,   118,   376,   119,   366,   357,   366,   195,
     429,   432,   434,   139,   242,   243,   244,   439,   452,   245,
     246,   446,   449,   147,   366,   366,   422,   518,   455,   458,
     460,   657,   277,   278,   366,   157,   466,   469,   279,   564,
     280,   281,   282,   283,   378,   422,   366,   357,   602,   627,
     826,   284,   285,   286,   632,   366,   287,   288,   634,   289,
     635,   487,   264,   150,   265,   266,   267,   268,   327,   328,
     216,   733,   217,   218,   507,   269,   270,   271,   151,   380,
     272,   273,   357,   360,   362,   523,   525,   422,   844,   392,
     370,   366,   357,   477,   153,   375,   377,   379,   381,   845,
     547,   549,   135,   136,   846,   318,   319,   320,   154,   321,
     322,   323,   332,   333,   569,   393,   140,   141,   142,   143,
     144,   400,   402,   404,   156,   399,   401,   589,   357,   357,
     159,   411,   413,   415,   417,   208,   209,   210,   211,   212,
     337,   338,   403,   426,   428,   357,   410,   412,   165,   357,
     357,   304,   305,   414,   443,   445,   357,   306,   173,   416,
     307,   308,   357,   354,   355,   425,   815,   637,   357,   647,
     309,   310,   311,   174,   427,   312,   313,   357,   314,   435,
     437,   442,   422,   422,   357,   444,   450,   461,   357,   422,
     422,   463,   470,   488,   422,   422,   422,   490,   492,   493,
     422,   357,   841,   866,   867,   500,   502,   504,   506,   175,
     494,   496,   513,   422,   422,   499,   501,   503,   357,   357,
     357,   505,   508,   184,   357,   422,   535,   510,   512,   187,
     422,   357,   542,   544,   514,   516,   526,   422,   422,   422,
     528,   559,   530,   422,   532,   422,   534,   422,   536,   357,
     198,   422,   538,   577,   541,   422,   207,   357,   543,   584,
     586,   357,   550,   215,   552,   422,   597,   422,   554,   556,
     558,   422,   422,   357,   560,   610,   612,   422,   562,   570,
     572,   422,   422,   422,   574,   576,   578,   422,   357,   422,
     580,   583,   221,   422,   357,   827,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
     585,    46,   590,   357,   592,   422,   594,   422,   596,   422,
     598,   357,   600,   422,   862,   422,   222,   605,   607,   853,
     422,   422,   609,   611,   613,   357,   357,   422,   615,   232,
     618,   422,   852,   422,   620,   624,   626,   621,   422,   621,
     629,   631,   477,   422,   621,   861,   385,   649,   387,   649,
     363,   224,   390,   230,   673,   674,   889,   890,   842,   674,
     231,   234,   237,   235,   249,   263,   276,   292,   303,   317,
     326,   331,   336,   341,   342,   343,   345,   344,   363,   348,
     655,   349,   353,   387,   813,   385,   473,   390,   650,   394,
     422,   621,   652,   653,   651,   654,   656,   660,   661,   662,
     663,   664,   665,   666,   667,   669,   671,   672,   677,   678,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   879,
     689,   864,   690,   691,   881,   692,   693,   697,   698,   699,
     700,   701,   702,   703,   863,   704,   705,   706,   707,   708,
     709,   710,   711,   712,   713,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   874,   875,   723,   724,   727,   728,
     729,   734,   735,   736,   737,   880,   738,   739,   740,   741,
     742,   743,   744,   745,   746,   725,   747,   748,   749,   750,
     751,   752,   753,   754,   755,   756,   757,   758,   759,   760,
     761,   762,   763,   764,   765,   766,   767,   768,   769,   770,
     771,   772,   773,   774,   775,   776,   777,   778,   779,   780,
     781,   782,   783,   784,   785,   786,   787,   788,   789,   790,
     791,   792,   793,   794,   795,   796,   797,   798,   799,   800,
     801,   802,   803,   804,   817,   806,   807,   808,   805,   809,
     810,   811,   812,   838,   732,   384,   640,   477,   854,   498,
     814,   408,   421,   465,   818,   900,   847,   520,   604,   617,
     582,   623,   628,   540,     0,   856,   857,   858,   877,   872,
     873,   843,   897,   895,   896,   898,   899,   902,   903,   869,
     870,   908,   566,   633,     0,   848,     0,   849,   860,   894,
       0,     0,     0,     0,     0,   482,     0,   859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   850,     0,
       0,     0,   871,     0,     0,     0,     0,     0,     0,   882,
     876,   883,   819,   820,   821,   822,   823,   824,   825,     0,
       0,     0,     0,     0,     0,   904,     0,     0,     0,     0,
     905,     0,     0,   906,     0,     0,     0,     0,     0,   352,
       0,     0,     0,     0,   901,     0,     0,     0,     0,     0,
     368,     0,     0,     0,     0,     0,   373,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   398,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   472
};

static const yytype_int16 yycheck[] =
{
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,   349,   131,   227,    76,   668,   349,   670,
       3,    81,    57,   169,    58,    59,    61,    57,    63,    54,
      65,    61,    67,    63,    69,    57,     4,    69,    54,    61,
     106,    54,    67,   103,   190,   162,    75,    76,    77,    78,
      79,    67,   118,   170,    67,   201,    75,    76,    77,    78,
      79,   127,   208,    63,   181,     0,    95,    96,    97,   104,
     216,   100,   101,    73,   103,    54,   106,    54,   195,   225,
      57,   185,   186,    82,   103,   118,   119,   204,    67,   193,
     194,   422,   238,   128,    93,   130,   130,    54,   133,   203,
      57,     5,   134,    54,   136,   106,    54,   211,   212,    54,
     227,   112,    57,   114,   218,   116,    67,    54,   264,    67,
       7,    54,   226,   227,    61,    75,    76,    77,   232,    79,
     131,   235,    54,   279,    67,   239,     6,   349,   242,   243,
      52,   245,   246,   260,    54,    67,     9,   293,    54,    76,
      77,   255,   256,   103,   258,   259,    83,    67,    85,    86,
     306,    67,    50,   267,   268,   269,   270,   106,   272,   273,
       8,    54,   289,   112,    57,   114,   103,   116,   282,   283,
     284,   285,    10,   287,   288,    54,    54,   126,    54,    54,
     129,   295,   296,   297,    45,   299,   300,   314,    67,    67,
     346,    67,    67,   349,   308,   309,   310,    82,   312,   313,
      85,    86,    88,    89,   318,   319,   136,   868,   322,   323,
      95,    96,    97,   327,   144,   100,   101,   106,   332,    75,
      76,    77,   349,   337,   154,    82,    82,    54,    54,    45,
     119,    57,    76,    77,    61,   349,    93,    94,   394,    83,
      84,    85,    86,    87,   174,    90,   907,   103,    79,    54,
     180,    54,   366,   136,    54,   138,    61,    57,    61,   103,
     190,   191,   192,    45,    95,    96,    97,    54,    54,   100,
     101,   201,   202,    45,    61,    61,    57,    54,   208,   209,
     210,    62,    76,    77,    61,    82,   216,   217,    82,    54,
      84,    85,    86,    87,    54,    57,    61,    57,    54,   333,
      62,    95,    96,    97,   338,    61,   100,   101,   342,   103,
     344,   241,    82,    45,    84,    85,    86,    87,   101,   102,
      83,   477,    85,    86,   254,    95,    96,    97,    80,    54,
     100,   101,    57,   128,   129,   265,   266,    57,   679,    54,
     135,    61,    57,    63,    45,   140,   141,   142,   143,   695,
     280,   281,    78,    79,   695,    95,    96,    97,    79,    99,
     100,   101,   101,   102,   294,   160,    75,    76,    77,    78,
      79,   166,   167,   168,    45,    54,    54,   307,    57,    57,
      45,   176,   177,   178,   179,    83,    84,    85,    86,    87,
     101,   102,    54,   188,   189,    57,    54,    54,    45,    57,
      57,    76,    77,    54,   199,   200,    57,    82,    45,    54,
      85,    86,    57,    51,    52,    54,   638,   347,    57,   349,
      95,    96,    97,    79,    54,   100,   101,    57,   103,    54,
      54,    54,    57,    57,    57,    54,    54,    54,    57,    57,
      57,    54,    54,    54,    57,    57,    57,    54,    54,   244,
      57,    57,   674,   830,   831,   250,   251,   252,   253,    45,
      54,    54,   257,    57,    57,    54,    54,    54,    57,    57,
      57,    54,    54,    45,    57,    57,   271,    54,    54,    45,
      57,    57,   277,   278,    54,    54,    54,    57,    57,    57,
      54,   286,    54,    57,    54,    57,    54,    57,    54,    57,
      45,    57,    54,   298,    54,    57,    45,    57,    54,   304,
     305,    57,    54,    45,    54,    57,   311,    57,    54,    54,
      54,    57,    57,    57,    54,   320,   321,    57,    54,    54,
      54,    57,    57,    57,    54,    54,    54,    57,    57,    57,
      54,    54,    45,    57,    57,   659,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      54,    46,    54,    57,    54,    57,    54,    57,    54,    57,
      54,    57,    54,    57,   816,    57,    91,    54,    54,   726,
      57,    57,    54,    54,    54,    57,    57,    57,    54,    92,
      54,    57,   726,    57,    54,    54,    54,    57,    57,    57,
      54,    54,    63,    57,    57,    66,   128,   350,   130,   352,
      67,    45,    69,    45,    70,    71,   866,   867,    70,    71,
      45,    45,    45,    92,    45,    45,    45,    45,    45,    45,
      45,    45,    45,    45,   102,    45,    45,   102,    67,    47,
      68,   132,    53,   130,   137,   128,   108,    69,    53,   104,
      57,    57,    54,    54,    58,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,   855,
      54,   828,    54,    54,   860,    54,    54,    54,    54,    54,
      54,    54,    54,    54,   828,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,   848,   849,    54,    54,    54,    54,
      54,    54,    54,    54,    54,   859,    54,    54,    54,    54,
      54,    54,    54,    54,    54,   110,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,   133,    54,    54,    54,    58,    54,
      54,    54,    54,   670,   477,   145,   349,    63,    48,   247,
     139,   171,   182,   213,   133,   878,    58,   261,   315,   324,
     301,   329,   334,   274,    -1,    64,    64,    64,    55,    60,
      60,   675,    54,    58,    58,    54,    56,    54,    54,    74,
      72,    49,   290,   339,    -1,    89,    -1,    88,    82,    72,
      -1,    -1,    -1,    -1,    -1,   228,    -1,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,   107,
     109,   107,   133,   133,   133,   133,   133,   133,   133,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
     115,    -1,    -1,   117,    -1,    -1,    -1,    -1,    -1,   122,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
     132,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   219
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     3,   141,     4,     0,     5,   142,     7,   143,     9,
     144,     6,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    46,   145,     8,    50,
     162,   217,   165,   217,   168,   217,   174,   217,   176,   217,
     181,   217,   183,   217,   178,   217,   171,   217,   185,   217,
     186,   217,   189,   217,   190,   217,   193,   217,   196,   217,
     199,   217,   160,   217,   151,   217,   159,   217,   155,   217,
     157,   217,   149,   217,   217,   231,   217,   234,   217,   237,
     217,   240,   217,   243,   217,   246,   217,   249,   217,   252,
     217,   255,   217,   258,   217,   261,   217,   262,   136,   138,
     146,   222,   223,    10,    52,   218,    45,    75,    76,    77,
      79,   103,   163,   164,    45,    78,    79,   166,   167,    45,
      75,    76,    77,    78,    79,   169,   170,    45,    90,   175,
      45,    80,   177,    45,    79,   182,    45,    82,   184,    45,
      76,    81,   103,   179,   180,    45,    75,    76,    77,    82,
     103,   172,   173,    45,    79,    45,    75,    76,    77,    78,
      79,   103,   187,   188,    45,    88,    89,    45,    76,    77,
      83,    84,    85,    86,    87,   103,   191,   192,    45,    76,
      77,    83,    85,    86,   103,   194,   195,    45,    83,    84,
      85,    86,    87,   197,   198,    45,    83,    85,    86,   200,
     201,    45,    91,   161,    45,    82,    93,    94,   152,   153,
      45,    45,    92,   156,    45,    92,   158,    45,    82,    93,
     150,    79,    95,    96,    97,   100,   101,   232,   233,    45,
      75,    76,    77,    78,    79,    95,    96,    97,   100,   101,
     103,   235,   236,    45,    82,    84,    85,    86,    87,    95,
      96,    97,   100,   101,   238,   239,    45,    76,    77,    82,
      84,    85,    86,    87,    95,    96,    97,   100,   101,   103,
     241,   242,    45,    82,    85,    86,    95,    96,    97,   100,
     101,   244,   245,    45,    76,    77,    82,    85,    86,    95,
      96,    97,   100,   101,   103,   247,   248,    45,    95,    96,
      97,    99,   100,   101,   250,   251,    45,   101,   102,   253,
     254,    45,   101,   102,   256,   257,    45,   101,   102,   259,
     260,    45,   102,    45,   102,    45,   217,   217,    47,   132,
     147,   148,   147,    53,    51,    52,    54,    57,   230,    54,
     230,    54,   230,    67,   264,    54,    61,   225,   164,    54,
     230,    54,   264,   167,    54,   230,    54,   230,    54,   230,
      54,   230,    54,   264,   170,   128,   203,   130,   208,   264,
      69,   265,    54,   230,   104,   202,    54,   225,   180,    54,
     230,    54,   230,    54,   230,   265,    54,   225,   173,   264,
      54,   230,    54,   230,    54,   230,    54,   230,   264,    54,
     225,   188,    57,   224,   224,    54,   230,    54,   230,   264,
     265,    54,   264,    54,   264,    54,   224,    54,   224,    54,
     225,   192,    54,   230,    54,   230,   264,   265,    54,   264,
      54,   224,    54,   225,   195,   264,   265,    54,   264,    54,
     264,    54,   224,    54,   224,   198,   264,   265,    54,   264,
      54,   224,   201,   108,   210,   265,   224,    63,   154,   224,
     225,   227,   153,   224,   224,   265,   224,   264,    54,   224,
      54,   224,    54,   230,    54,   224,    54,   224,   233,    54,
     230,    54,   230,    54,   230,    54,   230,   264,    54,   224,
      54,   224,    54,   230,    54,   224,    54,   224,    54,   225,
     236,   265,    54,   264,    54,   264,    54,   224,    54,   224,
      54,   224,    54,   224,    54,   230,    54,   224,    54,   224,
     239,    54,   230,    54,   230,   265,    54,   264,    54,   264,
      54,   224,    54,   224,    54,   224,    54,   224,    54,   230,
      54,   224,    54,   224,    54,   225,   242,   265,    54,   264,
      54,   224,    54,   224,    54,   224,    54,   230,    54,   224,
      54,   224,   245,    54,   230,    54,   230,   265,    54,   264,
      54,   224,    54,   224,    54,   224,    54,   230,    54,   224,
      54,   224,    54,   225,   248,    54,   224,    54,   224,    54,
     230,    54,   230,    54,   224,    54,   224,   251,    54,   224,
      54,    57,   263,   254,    54,   224,    54,   263,   257,    54,
     224,    54,   263,   260,   263,   263,   265,   264,    65,   133,
     202,   203,   208,   224,   225,   227,   228,   264,   265,   148,
      53,    58,    54,    54,    54,    68,    54,    62,   224,   226,
      54,    54,    54,    54,    54,    54,    54,    54,   204,    54,
     209,    54,    54,    70,    71,   266,   267,    54,    54,   265,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    58,    59,   208,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,   110,   212,    54,    54,    54,
     134,   221,   222,   265,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    54,    54,    54,    54,    54,
      54,    54,    54,    54,    54,    58,    54,    54,    54,    54,
      54,    54,    54,   137,   139,   227,   229,   133,   133,   133,
     133,   133,   133,   133,   133,   133,    62,   224,   106,   112,
     114,   116,   126,   129,   205,   213,   216,   131,   213,   216,
      73,   227,    70,   267,   208,   203,   208,    58,    89,    88,
     111,   211,   224,   225,    48,   219,    64,    64,    64,    93,
      82,    66,   227,   224,   225,   214,   214,   214,   206,    74,
      72,   105,    60,    60,   224,   224,   109,    55,   220,   265,
     224,   265,   107,   107,   215,   216,   224,   225,   227,   215,
     215,   118,   127,   216,    72,    58,    58,    54,    54,    56,
     217,   135,    54,    54,   113,   115,   117,   207,    49,   119,
     216
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   140,   141,   142,   143,   144,   145,   145,   145,   145,
     145,   145,   145,   145,   145,   145,   145,   145,   145,   145,
     145,   145,   145,   145,   145,   145,   145,   145,   145,   145,
     145,   145,   145,   145,   145,   145,   145,   145,   145,   145,
     145,   146,   146,   146,   146,   147,   147,   148,   148,   148,
     148,   148,   148,   148,   148,   148,   148,   149,   150,   150,
     151,   151,   152,   152,   153,   153,   153,   154,   154,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   162,   163,
     163,   164,   164,   164,   164,   164,   164,   164,   164,   164,
     165,   165,   166,   166,   167,   167,   167,   167,   168,   168,
     169,   169,   170,   170,   170,   170,   170,   170,   170,   170,
     170,   170,   171,   171,   172,   172,   173,   173,   173,   173,
     173,   173,   173,   173,   173,   174,   174,   175,   176,   176,
     177,   178,   178,   179,   179,   180,   180,   180,   180,   180,
     181,   181,   182,   183,   183,   184,   185,   186,   186,   187,
     187,   188,   188,   188,   188,   188,   188,   188,   188,   188,
     188,   188,   189,   189,   190,   190,   191,   191,   192,   192,
     192,   192,   192,   192,   192,   192,   192,   192,   192,   192,
     192,   192,   192,   192,   193,   193,   194,   194,   195,   195,
     195,   195,   195,   195,   195,   195,   195,   195,   195,   195,
     196,   196,   197,   197,   198,   198,   198,   198,   198,   198,
     198,   198,   198,   198,   199,   199,   200,   200,   201,   201,
     201,   201,   201,   201,   202,   203,   204,   204,   204,   204,
     205,   206,   206,   206,   207,   207,   208,   209,   209,   209,
     210,   210,   211,   211,   211,   212,   212,   213,   213,   213,
     214,   214,   215,   215,   215,   215,   216,   216,   217,   218,
     218,   219,   220,   221,   222,   223,   224,   224,   224,   224,
     225,   225,   226,   226,   227,   227,   227,   228,   229,   229,
     230,   231,   231,   232,   232,   233,   233,   233,   233,   233,
     233,   233,   233,   233,   233,   233,   234,   234,   235,   235,
     236,   236,   236,   236,   236,   236,   236,   236,   236,   236,
     236,   236,   236,   236,   236,   236,   236,   236,   236,   236,
     236,   237,   237,   238,   238,   239,   239,   239,   239,   239,
     239,   239,   239,   239,   239,   239,   239,   239,   239,   239,
     239,   239,   239,   239,   240,   240,   241,   241,   242,   242,
     242,   242,   242,   242,   242,   242,   242,   242,   242,   242,
     242,   242,   242,   242,   242,   242,   242,   242,   242,   242,
     242,   242,   242,   243,   243,   244,   244,   245,   245,   245,
     245,   245,   245,   245,   245,   245,   245,   245,   245,   245,
     245,   245,   246,   246,   247,   247,   248,   248,   248,   248,
     248,   248,   248,   248,   248,   248,   248,   248,   248,   248,
     248,   248,   248,   248,   248,   248,   248,   249,   249,   250,
     250,   251,   251,   251,   251,   251,   251,   251,   251,   251,
     251,   251,   251,   252,   252,   253,   253,   254,   254,   254,
     254,   255,   255,   256,   256,   257,   257,   257,   257,   258,
     258,   259,   259,   260,   260,   260,   260,   261,   262,   263,
     264,   265,   265,   266,   266,   267,   267
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     1,     2,     1,     2,     1,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     6,     6,
       1,     2,     1,     2,     3,     3,     3,     1,     1,     1,
       2,     3,     2,     3,     1,     2,     3,     1,     2,     1,
       2,     3,     3,     2,     3,     2,     3,     2,     3,     2,
       1,     2,     1,     2,     2,     3,     3,     2,     1,     2,
       1,     2,     2,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     1,     2,     1,     2,     3,     3,     2,     3,
       2,     3,     2,     3,     2,     1,     2,     3,     1,     2,
       3,     1,     2,     1,     2,     3,     3,     2,     3,     2,
       1,     2,     3,     1,     2,     3,     4,     1,     2,     1,
       2,     3,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     2,     7,     7,     1,     2,     1,     2,     3,     3,
       3,     2,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     2,     1,     2,     1,     2,     3,     3,
       3,     2,     3,     2,     3,     2,     3,     2,     3,     2,
       1,     2,     1,     2,     3,     3,     3,     2,     3,     2,
       3,     2,     3,     2,     1,     2,     1,     2,     3,     3,
       3,     2,     3,     2,     4,     3,     0,     2,     2,     2,
       3,     0,     2,     4,     0,     2,     3,     0,     2,     2,
       0,     4,     0,     1,     1,     0,     2,     4,     4,     4,
       0,     2,     0,     1,     1,     1,     3,     3,     3,     2,
       3,     4,     2,     4,     4,     4,     3,     5,     5,     2,
       2,     3,     1,     2,     3,     3,     3,     3,     1,     2,
       2,     1,     2,     1,     2,     3,     3,     2,     3,     2,
       3,     2,     3,     2,     3,     2,     1,     2,     1,     2,
       3,     3,     2,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     2,     3,     2,     3,     2,     3,
       2,     1,     2,     1,     2,     3,     3,     2,     3,     2,
       3,     2,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     2,     1,     2,     1,     2,     3,     3,
       2,     3,     2,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     2,     1,     2,     1,     2,     3,     3,     2,
       3,     2,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     2,     1,     2,     1,     2,     3,     3,     2,     3,
       2,     3,     2,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     2,     3,     2,     1,     2,     1,
       2,     3,     2,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     2,     1,     2,     1,     2,     3,     2,     3,
       2,     1,     2,     1,     2,     3,     2,     3,     2,     1,
       2,     1,     2,     3,     2,     3,     2,     4,     4,     2,
       2,     2,     3,     1,     2,     4,     3
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (parm, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, parm); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, void* parm)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (parm);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, void* parm)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep, parm);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule, void* parm)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)], parm);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule, parm); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, void* parm)
{
  YY_USE (yyvaluep);
  YY_USE (parm);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (void* parm)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, parm);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* start: XTOK_XML ZTOK_XML cimOperation  */
#line 2326 "cimXmlOps.y"
    {
    }
#line 3869 "cimXmlOps.c"
    break;

  case 3: /* cimOperation: XTOK_CIM message ZTOK_CIM  */
#line 2332 "cimXmlOps.y"
    {
    }
#line 3876 "cimXmlOps.c"
    break;

  case 4: /* message: XTOK_MESSAGE simpleReq ZTOK_MESSAGE  */
#line 2338 "cimXmlOps.y"
    {
    }
#line 3883 "cimXmlOps.c"
    break;

  case 5: /* simpleReq: XTOK_SIMPLEREQ iMethodCall ZTOK_SIMPLEREQ  */
#line 2344 "cimXmlOps.y"
    {
    }
#line 3890 "cimXmlOps.c"
    break;

  case 6: /* iMethodCall: XTOK_GETCLASS getClass ZTOK_IMETHODCALL  */
#line 2350 "cimXmlOps.y"
    {
    }
#line 3897 "cimXmlOps.c"
    break;

  case 7: /* iMethodCall: XTOK_ENUMCLASSNAMES enumClassNames ZTOK_IMETHODCALL  */
#line 2353 "cimXmlOps.y"
    {
    }
#line 3904 "cimXmlOps.c"
    break;

  case 8: /* iMethodCall: XTOK_ENUMCLASSES enumClasses ZTOK_IMETHODCALL  */
#line 2356 "cimXmlOps.y"
    {
    }
#line 3911 "cimXmlOps.c"
    break;

  case 9: /* iMethodCall: XTOK_DELETEINSTANCE deleteInstance ZTOK_IMETHODCALL  */
#line 2359 "cimXmlOps.y"
    {
    }
#line 3918 "cimXmlOps.c"
    break;

  case 10: /* iMethodCall: XTOK_GETINSTANCE getInstance ZTOK_IMETHODCALL  */
#line 2362 "cimXmlOps.y"
    {
    }
#line 3925 "cimXmlOps.c"
    break;

  case 11: /* iMethodCall: XTOK_MODIFYINSTANCE modifyInstance ZTOK_IMETHODCALL  */
#line 2365 "cimXmlOps.y"
    {
    }
#line 3932 "cimXmlOps.c"
    break;

  case 12: /* iMethodCall: XTOK_CREATEINSTANCE createInstance ZTOK_IMETHODCALL  */
#line 2368 "cimXmlOps.y"
    {
    }
#line 3939 "cimXmlOps.c"
    break;

  case 13: /* iMethodCall: XTOK_ENUMINSTANCENAMES enumInstanceNames ZTOK_IMETHODCALL  */
#line 2371 "cimXmlOps.y"
    {
    }
#line 3946 "cimXmlOps.c"
    break;

  case 14: /* iMethodCall: XTOK_ENUMINSTANCES enumInstances ZTOK_IMETHODCALL  */
#line 2374 "cimXmlOps.y"
    {
    }
#line 3953 "cimXmlOps.c"
    break;

  case 15: /* iMethodCall: XTOK_ASSOCIATORS associators ZTOK_IMETHODCALL  */
#line 2377 "cimXmlOps.y"
    {
    }
#line 3960 "cimXmlOps.c"
    break;

  case 16: /* iMethodCall: XTOK_ASSOCIATORNAMES associatorNames ZTOK_IMETHODCALL  */
#line 2380 "cimXmlOps.y"
    {
    }
#line 3967 "cimXmlOps.c"
    break;

  case 17: /* iMethodCall: XTOK_REFERENCES references ZTOK_IMETHODCALL  */
#line 2383 "cimXmlOps.y"
    {
    }
#line 3974 "cimXmlOps.c"
    break;

  case 18: /* iMethodCall: XTOK_REFERENCENAMES referenceNames ZTOK_IMETHODCALL  */
#line 2386 "cimXmlOps.y"
    {
    }
#line 3981 "cimXmlOps.c"
    break;

  case 19: /* iMethodCall: XTOK_EXECQUERY execQuery ZTOK_IMETHODCALL  */
#line 2389 "cimXmlOps.y"
    {
    }
#line 3988 "cimXmlOps.c"
    break;

  case 20: /* iMethodCall: XTOK_METHODCALL methodCall ZTOK_METHODCALL  */
#line 2392 "cimXmlOps.y"
    {
    }
#line 3995 "cimXmlOps.c"
    break;

  case 21: /* iMethodCall: XTOK_DELETECLASS deleteClass ZTOK_IMETHODCALL  */
#line 2395 "cimXmlOps.y"
    {
    }
#line 4002 "cimXmlOps.c"
    break;

  case 22: /* iMethodCall: XTOK_CREATECLASS createClass ZTOK_IMETHODCALL  */
#line 2398 "cimXmlOps.y"
    {
    }
#line 4009 "cimXmlOps.c"
    break;

  case 23: /* iMethodCall: XTOK_ENUMQUALIFIERS enumQualifiers ZTOK_IMETHODCALL  */
#line 2401 "cimXmlOps.y"
    {
    }
#line 4016 "cimXmlOps.c"
    break;

  case 24: /* iMethodCall: XTOK_SETQUALIFIER setQualifier ZTOK_IMETHODCALL  */
#line 2404 "cimXmlOps.y"
    {
    }
#line 4023 "cimXmlOps.c"
    break;

  case 25: /* iMethodCall: XTOK_GETQUALIFIER getQualifier ZTOK_IMETHODCALL  */
#line 2407 "cimXmlOps.y"
    {
    }
#line 4030 "cimXmlOps.c"
    break;

  case 26: /* iMethodCall: XTOK_DELETEQUALIFIER deleteQualifier ZTOK_IMETHODCALL  */
#line 2410 "cimXmlOps.y"
    {
    }
#line 4037 "cimXmlOps.c"
    break;

  case 27: /* iMethodCall: XTOK_GETPROPERTY getProperty ZTOK_IMETHODCALL  */
#line 2413 "cimXmlOps.y"
    {
    }
#line 4044 "cimXmlOps.c"
    break;

  case 28: /* iMethodCall: XTOK_SETPROPERTY setProperty ZTOK_IMETHODCALL  */
#line 2416 "cimXmlOps.y"
    {
    }
#line 4051 "cimXmlOps.c"
    break;

  case 29: /* iMethodCall: XTOK_OPENENUMINSTANCEPATHS openEnumInstancePaths ZTOK_IMETHODCALL  */
#line 2419 "cimXmlOps.y"
    {
    }
#line 4058 "cimXmlOps.c"
    break;

  case 30: /* iMethodCall: XTOK_OPENENUMINSTANCES openEnumInstances ZTOK_IMETHODCALL  */
#line 2422 "cimXmlOps.y"
    {
    }
#line 4065 "cimXmlOps.c"
    break;

  case 31: /* iMethodCall: XTOK_OPENASSOCIATORINSTANCES openAssociatorInstances ZTOK_IMETHODCALL  */
#line 2425 "cimXmlOps.y"
    {
    }
#line 4072 "cimXmlOps.c"
    break;

  case 32: /* iMethodCall: XTOK_OPENASSOCIATORINSTANCEPATHS openAssociatorInstancePaths ZTOK_IMETHODCALL  */
#line 2428 "cimXmlOps.y"
    {
    }
#line 4079 "cimXmlOps.c"
    break;

  case 33: /* iMethodCall: XTOK_OPENREFERENCEINSTANCES openReferenceInstances ZTOK_IMETHODCALL  */
#line 2431 "cimXmlOps.y"
    {
    }
#line 4086 "cimXmlOps.c"
    break;

  case 34: /* iMethodCall: XTOK_OPENREFERENCEINSTANCEPATHS openReferenceInstancePaths ZTOK_IMETHODCALL  */
#line 2434 "cimXmlOps.y"
    {
    }
#line 4093 "cimXmlOps.c"
    break;

  case 35: /* iMethodCall: XTOK_OPENQUERYINSTANCES openQueryInstances ZTOK_IMETHODCALL  */
#line 2437 "cimXmlOps.y"
    {
    }
#line 4100 "cimXmlOps.c"
    break;

  case 36: /* iMethodCall: XTOK_PULLINSTANCES pullInstances ZTOK_IMETHODCALL  */
#line 2440 "cimXmlOps.y"
    {
    }
#line 4107 "cimXmlOps.c"
    break;

  case 37: /* iMethodCall: XTOK_PULLINSTANCESWITHPATH pullInstancesWithPath ZTOK_IMETHODCALL  */
#line 2443 "cimXmlOps.y"
    {
    }
#line 4114 "cimXmlOps.c"
    break;

  case 38: /* iMethodCall: XTOK_PULLINSTANCEPATHS pullInstancePaths ZTOK_IMETHODCALL  */
#line 2446 "cimXmlOps.y"
    {
    }
#line 4121 "cimXmlOps.c"
    break;

  case 39: /* iMethodCall: XTOK_CLOSEENUMERATION closeEnumeration ZTOK_IMETHODCALL  */
#line 2449 "cimXmlOps.y"
    {
    }
#line 4128 "cimXmlOps.c"
    break;

  case 40: /* iMethodCall: XTOK_ENUMERATIONCOUNT enumerationCount ZTOK_IMETHODCALL  */
#line 2452 "cimXmlOps.y"
    {
    }
#line 4135 "cimXmlOps.c"
    break;

  case 41: /* methodCall: localClassPath  */
#line 2463 "cimXmlOps.y"
    {
       (yyval.xtokMethodCall).op.count = IM_REQ_REG_SEGMENTS;
       (yyval.xtokMethodCall).op.type = OPS_InvokeMethod;
       (yyval.xtokMethodCall).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalClassPath).path);
       (yyval.xtokMethodCall).op.className=setCharsMsgSegment((yyvsp[0].xtokLocalClassPath).className);
       (yyval.xtokMethodCall).instName=0;
       (yyval.xtokMethodCall).paramValues.first=NULL;
       (yyval.xtokMethodCall).paramValues.last=NULL;
       
       setRequest(parm,&(yyval.xtokMethodCall),sizeof(XtokMethodCall),OPS_InvokeMethod);
       buildInvokeMethodRequest(parm);
    }
#line 4152 "cimXmlOps.c"
    break;

  case 42: /* methodCall: localClassPath paramValues  */
#line 2476 "cimXmlOps.y"
    {
       (yyval.xtokMethodCall).op.count = IM_REQ_REG_SEGMENTS;
       (yyval.xtokMethodCall).op.type = OPS_InvokeMethod;
       (yyval.xtokMethodCall).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalClassPath).path);
       (yyval.xtokMethodCall).op.className=setCharsMsgSegment((yyvsp[-1].xtokLocalClassPath).className);
       (yyval.xtokMethodCall).instName=0;
       (yyval.xtokMethodCall).paramValues=(yyvsp[0].xtokParamValues);
       
       setRequest(parm,&(yyval.xtokMethodCall),sizeof(XtokMethodCall),OPS_InvokeMethod);
       buildInvokeMethodRequest(parm);
    }
#line 4168 "cimXmlOps.c"
    break;

  case 43: /* methodCall: localInstancePath  */
#line 2488 "cimXmlOps.y"
    {
       (yyval.xtokMethodCall).op.count = IM_REQ_REG_SEGMENTS;
       (yyval.xtokMethodCall).op.type = OPS_InvokeMethod;
       (yyval.xtokMethodCall).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalInstancePath).path);
       (yyval.xtokMethodCall).op.className=setCharsMsgSegment((yyvsp[0].xtokLocalInstancePath).instanceName.className);
       (yyval.xtokMethodCall).instanceName=(yyvsp[0].xtokLocalInstancePath).instanceName;
       (yyval.xtokMethodCall).instName=1;
       (yyval.xtokMethodCall).paramValues.first=NULL;
       (yyval.xtokMethodCall).paramValues.last=NULL;
       
       setRequest(parm,&(yyval.xtokMethodCall),sizeof(XtokMethodCall),OPS_InvokeMethod);
       buildInvokeMethodRequest(parm);
    }
#line 4186 "cimXmlOps.c"
    break;

  case 44: /* methodCall: localInstancePath paramValues  */
#line 2502 "cimXmlOps.y"
    {
       (yyval.xtokMethodCall).op.count = IM_REQ_REG_SEGMENTS;
       (yyval.xtokMethodCall).op.type = OPS_InvokeMethod;
       (yyval.xtokMethodCall).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalInstancePath).path);
       (yyval.xtokMethodCall).op.className=setCharsMsgSegment((yyvsp[-1].xtokLocalInstancePath).instanceName.className);
       (yyval.xtokMethodCall).instanceName=(yyvsp[-1].xtokLocalInstancePath).instanceName;
       (yyval.xtokMethodCall).instName=1;
       (yyval.xtokMethodCall).paramValues=(yyvsp[0].xtokParamValues);
              
       setRequest(parm,&(yyval.xtokMethodCall),sizeof(XtokMethodCall),OPS_InvokeMethod);
       buildInvokeMethodRequest(parm);
    }
#line 4203 "cimXmlOps.c"
    break;

  case 45: /* paramValues: paramValue  */
#line 2518 "cimXmlOps.y"
    {
      (yyval.xtokParamValues).first = NULL;
      (yyval.xtokParamValues).last = NULL;
      addParamValue(&(yyval.xtokParamValues),&(yyvsp[0].xtokParamValue));
    }
#line 4213 "cimXmlOps.c"
    break;

  case 46: /* paramValues: paramValues paramValue  */
#line 2524 "cimXmlOps.y"
    {
      addParamValue(&(yyval.xtokParamValues),&(yyvsp[0].xtokParamValue));
    }
#line 4221 "cimXmlOps.c"
    break;

  case 47: /* paramValue: XTOK_PARAMVALUE ZTOK_PARAMVALUE  */
#line 2531 "cimXmlOps.y"
    {
       (yyval.xtokParamValue).value.value=NULL;
       (yyval.xtokParamValue).type=0;
    }
#line 4230 "cimXmlOps.c"
    break;

  case 48: /* paramValue: XTOK_PARAMVALUE value ZTOK_PARAMVALUE  */
#line 2536 "cimXmlOps.y"
    {
       (yyval.xtokParamValue).value=(yyvsp[-1].xtokValue);
       if((yyval.xtokParamValue).value.type == typeValue_Instance) {
          (yyval.xtokParamValue).type = CMPI_instance;
       } else 
       if((yyval.xtokParamValue).value.type == typeValue_Class) {
          (yyval.xtokParamValue).type = CMPI_class;
       }
    }
#line 4244 "cimXmlOps.c"
    break;

  case 49: /* paramValue: XTOK_PARAMVALUE valueArray ZTOK_PARAMVALUE  */
#line 2546 "cimXmlOps.y"
    {
       (yyval.xtokParamValue).valueArray=(yyvsp[-1].xtokValueArray);
       (yyval.xtokParamValue).type|=CMPI_ARRAY;
       
       if((yyval.xtokParamValue).valueArray.values) {
          if((yyval.xtokParamValue).valueArray.values[0].type == typeValue_Instance)
          	(yyval.xtokParamValue).type = CMPI_instance | CMPI_ARRAY;
          else if((yyval.xtokParamValue).valueArray.values[0].type == typeValue_Class)
          	(yyval.xtokParamValue).type = CMPI_class | CMPI_ARRAY;          	
       }
    }
#line 4260 "cimXmlOps.c"
    break;

  case 50: /* paramValue: XTOK_PARAMVALUE valueReference ZTOK_PARAMVALUE  */
#line 2558 "cimXmlOps.y"
    {
       (yyval.xtokParamValue).valueRef=(yyvsp[-1].xtokValueReference);
       (yyval.xtokParamValue).type=CMPI_ref;
    }
#line 4269 "cimXmlOps.c"
    break;

  case 51: /* paramValue: XTOK_PARAMVALUE valueRefArray ZTOK_PARAMVALUE  */
#line 2563 "cimXmlOps.y"
    {
       (yyval.xtokParamValue).valueRefArray=(yyvsp[-1].xtokValueRefArray);
       (yyval.xtokParamValue).type=CMPI_ARRAY | CMPI_ref;
    }
#line 4278 "cimXmlOps.c"
    break;

  case 52: /* paramValue: XTOK_PARAMVALUE className ZTOK_PARAMVALUE  */
#line 2569 "cimXmlOps.y"
    {
       (yyval.xtokParamValue).className=(yyvsp[-1].className);
       if (!(yyval.xtokParamValue).type) (yyval.xtokParamValue).type=CMPI_class;  /* should this be CMPI_string? */
    }
#line 4287 "cimXmlOps.c"
    break;

  case 53: /* paramValue: XTOK_PARAMVALUE instanceName ZTOK_PARAMVALUE  */
#line 2574 "cimXmlOps.y"
    {
       (yyval.xtokParamValue).instanceName=(yyvsp[-1].xtokInstanceName);
       if (!(yyval.xtokParamValue).type) (yyval.xtokParamValue).type=CMPI_instance;
    }
#line 4296 "cimXmlOps.c"
    break;

  case 54: /* paramValue: XTOK_PARAMVALUE class ZTOK_PARAMVALUE  */
#line 2579 "cimXmlOps.y"
    {
       //$$.class=$2;
       if (!(yyval.xtokParamValue).type) (yyval.xtokParamValue).type=CMPI_class;
    }
#line 4305 "cimXmlOps.c"
    break;

  case 55: /* paramValue: XTOK_PARAMVALUE instance ZTOK_PARAMVALUE  */
#line 2584 "cimXmlOps.y"
    {
       (yyval.xtokParamValue).instance=(yyvsp[-1].xtokInstance);
       if (!(yyval.xtokParamValue).type) (yyval.xtokParamValue).type=CMPI_instance;
    }
#line 4314 "cimXmlOps.c"
    break;

  case 56: /* paramValue: XTOK_PARAMVALUE namedInstance ZTOK_PARAMVALUE  */
#line 2589 "cimXmlOps.y"
    {
       (yyval.xtokParamValue).namedInstance=(yyvsp[-1].xtokNamedInstance);
       /* should we ignore paramtype from the XML and always set to CMPI_instance? */
       if (!(yyval.xtokParamValue).type) (yyval.xtokParamValue).type=CMPI_instance;
    }
#line 4324 "cimXmlOps.c"
    break;

  case 57: /* getProperty: localNameSpacePath getPropertyParm  */
#line 2601 "cimXmlOps.y"
        {
       (yyval.xtokGetProperty).op.count = 3;
       (yyval.xtokGetProperty).op.type = OPS_GetProperty;
       (yyval.xtokGetProperty).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokGetProperty).op.className=setCharsMsgSegment((yyvsp[0].xtokGetPropertyParm).instanceName.className);
       (yyval.xtokGetProperty).name = (yyvsp[0].xtokGetPropertyParm).name;
       (yyval.xtokGetProperty).instanceName = (yyvsp[0].xtokGetPropertyParm).instanceName;
       setRequest(parm,&(yyval.xtokGetProperty),sizeof(XtokGetProperty),OPS_GetProperty);
       buildGetPropertyRequest(parm);
	}
#line 4339 "cimXmlOps.c"
    break;

  case 58: /* getPropertyParm: XTOK_IP_PROPERTYNAME value ZTOK_IPARAMVALUE XTOK_IP_INSTANCENAME instanceName ZTOK_IPARAMVALUE  */
#line 2615 "cimXmlOps.y"
        {
		(yyval.xtokGetPropertyParm).name = (yyvsp[-4].xtokValue).value;
		(yyval.xtokGetPropertyParm).instanceName = (yyvsp[-1].xtokInstanceName);
	}
#line 4348 "cimXmlOps.c"
    break;

  case 59: /* getPropertyParm: XTOK_IP_INSTANCENAME instanceName ZTOK_IPARAMVALUE XTOK_IP_PROPERTYNAME value ZTOK_IPARAMVALUE  */
#line 2620 "cimXmlOps.y"
        {
		(yyval.xtokGetPropertyParm).name = (yyvsp[-1].xtokValue).value;
		(yyval.xtokGetPropertyParm).instanceName = (yyvsp[-4].xtokInstanceName);
	}
#line 4357 "cimXmlOps.c"
    break;

  case 60: /* setProperty: localNameSpacePath  */
#line 2632 "cimXmlOps.y"
        {
       (yyval.xtokSetProperty).op.count = 3;
       (yyval.xtokSetProperty).op.type = OPS_SetProperty;
       (yyval.xtokSetProperty).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokSetProperty).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokSetProperty).propertyName = NULL;

       setRequest(parm,&(yyval.xtokSetProperty),sizeof(XtokSetProperty),OPS_SetProperty);
       buildSetPropertyRequest(parm);
	}
#line 4372 "cimXmlOps.c"
    break;

  case 61: /* setProperty: localNameSpacePath setPropertyParmsList  */
#line 2643 "cimXmlOps.y"
        {
       (yyval.xtokSetProperty).op.count = 3;
       (yyval.xtokSetProperty).op.type = OPS_SetProperty;
       (yyval.xtokSetProperty).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokSetProperty).op.className=setCharsMsgSegment((yyvsp[0].xtokSetPropertyParmsList).instanceName.className);
       (yyval.xtokSetProperty).newVal = (yyvsp[0].xtokSetPropertyParmsList).newVal;
       (yyval.xtokSetProperty).instanceName = (yyvsp[0].xtokSetPropertyParmsList).instanceName;
       (yyval.xtokSetProperty).propertyName = (yyvsp[0].xtokSetPropertyParmsList).propertyName;
       
       setRequest(parm,&(yyval.xtokSetProperty),sizeof(XtokSetProperty),OPS_SetProperty);
       buildSetPropertyRequest(parm);
	}
#line 4389 "cimXmlOps.c"
    break;

  case 62: /* setPropertyParmsList: setPropertyParms  */
#line 2659 "cimXmlOps.y"
        {
       (yyval.xtokSetPropertyParmsList).newVal = (yyvsp[0].xtokSetPropertyParms).newVal;
       (yyval.xtokSetPropertyParmsList).instanceName = (yyvsp[0].xtokSetPropertyParms).instanceName;
       (yyval.xtokSetPropertyParmsList).propertyName = (yyvsp[0].xtokSetPropertyParms).propertyName;
	}
#line 4399 "cimXmlOps.c"
    break;

  case 63: /* setPropertyParmsList: setPropertyParmsList setPropertyParms  */
#line 2665 "cimXmlOps.y"
        {
		if((yyvsp[0].xtokSetPropertyParms).propertyName) {
			(yyval.xtokSetPropertyParmsList).propertyName = (yyvsp[0].xtokSetPropertyParms).propertyName;
		}
		else if((yyvsp[0].xtokSetPropertyParms).instanceName.className) {
			(yyval.xtokSetPropertyParmsList).instanceName = (yyvsp[0].xtokSetPropertyParms).instanceName;
		}
		else {
			(yyval.xtokSetPropertyParmsList).newVal = (yyvsp[0].xtokSetPropertyParms).newVal;
		}
	}
#line 4415 "cimXmlOps.c"
    break;

  case 64: /* setPropertyParms: XTOK_IP_INSTANCENAME instanceName ZTOK_IPARAMVALUE  */
#line 2680 "cimXmlOps.y"
        {
		(yyval.xtokSetPropertyParms).instanceName = (yyvsp[-1].xtokInstanceName);
		(yyval.xtokSetPropertyParms).propertyName = NULL;
		(yyval.xtokSetPropertyParms).newVal.type = 0;
		(yyval.xtokSetPropertyParms).newVal.val.value = NULL;
	}
#line 4426 "cimXmlOps.c"
    break;

  case 65: /* setPropertyParms: XTOK_IP_PROPERTYNAME value ZTOK_IPARAMVALUE  */
#line 2687 "cimXmlOps.y"
        {
		(yyval.xtokSetPropertyParms).propertyName = (yyvsp[-1].xtokValue).value;
		(yyval.xtokSetPropertyParms).instanceName.className = NULL;
		(yyval.xtokSetPropertyParms).newVal.type = 0;
		(yyval.xtokSetPropertyParms).newVal.val.value = NULL;
	}
#line 4437 "cimXmlOps.c"
    break;

  case 66: /* setPropertyParms: XTOK_IP_NEWVALUE newValue ZTOK_IPARAMVALUE  */
#line 2694 "cimXmlOps.y"
        {
		(yyval.xtokSetPropertyParms).newVal = (yyvsp[-1].xtokNewValue);
		(yyval.xtokSetPropertyParms).propertyName = NULL;
		(yyval.xtokSetPropertyParms).instanceName.className = NULL;
	}
#line 4447 "cimXmlOps.c"
    break;

  case 67: /* newValue: value  */
#line 2703 "cimXmlOps.y"
        {
		if((yyvsp[0].xtokValue).type == typeValue_Instance) {
			(yyval.xtokNewValue).type = CMPI_instance;
		}
		else if((yyvsp[0].xtokValue).type == typeValue_Class) {
			(yyval.xtokNewValue).type = CMPI_class;
		}
		else {
			(yyval.xtokNewValue).type = 0;
		}
		(yyval.xtokNewValue).val = (yyvsp[0].xtokValue);
	}
#line 4464 "cimXmlOps.c"
    break;

  case 68: /* newValue: valueArray  */
#line 2716 "cimXmlOps.y"
        {
		(yyval.xtokNewValue).arr = (yyvsp[0].xtokValueArray);
		(yyval.xtokNewValue).type = CMPI_ARRAY;
	}
#line 4473 "cimXmlOps.c"
    break;

  case 69: /* newValue: valueReference  */
#line 2721 "cimXmlOps.y"
        {
		(yyval.xtokNewValue).ref = (yyvsp[0].xtokValueReference);
		(yyval.xtokNewValue).type = CMPI_ref;
	}
#line 4482 "cimXmlOps.c"
    break;

  case 70: /* getQualifier: localNameSpacePath getQualifierParm  */
#line 2732 "cimXmlOps.y"
    {
       (yyval.xtokGetQualifier).op.count = 2;
       (yyval.xtokGetQualifier).op.type = OPS_GetQualifier;
       (yyval.xtokGetQualifier).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokGetQualifier).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokGetQualifier).name = (yyvsp[0].xtokGetQualifierParm).name;
       setRequest(parm,&(yyval.xtokGetQualifier),sizeof(XtokGetQualifier),OPS_GetQualifier);
       buildGetQualifierRequest(parm);
    }
#line 4496 "cimXmlOps.c"
    break;

  case 71: /* getQualifierParm: XTOK_IP_QUALIFIERNAME value ZTOK_IPARAMVALUE  */
#line 2745 "cimXmlOps.y"
    {
       (yyval.xtokGetQualifierParm).name = (yyvsp[-1].xtokValue).value;
    }
#line 4504 "cimXmlOps.c"
    break;

  case 72: /* deleteQualifier: localNameSpacePath deleteQualifierParm  */
#line 2755 "cimXmlOps.y"
    {
       (yyval.xtokDeleteQualifier).op.count = 2;
       (yyval.xtokDeleteQualifier).op.type = OPS_DeleteQualifier;
       (yyval.xtokDeleteQualifier).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokDeleteQualifier).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokDeleteQualifier).name = (yyvsp[0].xtokDeleteQualifierParm).name;
       setRequest(parm,&(yyval.xtokDeleteQualifier),sizeof(XtokDeleteQualifier),OPS_DeleteQualifier);
       buildDeleteQualifierRequest(parm);
    }
#line 4518 "cimXmlOps.c"
    break;

  case 73: /* deleteQualifierParm: XTOK_IP_QUALIFIERNAME value ZTOK_IPARAMVALUE  */
#line 2768 "cimXmlOps.y"
    {
       (yyval.xtokDeleteQualifierParm).name = (yyvsp[-1].xtokValue).value;
    }
#line 4526 "cimXmlOps.c"
    break;

  case 74: /* enumQualifiers: localNameSpacePath  */
#line 2778 "cimXmlOps.y"
    {
       (yyval.xtokEnumQualifiers).op.count = 2;
       (yyval.xtokEnumQualifiers).op.type = OPS_EnumerateQualifiers;
       (yyval.xtokEnumQualifiers).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokEnumQualifiers).op.className=setCharsMsgSegment(NULL);
       setRequest(parm,&(yyval.xtokEnumQualifiers),sizeof(XtokEnumQualifiers),OPS_EnumerateQualifiers);
       buildEnumQualifiersRequest(parm);
    }
#line 4539 "cimXmlOps.c"
    break;

  case 75: /* setQualifier: localNameSpacePath setQualifierParm  */
#line 2794 "cimXmlOps.y"
    {
       (yyval.xtokSetQualifier).op.count = 3;
       (yyval.xtokSetQualifier).op.type = OPS_SetQualifier;
       (yyval.xtokSetQualifier).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokSetQualifier).op.className=setCharsMsgSegment(NULL);       
       (yyval.xtokSetQualifier).qualifierdeclaration = (yyvsp[0].xtokSetQualifierParm).qualifierdeclaration;

       setRequest(parm,&(yyval.xtokSetQualifier),sizeof(XtokSetQualifier),OPS_SetQualifier);
       buildSetQualifierRequest(parm);
    }
#line 4554 "cimXmlOps.c"
    break;

  case 76: /* setQualifierParm: XTOK_IP_QUALIFIERDECLARATION qualifierDeclaration ZTOK_IPARAMVALUE  */
#line 2809 "cimXmlOps.y"
    {
       (yyval.xtokSetQualifierParm).qualifierdeclaration = (yyvsp[-1].xtokQualifierDeclaration);
    }
#line 4562 "cimXmlOps.c"
    break;

  case 77: /* getClass: localNameSpacePath  */
#line 2820 "cimXmlOps.y"
    {
       (yyval.xtokGetClass).op.count = GC_REQ_REG_SEGMENTS;
       (yyval.xtokGetClass).op.type = OPS_GetClass;
       (yyval.xtokGetClass).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokGetClass).op.className=setCharsMsgSegment(NULL);
//     $$.flags = FL_localOnly;
       (yyval.xtokGetClass).flags = FL_localOnly|FL_includeQualifiers;
       (yyval.xtokGetClass).propertyList.values = NULL;
       (yyval.xtokGetClass).properties=0;

       setRequest(parm,&(yyval.xtokGetClass),sizeof(XtokGetClass),OPS_GetClass);
       buildGetClassRequest(parm);
    }
#line 4580 "cimXmlOps.c"
    break;

  case 78: /* getClass: localNameSpacePath getClassParmsList  */
#line 2834 "cimXmlOps.y"
    {
       (yyval.xtokGetClass).op.count = GC_REQ_REG_SEGMENTS;
       (yyval.xtokGetClass).op.type = OPS_GetClass;
       (yyval.xtokGetClass).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokGetClass).op.className=setCharsMsgSegment((yyvsp[0].xtokGetClassParmsList).className);
//     $$.flags = ($2.flags &  $2.flagsSet) | ((~$2.flagsSet) & (FL_localOnly));
       (yyval.xtokGetClass).flags = ((yyvsp[0].xtokGetClassParmsList).flags &  (yyvsp[0].xtokGetClassParmsList).flagsSet) | ((~(yyvsp[0].xtokGetClassParmsList).flagsSet) & (FL_localOnly|FL_includeQualifiers));
       (yyval.xtokGetClass).propertyList = (yyvsp[0].xtokGetClassParmsList).propertyList;
       (yyval.xtokGetClass).properties=(yyvsp[0].xtokGetClassParmsList).properties;

       setRequest(parm,&(yyval.xtokGetClass),sizeof(XtokGetClass),OPS_GetClass);
       buildGetClassRequest(parm);
    }
#line 4598 "cimXmlOps.c"
    break;

  case 79: /* getClassParmsList: getClassParms  */
#line 2851 "cimXmlOps.y"
    {
       (yyval.xtokGetClassParmsList).flags=(yyvsp[0].xtokGetClassParms).flags;
       (yyval.xtokGetClassParmsList).flagsSet=(yyvsp[0].xtokGetClassParms).flagsSet;
       if ((yyvsp[0].xtokGetClassParms).clsNameSet) (yyval.xtokGetClassParmsList).className=(yyvsp[0].xtokGetClassParms).className;
       (yyval.xtokGetClassParmsList).clsNameSet = (yyvsp[0].xtokGetClassParms).clsNameSet;
       if ((yyvsp[0].xtokGetClassParms).propertyList.values) {
          (yyval.xtokGetClassParmsList).propertyList=(yyvsp[0].xtokGetClassParms).propertyList;
          (yyval.xtokGetClassParmsList).properties=(yyvsp[0].xtokGetClassParms).properties;
       }
    }
#line 4613 "cimXmlOps.c"
    break;

  case 80: /* getClassParmsList: getClassParmsList getClassParms  */
#line 2862 "cimXmlOps.y"
    {
       (yyval.xtokGetClassParmsList).flags=(yyvsp[-1].xtokGetClassParmsList).flags|(yyvsp[0].xtokGetClassParms).flags;
       (yyval.xtokGetClassParmsList).flagsSet=(yyvsp[-1].xtokGetClassParmsList).flagsSet|(yyvsp[0].xtokGetClassParms).flagsSet;
       if ((yyvsp[0].xtokGetClassParms).clsNameSet) (yyval.xtokGetClassParmsList).className=(yyvsp[0].xtokGetClassParms).className;
       (yyval.xtokGetClassParmsList).clsNameSet |= (yyvsp[0].xtokGetClassParms).clsNameSet;
       if ((yyvsp[0].xtokGetClassParms).propertyList.values) {
          (yyval.xtokGetClassParmsList).propertyList=(yyvsp[0].xtokGetClassParms).propertyList;
          (yyval.xtokGetClassParmsList).properties=(yyvsp[0].xtokGetClassParms).properties;
       }
    }
#line 4628 "cimXmlOps.c"
    break;

  case 81: /* getClassParms: XTOK_IP_CLASSNAME className ZTOK_IPARAMVALUE  */
#line 2876 "cimXmlOps.y"
    {
       (yyval.xtokGetClassParms).className = (yyvsp[-1].className);
       (yyval.xtokGetClassParms).flags = (yyval.xtokGetClassParms).flagsSet = 0 ;
       (yyval.xtokGetClassParms).clsNameSet = 1;
       (yyval.xtokGetClassParms).propertyList.values=0;
       (yyval.xtokGetClassParms).properties=0;
    }
#line 4640 "cimXmlOps.c"
    break;

  case 82: /* getClassParms: XTOK_IP_LOCALONLY boolValue ZTOK_IPARAMVALUE  */
#line 2884 "cimXmlOps.y"
    {
       (yyval.xtokGetClassParms).flags = (yyvsp[-1].boolValue) ? FL_localOnly : 0 ;
       (yyval.xtokGetClassParms).flagsSet = FL_localOnly;
       (yyval.xtokGetClassParms).properties=(yyval.xtokGetClassParms).clsNameSet=0;
       (yyval.xtokGetClassParms).propertyList.values=0;
    }
#line 4651 "cimXmlOps.c"
    break;

  case 83: /* getClassParms: XTOK_IP_LOCALONLY ZTOK_IPARAMVALUE  */
#line 2891 "cimXmlOps.y"
    {
       memset(&(yyval.xtokGetClassParms), 0, sizeof((yyval.xtokGetClassParms)));
    }
#line 4659 "cimXmlOps.c"
    break;

  case 84: /* getClassParms: XTOK_IP_INCLUDEQUALIFIERS boolValue ZTOK_IPARAMVALUE  */
#line 2895 "cimXmlOps.y"
    {
       (yyval.xtokGetClassParms).flags = (yyvsp[-1].boolValue) ? FL_includeQualifiers : 0 ;
       (yyval.xtokGetClassParms).flagsSet = FL_includeQualifiers;
       (yyval.xtokGetClassParms).properties=(yyval.xtokGetClassParms).clsNameSet=0;
       (yyval.xtokGetClassParms).propertyList.values=0;
    }
#line 4670 "cimXmlOps.c"
    break;

  case 85: /* getClassParms: XTOK_IP_INCLUDEQUALIFIERS ZTOK_IPARAMVALUE  */
#line 2902 "cimXmlOps.y"
    {
       memset(&(yyval.xtokGetClassParms), 0, sizeof((yyval.xtokGetClassParms)));
    }
#line 4678 "cimXmlOps.c"
    break;

  case 86: /* getClassParms: XTOK_IP_INCLUDECLASSORIGIN boolValue ZTOK_IPARAMVALUE  */
#line 2906 "cimXmlOps.y"
    {
       (yyval.xtokGetClassParms).flags = (yyvsp[-1].boolValue) ? FL_includeClassOrigin : 0 ;
       (yyval.xtokGetClassParms).flagsSet = FL_includeClassOrigin;
       (yyval.xtokGetClassParms).properties=(yyval.xtokGetClassParms).clsNameSet=0;
       (yyval.xtokGetClassParms).propertyList.values=0;
    }
#line 4689 "cimXmlOps.c"
    break;

  case 87: /* getClassParms: XTOK_IP_INCLUDECLASSORIGIN ZTOK_IPARAMVALUE  */
#line 2913 "cimXmlOps.y"
    {
       memset(&(yyval.xtokGetClassParms), 0, sizeof((yyval.xtokGetClassParms)));
    }
#line 4697 "cimXmlOps.c"
    break;

  case 88: /* getClassParms: XTOK_IP_PROPERTYLIST valueArray ZTOK_IPARAMVALUE  */
#line 2917 "cimXmlOps.y"
    {
       (yyval.xtokGetClassParms).propertyList=(yyvsp[-1].xtokValueArray);
       (yyval.xtokGetClassParms).properties=(yyvsp[-1].xtokValueArray).next;
       (yyval.xtokGetClassParms).clsNameSet=0;
       (yyval.xtokGetClassParms).flags = (yyval.xtokGetClassParms).flagsSet = 0 ;
    }
#line 4708 "cimXmlOps.c"
    break;

  case 89: /* getClassParms: XTOK_IP_PROPERTYLIST ZTOK_IPARAMVALUE  */
#line 2924 "cimXmlOps.y"
    {
       memset(&(yyval.xtokGetClassParms), 0, sizeof((yyval.xtokGetClassParms)));
    }
#line 4716 "cimXmlOps.c"
    break;

  case 90: /* enumClassNames: localNameSpacePath  */
#line 2936 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassNames).op.count = ECN_REQ_REG_SEGMENTS;
       (yyval.xtokEnumClassNames).op.type = OPS_EnumerateClassNames;
       (yyval.xtokEnumClassNames).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokEnumClassNames).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokEnumClassNames).flags = 0;

       setRequest(parm,&(yyval.xtokEnumClassNames),sizeof(XtokEnumClassNames),OPS_EnumerateClassNames);
       buildEnumClassNamesRequest(parm);
    }
#line 4731 "cimXmlOps.c"
    break;

  case 91: /* enumClassNames: localNameSpacePath enumClassNamesParmsList  */
#line 2947 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassNames).op.count = ECN_REQ_REG_SEGMENTS;
       (yyval.xtokEnumClassNames).op.type = OPS_EnumerateClassNames;
       (yyval.xtokEnumClassNames).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokEnumClassNames).op.className=setCharsMsgSegment((yyvsp[0].xtokEnumClassNamesParmsList).className);
       (yyval.xtokEnumClassNames).flags = (yyvsp[0].xtokEnumClassNamesParmsList).flags;

       setRequest(parm,&(yyval.xtokEnumClassNames),sizeof(XtokEnumClassNames),OPS_EnumerateClassNames);
       buildEnumClassNamesRequest(parm);
    }
#line 4746 "cimXmlOps.c"
    break;

  case 92: /* enumClassNamesParmsList: enumClassNamesParms  */
#line 2961 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokEnumClassNamesParms).className) (yyval.xtokEnumClassNamesParmsList).className=(yyvsp[0].xtokEnumClassNamesParms).className;
       (yyval.xtokEnumClassNamesParmsList).flags=(yyvsp[0].xtokEnumClassNamesParms).flags;
    }
#line 4755 "cimXmlOps.c"
    break;

  case 93: /* enumClassNamesParmsList: enumClassNamesParmsList enumClassNamesParms  */
#line 2966 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokEnumClassNamesParms).className) (yyval.xtokEnumClassNamesParmsList).className=(yyvsp[0].xtokEnumClassNamesParms).className;
       (yyval.xtokEnumClassNamesParmsList).flags = ((yyvsp[0].xtokEnumClassNamesParms).flags & (yyvsp[0].xtokEnumClassNamesParms).flagsSet) | ((~(yyvsp[0].xtokEnumClassNamesParms).flagsSet) & FL_deepInheritance);
    }
#line 4764 "cimXmlOps.c"
    break;

  case 94: /* enumClassNamesParms: XTOK_IP_CLASSNAME ZTOK_IPARAMVALUE  */
#line 2974 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassNamesParms).className = NULL;
       (yyval.xtokEnumClassNamesParms).flags = (yyval.xtokEnumClassNamesParms).flagsSet = 0 ;
    }
#line 4773 "cimXmlOps.c"
    break;

  case 95: /* enumClassNamesParms: XTOK_IP_CLASSNAME className ZTOK_IPARAMVALUE  */
#line 2979 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassNamesParms).className = (yyvsp[-1].className);
       (yyval.xtokEnumClassNamesParms).flags = (yyval.xtokEnumClassNamesParms).flagsSet = 0 ;
    }
#line 4782 "cimXmlOps.c"
    break;

  case 96: /* enumClassNamesParms: XTOK_IP_DEEPINHERITANCE boolValue ZTOK_IPARAMVALUE  */
#line 2984 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassNamesParms).flags = (yyvsp[-1].boolValue) ? FL_deepInheritance : 0 ;
       (yyval.xtokEnumClassNamesParms).flagsSet = FL_deepInheritance;
       (yyval.xtokEnumClassNamesParms).className=0;
    }
#line 4792 "cimXmlOps.c"
    break;

  case 97: /* enumClassNamesParms: XTOK_IP_DEEPINHERITANCE ZTOK_IPARAMVALUE  */
#line 2990 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassNamesParms).className = NULL;
       (yyval.xtokEnumClassNamesParms).flags = (yyval.xtokEnumClassNamesParms).flagsSet = 0 ;
    }
#line 4801 "cimXmlOps.c"
    break;

  case 98: /* enumClasses: localNameSpacePath  */
#line 3002 "cimXmlOps.y"
    {
       (yyval.xtokEnumClasses).op.count = EC_REQ_REG_SEGMENTS;
       (yyval.xtokEnumClasses).op.type = OPS_EnumerateClasses;
       (yyval.xtokEnumClasses).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokEnumClasses).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokEnumClasses).flags = FL_localOnly|FL_includeQualifiers;

       setRequest(parm,&(yyval.xtokEnumClasses),sizeof(XtokEnumClasses),OPS_EnumerateClasses);
       buildEnumClassesRequest(parm);
    }
#line 4816 "cimXmlOps.c"
    break;

  case 99: /* enumClasses: localNameSpacePath enumClassesParmsList  */
#line 3013 "cimXmlOps.y"
    {
       (yyval.xtokEnumClasses).op.count = EC_REQ_REG_SEGMENTS;
       (yyval.xtokEnumClasses).op.type = OPS_EnumerateClasses;
       (yyval.xtokEnumClasses).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokEnumClasses).op.className=setCharsMsgSegment((yyvsp[0].xtokEnumClassesParmsList).className);
       (yyval.xtokEnumClasses).flags = ((yyvsp[0].xtokEnumClassesParmsList).flags & (yyvsp[0].xtokEnumClassesParmsList).flagsSet) | ((~(yyvsp[0].xtokEnumClassesParmsList).flagsSet) & (FL_localOnly|FL_includeQualifiers));

       setRequest(parm,&(yyval.xtokEnumClasses),sizeof(XtokEnumClasses),OPS_EnumerateClasses);
       buildEnumClassesRequest(parm);
    }
#line 4831 "cimXmlOps.c"
    break;

  case 100: /* enumClassesParmsList: enumClassesParms  */
#line 3027 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassesParmsList).flags=(yyvsp[0].xtokEnumClassesParms).flags;
       (yyval.xtokEnumClassesParmsList).flagsSet=(yyvsp[0].xtokEnumClassesParms).flagsSet;
       if ((yyvsp[0].xtokEnumClassesParms).className) (yyval.xtokEnumClassesParmsList).className=(yyvsp[0].xtokEnumClassesParms).className;
    }
#line 4841 "cimXmlOps.c"
    break;

  case 101: /* enumClassesParmsList: enumClassesParmsList enumClassesParms  */
#line 3033 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassesParmsList).flags=(yyvsp[-1].xtokEnumClassesParmsList).flags|(yyvsp[0].xtokEnumClassesParms).flags;
       (yyval.xtokEnumClassesParmsList).flagsSet=(yyvsp[-1].xtokEnumClassesParmsList).flagsSet|(yyvsp[0].xtokEnumClassesParms).flagsSet;
       if ((yyvsp[0].xtokEnumClassesParms).className) (yyval.xtokEnumClassesParmsList).className=(yyvsp[0].xtokEnumClassesParms).className;
    }
#line 4851 "cimXmlOps.c"
    break;

  case 102: /* enumClassesParms: XTOK_IP_CLASSNAME ZTOK_IPARAMVALUE  */
#line 3042 "cimXmlOps.y"
    {
       memset(&(yyval.xtokEnumClassesParms), 0, sizeof((yyval.xtokEnumClassesParms)));
    }
#line 4859 "cimXmlOps.c"
    break;

  case 103: /* enumClassesParms: XTOK_IP_CLASSNAME className ZTOK_IPARAMVALUE  */
#line 3046 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassesParms).className = (yyvsp[-1].className);
       (yyval.xtokEnumClassesParms).flags = (yyval.xtokEnumClassesParms).flagsSet = 0 ;
    }
#line 4868 "cimXmlOps.c"
    break;

  case 104: /* enumClassesParms: XTOK_IP_DEEPINHERITANCE ZTOK_IPARAMVALUE  */
#line 3051 "cimXmlOps.y"
    {
       memset(&(yyval.xtokEnumClassesParms), 0, sizeof((yyval.xtokEnumClassesParms)));
    }
#line 4876 "cimXmlOps.c"
    break;

  case 105: /* enumClassesParms: XTOK_IP_DEEPINHERITANCE boolValue ZTOK_IPARAMVALUE  */
#line 3055 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassesParms).flags = (yyvsp[-1].boolValue) ? FL_deepInheritance : 0 ;
       (yyval.xtokEnumClassesParms).flagsSet = FL_deepInheritance;
       (yyval.xtokEnumClassesParms).className=0;
    }
#line 4886 "cimXmlOps.c"
    break;

  case 106: /* enumClassesParms: XTOK_IP_LOCALONLY ZTOK_IPARAMVALUE  */
#line 3061 "cimXmlOps.y"
    {
       memset(&(yyval.xtokEnumClassesParms), 0, sizeof((yyval.xtokEnumClassesParms)));
    }
#line 4894 "cimXmlOps.c"
    break;

  case 107: /* enumClassesParms: XTOK_IP_LOCALONLY boolValue ZTOK_IPARAMVALUE  */
#line 3065 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassesParms).flags = (yyvsp[-1].boolValue) ? FL_localOnly : 0 ;
       (yyval.xtokEnumClassesParms).flagsSet = FL_localOnly;
       (yyval.xtokEnumClassesParms).className=0;
    }
#line 4904 "cimXmlOps.c"
    break;

  case 108: /* enumClassesParms: XTOK_IP_INCLUDEQUALIFIERS ZTOK_IPARAMVALUE  */
#line 3071 "cimXmlOps.y"
    {
       memset(&(yyval.xtokEnumClassesParms), 0, sizeof((yyval.xtokEnumClassesParms)));
    }
#line 4912 "cimXmlOps.c"
    break;

  case 109: /* enumClassesParms: XTOK_IP_INCLUDEQUALIFIERS boolValue ZTOK_IPARAMVALUE  */
#line 3075 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassesParms).flags = (yyvsp[-1].boolValue) ? FL_includeQualifiers : 0 ;
       (yyval.xtokEnumClassesParms).flagsSet = FL_includeQualifiers;
       (yyval.xtokEnumClassesParms).className=0;
    }
#line 4922 "cimXmlOps.c"
    break;

  case 110: /* enumClassesParms: XTOK_IP_INCLUDECLASSORIGIN ZTOK_IPARAMVALUE  */
#line 3081 "cimXmlOps.y"
    {
       memset(&(yyval.xtokEnumClassesParms), 0, sizeof((yyval.xtokEnumClassesParms)));
    }
#line 4930 "cimXmlOps.c"
    break;

  case 111: /* enumClassesParms: XTOK_IP_INCLUDECLASSORIGIN boolValue ZTOK_IPARAMVALUE  */
#line 3085 "cimXmlOps.y"
    {
       (yyval.xtokEnumClassesParms).flags = (yyvsp[-1].boolValue) ? FL_includeClassOrigin : 0 ;
       (yyval.xtokEnumClassesParms).flagsSet = FL_includeClassOrigin;
       (yyval.xtokEnumClassesParms).className=0;
    }
#line 4940 "cimXmlOps.c"
    break;

  case 112: /* getInstance: localNameSpacePath  */
#line 3098 "cimXmlOps.y"
    {
       (yyval.xtokGetInstance).op.count = GI_REQ_REG_SEGMENTS;
       (yyval.xtokGetInstance).op.type = OPS_GetInstance;
       (yyval.xtokGetInstance).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokGetInstance).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokGetInstance).flags = FL_localOnly;
       (yyval.xtokGetInstance).propertyList.values = NULL;
       (yyval.xtokGetInstance).properties=0;
       (yyval.xtokGetInstance).instNameSet = 0;
       //$$.userRole=setCharsMsgSegment($$.op.role);

       setRequest(parm,&(yyval.xtokGetInstance),sizeof(XtokGetInstance),OPS_GetInstance);
       buildGetInstanceRequest(parm);
    }
#line 4959 "cimXmlOps.c"
    break;

  case 113: /* getInstance: localNameSpacePath getInstanceParmsList  */
#line 3113 "cimXmlOps.y"
    {
       (yyval.xtokGetInstance).op.count = GI_REQ_REG_SEGMENTS;
       (yyval.xtokGetInstance).op.type = OPS_GetInstance;
       (yyval.xtokGetInstance).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokGetInstance).op.className=setCharsMsgSegment((yyvsp[0].xtokGetInstanceParmsList).instanceName.className);
       (yyval.xtokGetInstance).flags = ((yyvsp[0].xtokGetInstanceParmsList).flags & (yyvsp[0].xtokGetInstanceParmsList).flagsSet) | ((~(yyvsp[0].xtokGetInstanceParmsList).flagsSet) & (FL_localOnly));
       (yyval.xtokGetInstance).instanceName = (yyvsp[0].xtokGetInstanceParmsList).instanceName;
       (yyval.xtokGetInstance).instNameSet = (yyvsp[0].xtokGetInstanceParmsList).instNameSet;
       (yyval.xtokGetInstance).propertyList = (yyvsp[0].xtokGetInstanceParmsList).propertyList;
       (yyval.xtokGetInstance).properties=(yyvsp[0].xtokGetInstanceParmsList).properties;

       setRequest(parm,&(yyval.xtokGetInstance),sizeof(XtokGetInstance),OPS_GetInstance);
       buildGetInstanceRequest(parm);
    }
#line 4978 "cimXmlOps.c"
    break;

  case 114: /* getInstanceParmsList: getInstanceParms  */
#line 3131 "cimXmlOps.y"
    {
       (yyval.xtokGetInstanceParmsList).flags=(yyvsp[0].xtokGetInstanceParms).flags;
       (yyval.xtokGetInstanceParmsList).flagsSet=(yyvsp[0].xtokGetInstanceParms).flagsSet;
       if ((yyvsp[0].xtokGetInstanceParms).instNameSet) (yyval.xtokGetInstanceParmsList).instanceName=(yyvsp[0].xtokGetInstanceParms).instanceName;
       (yyval.xtokGetInstanceParmsList).instNameSet = (yyvsp[0].xtokGetInstanceParms).instNameSet;
       if ((yyvsp[0].xtokGetInstanceParms).propertyList.values) {
          (yyval.xtokGetInstanceParmsList).propertyList=(yyvsp[0].xtokGetInstanceParms).propertyList;
          (yyval.xtokGetInstanceParmsList).properties=(yyvsp[0].xtokGetInstanceParms).properties;
       }
    }
#line 4993 "cimXmlOps.c"
    break;

  case 115: /* getInstanceParmsList: getInstanceParmsList getInstanceParms  */
#line 3142 "cimXmlOps.y"
    {
       (yyval.xtokGetInstanceParmsList).flags=(yyvsp[-1].xtokGetInstanceParmsList).flags|(yyvsp[0].xtokGetInstanceParms).flags;
       (yyval.xtokGetInstanceParmsList).flagsSet=(yyvsp[-1].xtokGetInstanceParmsList).flagsSet|(yyvsp[0].xtokGetInstanceParms).flagsSet;
       if ((yyvsp[0].xtokGetInstanceParms).instNameSet) (yyval.xtokGetInstanceParmsList).instanceName=(yyvsp[0].xtokGetInstanceParms).instanceName;
       (yyval.xtokGetInstanceParmsList).instNameSet = (yyvsp[0].xtokGetInstanceParms).instNameSet;
       if ((yyvsp[0].xtokGetInstanceParms).propertyList.values) {
          (yyval.xtokGetInstanceParmsList).propertyList=(yyvsp[0].xtokGetInstanceParms).propertyList;
          (yyval.xtokGetInstanceParmsList).properties=(yyvsp[0].xtokGetInstanceParms).properties;
       }
    }
#line 5008 "cimXmlOps.c"
    break;

  case 116: /* getInstanceParms: XTOK_IP_INSTANCENAME instanceName ZTOK_IPARAMVALUE  */
#line 3156 "cimXmlOps.y"
    {
       (yyval.xtokGetInstanceParms).instanceName = (yyvsp[-1].xtokInstanceName);
       (yyval.xtokGetInstanceParms).flags = (yyval.xtokGetInstanceParms).flagsSet = 0 ;
       (yyval.xtokGetInstanceParms).propertyList.values=0;
       (yyval.xtokGetInstanceParms).instNameSet = 1;
       (yyval.xtokGetInstanceParms).properties=0;
    }
#line 5020 "cimXmlOps.c"
    break;

  case 117: /* getInstanceParms: XTOK_IP_LOCALONLY boolValue ZTOK_IPARAMVALUE  */
#line 3164 "cimXmlOps.y"
    {
       (yyval.xtokGetInstanceParms).flags = (yyvsp[-1].boolValue) ? FL_localOnly : 0 ;
       (yyval.xtokGetInstanceParms).flagsSet = FL_localOnly;
       (yyval.xtokGetInstanceParms).propertyList.values=0;
       (yyval.xtokGetInstanceParms).properties=(yyval.xtokGetInstanceParms).instNameSet=0;
    }
#line 5031 "cimXmlOps.c"
    break;

  case 118: /* getInstanceParms: XTOK_IP_LOCALONLY ZTOK_IPARAMVALUE  */
#line 3171 "cimXmlOps.y"
    {
       memset(&(yyval.xtokGetInstanceParms), 0, sizeof((yyval.xtokGetInstanceParms)));
    }
#line 5039 "cimXmlOps.c"
    break;

  case 119: /* getInstanceParms: XTOK_IP_INCLUDEQUALIFIERS boolValue ZTOK_IPARAMVALUE  */
#line 3175 "cimXmlOps.y"
    {
       (yyval.xtokGetInstanceParms).flags = (yyvsp[-1].boolValue) ? FL_includeQualifiers : 0 ;
       (yyval.xtokGetInstanceParms).flagsSet = FL_includeQualifiers;
       (yyval.xtokGetInstanceParms).propertyList.values=0;
       (yyval.xtokGetInstanceParms).properties=(yyval.xtokGetInstanceParms).instNameSet=0;
    }
#line 5050 "cimXmlOps.c"
    break;

  case 120: /* getInstanceParms: XTOK_IP_INCLUDEQUALIFIERS ZTOK_IPARAMVALUE  */
#line 3182 "cimXmlOps.y"
    {
      memset(&(yyval.xtokGetInstanceParms), 0, sizeof((yyval.xtokGetInstanceParms)));
    }
#line 5058 "cimXmlOps.c"
    break;

  case 121: /* getInstanceParms: XTOK_IP_INCLUDECLASSORIGIN boolValue ZTOK_IPARAMVALUE  */
#line 3186 "cimXmlOps.y"
    {
       (yyval.xtokGetInstanceParms).flags = (yyvsp[-1].boolValue) ? FL_includeClassOrigin : 0 ;
       (yyval.xtokGetInstanceParms).flagsSet = FL_includeClassOrigin;
       (yyval.xtokGetInstanceParms).propertyList.values=0;
       (yyval.xtokGetInstanceParms).properties=(yyval.xtokGetInstanceParms).instNameSet=0;
    }
#line 5069 "cimXmlOps.c"
    break;

  case 122: /* getInstanceParms: XTOK_IP_INCLUDECLASSORIGIN ZTOK_IPARAMVALUE  */
#line 3193 "cimXmlOps.y"
    {
      memset(&(yyval.xtokGetInstanceParms), 0, sizeof((yyval.xtokGetInstanceParms)));
    }
#line 5077 "cimXmlOps.c"
    break;

  case 123: /* getInstanceParms: XTOK_IP_PROPERTYLIST valueArray ZTOK_IPARAMVALUE  */
#line 3197 "cimXmlOps.y"
    {
       (yyval.xtokGetInstanceParms).propertyList=(yyvsp[-1].xtokValueArray);
       (yyval.xtokGetInstanceParms).properties=(yyvsp[-1].xtokValueArray).next;
       (yyval.xtokGetInstanceParms).instNameSet=0;
       (yyval.xtokGetInstanceParms).flags = (yyval.xtokGetInstanceParms).flagsSet = 0 ;
    }
#line 5088 "cimXmlOps.c"
    break;

  case 124: /* getInstanceParms: XTOK_IP_PROPERTYLIST ZTOK_IPARAMVALUE  */
#line 3204 "cimXmlOps.y"
    {
      memset(&(yyval.xtokGetInstanceParms), 0, sizeof((yyval.xtokGetInstanceParms)));
    }
#line 5096 "cimXmlOps.c"
    break;

  case 125: /* createClass: localNameSpacePath  */
#line 3217 "cimXmlOps.y"
    {
       (yyval.xtokCreateClass).op.count = CC_REQ_REG_SEGMENTS;
       (yyval.xtokCreateClass).op.type = OPS_CreateClass;
       (yyval.xtokCreateClass).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokCreateClass).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokCreateClass).superClass=NULL;

       setRequest(parm,&(yyval.xtokCreateClass),sizeof(XtokCreateClass),OPS_CreateClass);
       buildCreateClassRequest(parm);
    }
#line 5111 "cimXmlOps.c"
    break;

  case 126: /* createClass: localNameSpacePath createClassParm  */
#line 3228 "cimXmlOps.y"
    {
       (yyval.xtokCreateClass).op.count = CC_REQ_REG_SEGMENTS;
       (yyval.xtokCreateClass).op.type = OPS_CreateClass;
       (yyval.xtokCreateClass).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokCreateClass).op.className=setCharsMsgSegment((yyvsp[0].xtokCreateClassParm).cls.className);
       (yyval.xtokCreateClass).superClass=(yyvsp[0].xtokCreateClassParm).cls.superClass;
       (yyval.xtokCreateClass).cls = (yyvsp[0].xtokCreateClassParm).cls;

       setRequest(parm,&(yyval.xtokCreateClass),sizeof(XtokCreateClass),OPS_CreateClass);
       buildCreateClassRequest(parm);
    }
#line 5127 "cimXmlOps.c"
    break;

  case 127: /* createClassParm: XTOK_IP_CLASS class ZTOK_IPARAMVALUE  */
#line 3243 "cimXmlOps.y"
    {
       (yyval.xtokCreateClassParm).cls = (yyvsp[-1].xtokClass);
    }
#line 5135 "cimXmlOps.c"
    break;

  case 128: /* createInstance: localNameSpacePath  */
#line 3256 "cimXmlOps.y"
    {
       (yyval.xtokCreateInstance).op.count = CI_REQ_REG_SEGMENTS;
       (yyval.xtokCreateInstance).op.type = OPS_CreateInstance;
       (yyval.xtokCreateInstance).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokCreateInstance).op.className=setCharsMsgSegment(NULL);

       setRequest(parm,&(yyval.xtokCreateInstance),sizeof(XtokCreateInstance),OPS_CreateInstance);
       buildCreateInstanceRequest(parm);
    }
#line 5149 "cimXmlOps.c"
    break;

  case 129: /* createInstance: localNameSpacePath createInstanceParm  */
#line 3266 "cimXmlOps.y"
    {
       (yyval.xtokCreateInstance).op.count = CI_REQ_REG_SEGMENTS;
       (yyval.xtokCreateInstance).op.type = OPS_CreateInstance;
       (yyval.xtokCreateInstance).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokCreateInstance).op.className=setCharsMsgSegment((yyvsp[0].xtokCreateInstanceParm).instance.className);
       (yyval.xtokCreateInstance).instance = (yyvsp[0].xtokCreateInstanceParm).instance;

       setRequest(parm,&(yyval.xtokCreateInstance),sizeof(XtokCreateInstance),OPS_CreateInstance);
       buildCreateInstanceRequest(parm);
    }
#line 5164 "cimXmlOps.c"
    break;

  case 130: /* createInstanceParm: XTOK_IP_INSTANCE instance ZTOK_IPARAMVALUE  */
#line 3281 "cimXmlOps.y"
    {
       (yyval.xtokCreateInstanceParm).instance = (yyvsp[-1].xtokInstance);
    }
#line 5172 "cimXmlOps.c"
    break;

  case 131: /* modifyInstance: localNameSpacePath  */
#line 3293 "cimXmlOps.y"
    {
       (yyval.xtokModifyInstance).op.count = MI_REQ_REG_SEGMENTS;
       (yyval.xtokModifyInstance).op.type = OPS_ModifyInstance;
       (yyval.xtokModifyInstance).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokModifyInstance).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokModifyInstance).flags = FL_includeQualifiers;
       (yyval.xtokModifyInstance).propertyList.values = 0;
       (yyval.xtokModifyInstance).properties=0;

       setRequest(parm,&(yyval.xtokModifyInstance),sizeof(XtokModifyInstance),OPS_ModifyInstance);
       if (buildModifyInstanceRequest(parm)) yyerror(parm, "Invalid Parameter");
    }
#line 5189 "cimXmlOps.c"
    break;

  case 132: /* modifyInstance: localNameSpacePath modifyInstanceParmsList  */
#line 3306 "cimXmlOps.y"
    {
       (yyval.xtokModifyInstance).op.count = MI_REQ_REG_SEGMENTS;
       (yyval.xtokModifyInstance).op.type = OPS_ModifyInstance;
       (yyval.xtokModifyInstance).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokModifyInstance).op.className=setCharsMsgSegment((yyvsp[0].xtokModifyInstanceParmsList).namedInstance.path.className);
       (yyval.xtokModifyInstance).namedInstance = (yyvsp[0].xtokModifyInstanceParmsList).namedInstance;
       (yyval.xtokModifyInstance).flags = (yyvsp[0].xtokModifyInstanceParmsList).flags | ((~(yyvsp[0].xtokModifyInstanceParmsList).flagsSet) & (FL_includeQualifiers));
       (yyval.xtokModifyInstance).propertyList = (yyvsp[0].xtokModifyInstanceParmsList).propertyList;
       (yyval.xtokModifyInstance).properties=(yyvsp[0].xtokModifyInstanceParmsList).properties;

       setRequest(parm,&(yyval.xtokModifyInstance),sizeof(XtokModifyInstance),OPS_ModifyInstance);
       if (buildModifyInstanceRequest(parm)) yyerror(parm, "Invalid Parameter");
    }
#line 5207 "cimXmlOps.c"
    break;

  case 133: /* modifyInstanceParmsList: modifyInstanceParms  */
#line 3323 "cimXmlOps.y"
    {
       (yyval.xtokModifyInstanceParmsList).flags=(yyvsp[0].xtokModifyInstanceParms).flags;
       (yyval.xtokModifyInstanceParmsList).flagsSet=(yyvsp[0].xtokModifyInstanceParms).flagsSet;
       if ((yyvsp[0].xtokModifyInstanceParms).namedInstSet) (yyval.xtokModifyInstanceParmsList).namedInstance=(yyvsp[0].xtokModifyInstanceParms).namedInstance;
       (yyval.xtokModifyInstanceParmsList).namedInstSet = (yyvsp[0].xtokModifyInstanceParms).namedInstSet;
       if ((yyvsp[0].xtokModifyInstanceParms).propertyList.values) {
          (yyval.xtokModifyInstanceParmsList).propertyList=(yyvsp[0].xtokModifyInstanceParms).propertyList;
          (yyval.xtokModifyInstanceParmsList).properties=(yyvsp[0].xtokModifyInstanceParms).properties;
       }
    }
#line 5222 "cimXmlOps.c"
    break;

  case 134: /* modifyInstanceParmsList: modifyInstanceParmsList modifyInstanceParms  */
#line 3334 "cimXmlOps.y"
    {
       (yyval.xtokModifyInstanceParmsList).flags=(yyvsp[-1].xtokModifyInstanceParmsList).flags|(yyvsp[0].xtokModifyInstanceParms).flags;
       (yyval.xtokModifyInstanceParmsList).flagsSet=(yyvsp[-1].xtokModifyInstanceParmsList).flagsSet|(yyvsp[0].xtokModifyInstanceParms).flagsSet;
       if ((yyvsp[0].xtokModifyInstanceParms).namedInstSet) (yyval.xtokModifyInstanceParmsList).namedInstance=(yyvsp[0].xtokModifyInstanceParms).namedInstance;
       (yyval.xtokModifyInstanceParmsList).namedInstSet = (yyvsp[0].xtokModifyInstanceParms).namedInstSet;
       if ((yyvsp[0].xtokModifyInstanceParms).propertyList.values) {
          (yyval.xtokModifyInstanceParmsList).propertyList=(yyvsp[0].xtokModifyInstanceParms).propertyList;
          (yyval.xtokModifyInstanceParmsList).properties=(yyvsp[0].xtokModifyInstanceParms).properties;
       }
    }
#line 5237 "cimXmlOps.c"
    break;

  case 135: /* modifyInstanceParms: XTOK_IP_MODIFIEDINSTANCE namedInstance ZTOK_IPARAMVALUE  */
#line 3349 "cimXmlOps.y"
    {
       (yyval.xtokModifyInstanceParms).namedInstance=(yyvsp[-1].xtokNamedInstance);
       (yyval.xtokModifyInstanceParms).namedInstSet=1;
       (yyval.xtokModifyInstanceParms).propertyList.values=NULL;
       (yyval.xtokModifyInstanceParms).properties=0;
       (yyval.xtokModifyInstanceParms).flags = (yyval.xtokModifyInstanceParms).flagsSet = 0 ;
    }
#line 5249 "cimXmlOps.c"
    break;

  case 136: /* modifyInstanceParms: XTOK_IP_INCLUDEQUALIFIERS boolValue ZTOK_IPARAMVALUE  */
#line 3357 "cimXmlOps.y"
    {
       (yyval.xtokModifyInstanceParms).flags = (yyvsp[-1].boolValue) ? FL_includeQualifiers : 0 ;
       (yyval.xtokModifyInstanceParms).flagsSet = FL_includeQualifiers;
       (yyval.xtokModifyInstanceParms).propertyList.values=0;
       (yyval.xtokModifyInstanceParms).properties=(yyval.xtokModifyInstanceParms).namedInstSet=0;
    }
#line 5260 "cimXmlOps.c"
    break;

  case 137: /* modifyInstanceParms: XTOK_IP_INCLUDEQUALIFIERS ZTOK_IPARAMVALUE  */
#line 3364 "cimXmlOps.y"
    {
       memset(&(yyval.xtokModifyInstanceParms), 0, sizeof((yyval.xtokModifyInstanceParms)));
    }
#line 5268 "cimXmlOps.c"
    break;

  case 138: /* modifyInstanceParms: XTOK_IP_PROPERTYLIST valueArray ZTOK_IPARAMVALUE  */
#line 3368 "cimXmlOps.y"
    {
       (yyval.xtokModifyInstanceParms).propertyList=(yyvsp[-1].xtokValueArray);
       (yyval.xtokModifyInstanceParms).properties=(yyvsp[-1].xtokValueArray).next;
       (yyval.xtokModifyInstanceParms).namedInstSet=0;
       (yyval.xtokModifyInstanceParms).flags = (yyval.xtokModifyInstanceParms).flagsSet = 0 ;
    }
#line 5279 "cimXmlOps.c"
    break;

  case 139: /* modifyInstanceParms: XTOK_IP_PROPERTYLIST ZTOK_IPARAMVALUE  */
#line 3375 "cimXmlOps.y"
    {
       memset(&(yyval.xtokModifyInstanceParms), 0, sizeof((yyval.xtokModifyInstanceParms)));
    }
#line 5287 "cimXmlOps.c"
    break;

  case 140: /* deleteClass: localNameSpacePath  */
#line 3387 "cimXmlOps.y"
    {
       (yyval.xtokDeleteClass).op.count = DC_REQ_REG_SEGMENTS;
       (yyval.xtokDeleteClass).op.type = OPS_DeleteClass;
       (yyval.xtokDeleteClass).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokDeleteClass).op.className=setCharsMsgSegment(NULL);

       setRequest(parm,&(yyval.xtokDeleteClass),sizeof(XtokDeleteClass),OPS_DeleteClass);
       buildDeleteClassRequest(parm);
    }
#line 5301 "cimXmlOps.c"
    break;

  case 141: /* deleteClass: localNameSpacePath deleteClassParm  */
#line 3397 "cimXmlOps.y"
    {
       (yyval.xtokDeleteClass).op.count = DC_REQ_REG_SEGMENTS;
       (yyval.xtokDeleteClass).op.type = OPS_DeleteClass;
       (yyval.xtokDeleteClass).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokDeleteClass).op.className=setCharsMsgSegment((yyvsp[0].xtokDeleteClassParm).className);
       (yyval.xtokDeleteClass).className = (yyvsp[0].xtokDeleteClassParm).className;

       setRequest(parm,&(yyval.xtokDeleteClass),sizeof(XtokDeleteClass),OPS_DeleteClass);
       buildDeleteClassRequest(parm);
    }
#line 5316 "cimXmlOps.c"
    break;

  case 142: /* deleteClassParm: XTOK_IP_CLASSNAME className ZTOK_IPARAMVALUE  */
#line 3412 "cimXmlOps.y"
    {
       (yyval.xtokDeleteClassParm).className = (yyvsp[-1].className);
    }
#line 5324 "cimXmlOps.c"
    break;

  case 143: /* deleteInstance: localNameSpacePath  */
#line 3424 "cimXmlOps.y"
    {
       (yyval.xtokDeleteInstance).op.count = DI_REQ_REG_SEGMENTS;
       (yyval.xtokDeleteInstance).op.type = OPS_DeleteInstance;
       (yyval.xtokDeleteInstance).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokDeleteInstance).op.className=setCharsMsgSegment(NULL);

       setRequest(parm,&(yyval.xtokDeleteInstance),sizeof(XtokDeleteInstance),OPS_DeleteInstance);
       buildDeleteInstanceRequest(parm);
    }
#line 5338 "cimXmlOps.c"
    break;

  case 144: /* deleteInstance: localNameSpacePath deleteInstanceParm  */
#line 3434 "cimXmlOps.y"
    {
       (yyval.xtokDeleteInstance).op.count = DI_REQ_REG_SEGMENTS;
       (yyval.xtokDeleteInstance).op.type = OPS_DeleteInstance;
       (yyval.xtokDeleteInstance).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokDeleteInstance).op.className=setCharsMsgSegment((yyvsp[0].xtokDeleteInstanceParm).instanceName.className);
       (yyval.xtokDeleteInstance).instanceName = (yyvsp[0].xtokDeleteInstanceParm).instanceName;

       setRequest(parm,&(yyval.xtokDeleteInstance),sizeof(XtokDeleteInstance),OPS_DeleteInstance);
       buildDeleteInstanceRequest(parm);
    }
#line 5353 "cimXmlOps.c"
    break;

  case 145: /* deleteInstanceParm: XTOK_IP_INSTANCENAME instanceName ZTOK_IPARAMVALUE  */
#line 3449 "cimXmlOps.y"
    {
       (yyval.xtokDeleteInstanceParm).instanceName = (yyvsp[-1].xtokInstanceName);
    }
#line 5361 "cimXmlOps.c"
    break;

  case 146: /* enumInstanceNames: localNameSpacePath XTOK_IP_CLASSNAME className ZTOK_IPARAMVALUE  */
#line 3462 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstanceNames).op.count = EIN_REQ_REG_SEGMENTS;
       (yyval.xtokEnumInstanceNames).op.type = OPS_EnumerateInstanceNames;
       (yyval.xtokEnumInstanceNames).op.nameSpace=setCharsMsgSegment((yyvsp[-3].xtokLocalNameSpacePath));
       (yyval.xtokEnumInstanceNames).op.className=setCharsMsgSegment((yyvsp[-1].className));

       setRequest(parm,&(yyval.xtokEnumInstanceNames),sizeof(XtokEnumInstanceNames),OPS_EnumerateInstanceNames);
       buildEnumInstanceNamesRequest(parm);
    }
#line 5375 "cimXmlOps.c"
    break;

  case 147: /* enumInstances: localNameSpacePath  */
#line 3481 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstances).op.count = EI_REQ_REG_SEGMENTS;
       (yyval.xtokEnumInstances).op.type = OPS_EnumerateInstances;
       (yyval.xtokEnumInstances).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokEnumInstances).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokEnumInstances).flags = FL_localOnly | FL_deepInheritance;
       (yyval.xtokEnumInstances).propertyList.values = NULL;
       (yyval.xtokEnumInstances).properties=0;

       setRequest(parm,&(yyval.xtokEnumInstances),sizeof(XtokEnumInstances),OPS_EnumerateInstances);
       buildEnumInstanceRequest(parm);
    }
#line 5392 "cimXmlOps.c"
    break;

  case 148: /* enumInstances: localNameSpacePath enumInstancesParmsList  */
#line 3494 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstances).op.count = EI_REQ_REG_SEGMENTS;
       (yyval.xtokEnumInstances).op.type = OPS_EnumerateInstances;
       (yyval.xtokEnumInstances).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokEnumInstances).op.className=setCharsMsgSegment((yyvsp[0].xtokEnumInstancesParmsList).className);
       (yyval.xtokEnumInstances).flags = ((yyvsp[0].xtokEnumInstancesParmsList).flags & (yyvsp[0].xtokEnumInstancesParmsList).flagsSet) | ((~(yyvsp[0].xtokEnumInstancesParmsList).flagsSet) & (FL_localOnly));
       (yyval.xtokEnumInstances).propertyList = (yyvsp[0].xtokEnumInstancesParmsList).propertyList;
       (yyval.xtokEnumInstances).properties=(yyvsp[0].xtokEnumInstancesParmsList).properties;

       setRequest(parm,&(yyval.xtokEnumInstances),sizeof(XtokEnumInstances),OPS_EnumerateInstances);
       buildEnumInstanceRequest(parm);
    }
#line 5409 "cimXmlOps.c"
    break;

  case 149: /* enumInstancesParmsList: enumInstancesParms  */
#line 3510 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstancesParmsList).flags=(yyvsp[0].xtokEnumInstancesParms).flags;
       (yyval.xtokEnumInstancesParmsList).flagsSet=(yyvsp[0].xtokEnumInstancesParms).flagsSet;
       if ((yyvsp[0].xtokEnumInstancesParms).className) (yyval.xtokEnumInstancesParmsList).className=(yyvsp[0].xtokEnumInstancesParms).className;
       if ((yyvsp[0].xtokEnumInstancesParms).propertyList.values) {
          (yyval.xtokEnumInstancesParmsList).propertyList=(yyvsp[0].xtokEnumInstancesParms).propertyList;
          (yyval.xtokEnumInstancesParmsList).properties=(yyvsp[0].xtokEnumInstancesParms).properties;
       }
    }
#line 5423 "cimXmlOps.c"
    break;

  case 150: /* enumInstancesParmsList: enumInstancesParmsList enumInstancesParms  */
#line 3520 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstancesParmsList).flags=(yyvsp[-1].xtokEnumInstancesParmsList).flags|(yyvsp[0].xtokEnumInstancesParms).flags;
       (yyval.xtokEnumInstancesParmsList).flagsSet=(yyvsp[-1].xtokEnumInstancesParmsList).flagsSet|(yyvsp[0].xtokEnumInstancesParms).flagsSet;
       if ((yyvsp[0].xtokEnumInstancesParms).className) (yyval.xtokEnumInstancesParmsList).className=(yyvsp[0].xtokEnumInstancesParms).className;
       if ((yyvsp[0].xtokEnumInstancesParms).propertyList.values) {
          (yyval.xtokEnumInstancesParmsList).propertyList=(yyvsp[0].xtokEnumInstancesParms).propertyList;
          (yyval.xtokEnumInstancesParmsList).properties=(yyvsp[0].xtokEnumInstancesParms).properties;
       }
    }
#line 5437 "cimXmlOps.c"
    break;

  case 151: /* enumInstancesParms: XTOK_IP_CLASSNAME className ZTOK_IPARAMVALUE  */
#line 3533 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstancesParms).className = (yyvsp[-1].className);
       (yyval.xtokEnumInstancesParms).flags = (yyval.xtokEnumInstancesParms).flagsSet = 0 ;
       (yyval.xtokEnumInstancesParms).properties=0;
       (yyval.xtokEnumInstancesParms).propertyList.values=0;
    }
#line 5448 "cimXmlOps.c"
    break;

  case 152: /* enumInstancesParms: XTOK_IP_LOCALONLY boolValue ZTOK_IPARAMVALUE  */
#line 3540 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_localOnly : 0 ;
       (yyval.xtokEnumInstancesParms).flagsSet = FL_localOnly;
       (yyval.xtokEnumInstancesParms).className=0;
       (yyval.xtokEnumInstancesParms).properties=0;
       (yyval.xtokEnumInstancesParms).propertyList.values=0;
    }
#line 5460 "cimXmlOps.c"
    break;

  case 153: /* enumInstancesParms: XTOK_IP_LOCALONLY ZTOK_IPARAMVALUE  */
#line 3548 "cimXmlOps.y"
    {
       memset(&(yyval.xtokEnumInstancesParms), 0, sizeof((yyval.xtokEnumInstancesParms)));
    }
#line 5468 "cimXmlOps.c"
    break;

  case 154: /* enumInstancesParms: XTOK_IP_INCLUDEQUALIFIERS boolValue ZTOK_IPARAMVALUE  */
#line 3552 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_includeQualifiers : 0 ;
       (yyval.xtokEnumInstancesParms).flagsSet = FL_includeQualifiers;
       (yyval.xtokEnumInstancesParms).className=0;
       (yyval.xtokEnumInstancesParms).properties=0;
       (yyval.xtokEnumInstancesParms).propertyList.values=0;
    }
#line 5480 "cimXmlOps.c"
    break;

  case 155: /* enumInstancesParms: XTOK_IP_INCLUDEQUALIFIERS ZTOK_IPARAMVALUE  */
#line 3560 "cimXmlOps.y"
    {
       memset(&(yyval.xtokEnumInstancesParms), 0, sizeof((yyval.xtokEnumInstancesParms)));
    }
#line 5488 "cimXmlOps.c"
    break;

  case 156: /* enumInstancesParms: XTOK_IP_DEEPINHERITANCE boolValue ZTOK_IPARAMVALUE  */
#line 3564 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_deepInheritance : 0 ;
       (yyval.xtokEnumInstancesParms).flagsSet = FL_deepInheritance;
       (yyval.xtokEnumInstancesParms).className=0;
       (yyval.xtokEnumInstancesParms).properties=0;
       (yyval.xtokEnumInstancesParms).propertyList.values=0;
    }
#line 5500 "cimXmlOps.c"
    break;

  case 157: /* enumInstancesParms: XTOK_IP_DEEPINHERITANCE ZTOK_IPARAMVALUE  */
#line 3572 "cimXmlOps.y"
    {
       memset(&(yyval.xtokEnumInstancesParms), 0, sizeof((yyval.xtokEnumInstancesParms)));
    }
#line 5508 "cimXmlOps.c"
    break;

  case 158: /* enumInstancesParms: XTOK_IP_INCLUDECLASSORIGIN boolValue ZTOK_IPARAMVALUE  */
#line 3576 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_includeClassOrigin : 0 ;
       (yyval.xtokEnumInstancesParms).flagsSet = FL_includeClassOrigin;
       (yyval.xtokEnumInstancesParms).className=0;
       (yyval.xtokEnumInstancesParms).properties=0;
       (yyval.xtokEnumInstancesParms).propertyList.values=0;
    }
#line 5520 "cimXmlOps.c"
    break;

  case 159: /* enumInstancesParms: XTOK_IP_INCLUDECLASSORIGIN ZTOK_IPARAMVALUE  */
#line 3584 "cimXmlOps.y"
    {
       memset(&(yyval.xtokEnumInstancesParms), 0, sizeof((yyval.xtokEnumInstancesParms)));
    }
#line 5528 "cimXmlOps.c"
    break;

  case 160: /* enumInstancesParms: XTOK_IP_PROPERTYLIST valueArray ZTOK_IPARAMVALUE  */
#line 3588 "cimXmlOps.y"
    {
       (yyval.xtokEnumInstancesParms).propertyList=(yyvsp[-1].xtokValueArray);
       (yyval.xtokEnumInstancesParms).properties=(yyvsp[-1].xtokValueArray).next;
       (yyval.xtokEnumInstancesParms).className=0;
       (yyval.xtokEnumInstancesParms).flags = (yyval.xtokEnumInstancesParms).flagsSet = 0 ;
    }
#line 5539 "cimXmlOps.c"
    break;

  case 161: /* enumInstancesParms: XTOK_IP_PROPERTYLIST ZTOK_IPARAMVALUE  */
#line 3595 "cimXmlOps.y"
    {
       memset(&(yyval.xtokEnumInstancesParms), 0, sizeof((yyval.xtokEnumInstancesParms)));
    }
#line 5547 "cimXmlOps.c"
    break;

  case 162: /* execQuery: localNameSpacePath XTOK_IP_QUERY value ZTOK_IPARAMVALUE XTOK_IP_QUERYLANG value ZTOK_IPARAMVALUE  */
#line 3611 "cimXmlOps.y"
    {
       (yyval.xtokExecQuery).op.count = EQ_REQ_REG_SEGMENTS;
       (yyval.xtokExecQuery).op.type = OPS_ExecQuery;
       (yyval.xtokExecQuery).op.nameSpace=setCharsMsgSegment((yyvsp[-6].xtokLocalNameSpacePath));
       (yyval.xtokExecQuery).op.query=setCharsMsgSegment((yyvsp[-4].xtokValue).value);
       (yyval.xtokExecQuery).op.queryLang=setCharsMsgSegment((yyvsp[-1].xtokValue).value);

       setRequest(parm,&(yyval.xtokExecQuery),sizeof(XtokExecQuery),OPS_ExecQuery);
       buildExecQueryRequest(parm);
    }
#line 5562 "cimXmlOps.c"
    break;

  case 163: /* execQuery: localNameSpacePath XTOK_IP_QUERYLANG value ZTOK_IPARAMVALUE XTOK_IP_QUERY value ZTOK_IPARAMVALUE  */
#line 3624 "cimXmlOps.y"
    {
       (yyval.xtokExecQuery).op.count = EQ_REQ_REG_SEGMENTS;
       (yyval.xtokExecQuery).op.type = OPS_ExecQuery;
       (yyval.xtokExecQuery).op.nameSpace=setCharsMsgSegment((yyvsp[-6].xtokLocalNameSpacePath));
       (yyval.xtokExecQuery).op.query=setCharsMsgSegment((yyvsp[-1].xtokValue).value);
       (yyval.xtokExecQuery).op.queryLang=setCharsMsgSegment((yyvsp[-4].xtokValue).value);

       setRequest(parm,&(yyval.xtokExecQuery),sizeof(XtokExecQuery),OPS_ExecQuery);
       buildExecQueryRequest(parm);
    }
#line 5577 "cimXmlOps.c"
    break;

  case 164: /* associators: localNameSpacePath  */
#line 3644 "cimXmlOps.y"
    {
       (yyval.xtokAssociators).op.count = AI_REQ_REG_SEGMENTS;
       (yyval.xtokAssociators).op.type = OPS_Associators;
       (yyval.xtokAssociators).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokAssociators).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokAssociators).op.assocClass=setCharsMsgSegment(NULL);
       (yyval.xtokAssociators).op.resultClass=setCharsMsgSegment(NULL);
       (yyval.xtokAssociators).op.role=setCharsMsgSegment(NULL);
       (yyval.xtokAssociators).op.resultRole=setCharsMsgSegment(NULL);
       (yyval.xtokAssociators).flags = 0;
       (yyval.xtokAssociators).objNameSet = 0;
       (yyval.xtokAssociators).propertyList.values = 0;
       (yyval.xtokAssociators).properties=0;

       setRequest(parm,&(yyval.xtokAssociators),sizeof(XtokAssociators),OPS_Associators);
       buildAssociatorsRequest(parm);
    }
#line 5599 "cimXmlOps.c"
    break;

  case 165: /* associators: localNameSpacePath associatorsParmsList  */
#line 3662 "cimXmlOps.y"
    {
       (yyval.xtokAssociators).op.count = AI_REQ_REG_SEGMENTS;
       (yyval.xtokAssociators).op.type = OPS_Associators;
       (yyval.xtokAssociators).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokAssociators).op.className=setCharsMsgSegment((yyvsp[0].xtokAssociatorsParmsList).objectName.className);
       (yyval.xtokAssociators).op.assocClass=setCharsMsgSegment((yyvsp[0].xtokAssociatorsParmsList).assocClass);
       (yyval.xtokAssociators).op.resultClass=setCharsMsgSegment((yyvsp[0].xtokAssociatorsParmsList).resultClass);
       (yyval.xtokAssociators).op.role=setCharsMsgSegment((yyvsp[0].xtokAssociatorsParmsList).role);
       (yyval.xtokAssociators).op.resultRole=setCharsMsgSegment((yyvsp[0].xtokAssociatorsParmsList).resultRole);
       (yyval.xtokAssociators).flags = ((yyvsp[0].xtokAssociatorsParmsList).flags & (yyvsp[0].xtokAssociatorsParmsList).flagsSet) | (~(yyvsp[0].xtokAssociatorsParmsList).flagsSet & 0);
       (yyval.xtokAssociators).objectName = (yyvsp[0].xtokAssociatorsParmsList).objectName;
       (yyval.xtokAssociators).objNameSet = (yyvsp[0].xtokAssociatorsParmsList).objNameSet;
       (yyval.xtokAssociators).propertyList = (yyvsp[0].xtokAssociatorsParmsList).propertyList;
       (yyval.xtokAssociators).properties=(yyvsp[0].xtokAssociatorsParmsList).properties;

       setRequest(parm,&(yyval.xtokAssociators),sizeof(XtokAssociators),OPS_Associators);
       buildAssociatorsRequest(parm);
    }
#line 5622 "cimXmlOps.c"
    break;

  case 166: /* associatorsParmsList: associatorsParms  */
#line 3684 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorsParmsList).flags=(yyvsp[0].xtokAssociatorsParms).flags;
       (yyval.xtokAssociatorsParmsList).flagsSet=(yyvsp[0].xtokAssociatorsParms).flagsSet;
       if ((yyvsp[0].xtokAssociatorsParms).objNameSet)  {
          (yyval.xtokAssociatorsParmsList).objectName=(yyvsp[0].xtokAssociatorsParms).objectName;
          (yyval.xtokAssociatorsParmsList).objNameSet = (yyvsp[0].xtokAssociatorsParms).objNameSet;
       }
       (yyval.xtokAssociatorsParmsList).assocClass=(yyvsp[0].xtokAssociatorsParms).assocClass;
       (yyval.xtokAssociatorsParmsList).resultClass=(yyvsp[0].xtokAssociatorsParms).resultClass;
       (yyval.xtokAssociatorsParmsList).role=(yyvsp[0].xtokAssociatorsParms).role;
       (yyval.xtokAssociatorsParmsList).resultRole=(yyvsp[0].xtokAssociatorsParms).resultRole;
       if ((yyvsp[0].xtokAssociatorsParms).propertyList.values) {
          (yyval.xtokAssociatorsParmsList).propertyList=(yyvsp[0].xtokAssociatorsParms).propertyList;
          (yyval.xtokAssociatorsParmsList).properties=(yyvsp[0].xtokAssociatorsParms).properties;
       }
    }
#line 5643 "cimXmlOps.c"
    break;

  case 167: /* associatorsParmsList: associatorsParmsList associatorsParms  */
#line 3701 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorsParmsList).flags=(yyvsp[-1].xtokAssociatorsParmsList).flags|(yyvsp[0].xtokAssociatorsParms).flags;
       (yyval.xtokAssociatorsParmsList).flagsSet=(yyvsp[-1].xtokAssociatorsParmsList).flagsSet|(yyvsp[0].xtokAssociatorsParms).flagsSet;
       if ((yyvsp[0].xtokAssociatorsParms).assocClass) (yyval.xtokAssociatorsParmsList).assocClass=(yyvsp[0].xtokAssociatorsParms).assocClass;
       else if ((yyvsp[0].xtokAssociatorsParms).resultClass) (yyval.xtokAssociatorsParmsList).resultClass=(yyvsp[0].xtokAssociatorsParms).resultClass;
       else if ((yyvsp[0].xtokAssociatorsParms).role) (yyval.xtokAssociatorsParmsList).role=(yyvsp[0].xtokAssociatorsParms).role;
       else if ((yyvsp[0].xtokAssociatorsParms).resultRole) (yyval.xtokAssociatorsParmsList).resultRole=(yyvsp[0].xtokAssociatorsParms).resultRole;
       else if ((yyvsp[0].xtokAssociatorsParms).objNameSet) {
          (yyval.xtokAssociatorsParmsList).objectName=(yyvsp[0].xtokAssociatorsParms).objectName;
          (yyval.xtokAssociatorsParmsList).objNameSet = (yyvsp[0].xtokAssociatorsParms).objNameSet;
       }
       else if ((yyvsp[0].xtokAssociatorsParms).propertyList.values) {
          (yyval.xtokAssociatorsParmsList).propertyList=(yyvsp[0].xtokAssociatorsParms).propertyList;
          (yyval.xtokAssociatorsParmsList).properties=(yyvsp[0].xtokAssociatorsParms).properties;
       }
    }
#line 5664 "cimXmlOps.c"
    break;

  case 168: /* associatorsParms: XTOK_IP_OBJECTNAME instanceName ZTOK_IPARAMVALUE  */
#line 3721 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorsParms).objectName = (yyvsp[-1].xtokInstanceName);
       (yyval.xtokAssociatorsParms).objNameSet = 1;
       (yyval.xtokAssociatorsParms).flags = (yyval.xtokAssociatorsParms).flagsSet = 0 ;
       (yyval.xtokAssociatorsParms).assocClass=(yyval.xtokAssociatorsParms).resultClass=(yyval.xtokAssociatorsParms).role=(yyval.xtokAssociatorsParms).resultRole=0;
       (yyval.xtokAssociatorsParms).properties=0;
       (yyval.xtokAssociatorsParms).propertyList.values=0;
    }
#line 5677 "cimXmlOps.c"
    break;

  case 169: /* associatorsParms: XTOK_IP_OBJECTNAME className ZTOK_IPARAMVALUE  */
#line 3730 "cimXmlOps.y"
    {
       // This is an unsupported operation. To ensure we handle with a friendly
       // error message, make it appear as if INSTANCENAME with no KEYBINDING
       // was passed in the XML.
       (yyval.xtokAssociatorsParms).objectName.className = (yyvsp[-1].className);
       (yyval.xtokAssociatorsParms).objectName.bindings.next=0;
       (yyval.xtokAssociatorsParms).objectName.bindings.keyBindings=NULL;
       (yyval.xtokAssociatorsParms).objNameSet = 1;
       (yyval.xtokAssociatorsParms).flags = (yyval.xtokAssociatorsParms).flagsSet = 0;
       (yyval.xtokAssociatorsParms).resultClass=(yyval.xtokAssociatorsParms).role=0;
       (yyval.xtokAssociatorsParms).properties=0;
       (yyval.xtokAssociatorsParms).propertyList.values=0;
    }
#line 5695 "cimXmlOps.c"
    break;

  case 170: /* associatorsParms: XTOK_IP_ASSOCCLASS className ZTOK_IPARAMVALUE  */
#line 3744 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorsParms).assocClass = (yyvsp[-1].className);
       (yyval.xtokAssociatorsParms).objNameSet=(yyval.xtokAssociatorsParms).flags = (yyval.xtokAssociatorsParms).flagsSet = 0 ;
       (yyval.xtokAssociatorsParms).resultClass=(yyval.xtokAssociatorsParms).role=(yyval.xtokAssociatorsParms).resultRole=0;
       (yyval.xtokAssociatorsParms).properties=0;
       (yyval.xtokAssociatorsParms).propertyList.values=0;
    }
#line 5707 "cimXmlOps.c"
    break;

  case 171: /* associatorsParms: XTOK_IP_ASSOCCLASS ZTOK_IPARAMVALUE  */
#line 3752 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorsParms), 0, sizeof((yyval.xtokAssociatorsParms)));
    }
#line 5715 "cimXmlOps.c"
    break;

  case 172: /* associatorsParms: XTOK_IP_RESULTCLASS className ZTOK_IPARAMVALUE  */
#line 3756 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorsParms).resultClass = (yyvsp[-1].className);
       (yyval.xtokAssociatorsParms).objNameSet=(yyval.xtokAssociatorsParms).flags = (yyval.xtokAssociatorsParms).flagsSet = 0 ;
       (yyval.xtokAssociatorsParms).assocClass=(yyval.xtokAssociatorsParms).role=(yyval.xtokAssociatorsParms).resultRole=0;
       (yyval.xtokAssociatorsParms).properties=0;
       (yyval.xtokAssociatorsParms).propertyList.values=0;
    }
#line 5727 "cimXmlOps.c"
    break;

  case 173: /* associatorsParms: XTOK_IP_RESULTCLASS ZTOK_IPARAMVALUE  */
#line 3764 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorsParms), 0, sizeof((yyval.xtokAssociatorsParms)));
    }
#line 5735 "cimXmlOps.c"
    break;

  case 174: /* associatorsParms: XTOK_IP_ROLE value ZTOK_IPARAMVALUE  */
#line 3768 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorsParms).role = (yyvsp[-1].xtokValue).value;
       (yyval.xtokAssociatorsParms).objNameSet=(yyval.xtokAssociatorsParms).flags = (yyval.xtokAssociatorsParms).flagsSet = 0 ;
       (yyval.xtokAssociatorsParms).assocClass=(yyval.xtokAssociatorsParms).resultClass=(yyval.xtokAssociatorsParms).resultRole=0;
       (yyval.xtokAssociatorsParms).properties=0;
       (yyval.xtokAssociatorsParms).propertyList.values=0;
    }
#line 5747 "cimXmlOps.c"
    break;

  case 175: /* associatorsParms: XTOK_IP_ROLE ZTOK_IPARAMVALUE  */
#line 3776 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorsParms), 0, sizeof((yyval.xtokAssociatorsParms)));
    }
#line 5755 "cimXmlOps.c"
    break;

  case 176: /* associatorsParms: XTOK_IP_RESULTROLE value ZTOK_IPARAMVALUE  */
#line 3780 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorsParms).resultRole = (yyvsp[-1].xtokValue).value;
       (yyval.xtokAssociatorsParms).objNameSet=(yyval.xtokAssociatorsParms).flags = (yyval.xtokAssociatorsParms).flagsSet = 0 ;
       (yyval.xtokAssociatorsParms).assocClass=(yyval.xtokAssociatorsParms).resultClass=(yyval.xtokAssociatorsParms).role=0;
       (yyval.xtokAssociatorsParms).properties=0;
       (yyval.xtokAssociatorsParms).propertyList.values=0;
    }
#line 5767 "cimXmlOps.c"
    break;

  case 177: /* associatorsParms: XTOK_IP_RESULTROLE ZTOK_IPARAMVALUE  */
#line 3788 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorsParms), 0, sizeof((yyval.xtokAssociatorsParms)));
    }
#line 5775 "cimXmlOps.c"
    break;

  case 178: /* associatorsParms: XTOK_IP_INCLUDEQUALIFIERS boolValue ZTOK_IPARAMVALUE  */
#line 3792 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorsParms).flags = (yyvsp[-1].boolValue) ? FL_includeQualifiers : 0 ;
       (yyval.xtokAssociatorsParms).flagsSet = FL_includeQualifiers;
       (yyval.xtokAssociatorsParms).objNameSet=0;
       (yyval.xtokAssociatorsParms).assocClass=(yyval.xtokAssociatorsParms).resultClass=(yyval.xtokAssociatorsParms).role=(yyval.xtokAssociatorsParms).resultRole=0;
       (yyval.xtokAssociatorsParms).properties=0;
       (yyval.xtokAssociatorsParms).propertyList.values=0;
    }
#line 5788 "cimXmlOps.c"
    break;

  case 179: /* associatorsParms: XTOK_IP_INCLUDEQUALIFIERS ZTOK_IPARAMVALUE  */
#line 3801 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorsParms), 0, sizeof((yyval.xtokAssociatorsParms)));
    }
#line 5796 "cimXmlOps.c"
    break;

  case 180: /* associatorsParms: XTOK_IP_INCLUDECLASSORIGIN boolValue ZTOK_IPARAMVALUE  */
#line 3805 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorsParms).flags = (yyvsp[-1].boolValue) ? FL_includeClassOrigin : 0 ;
       (yyval.xtokAssociatorsParms).flagsSet = FL_includeClassOrigin;
       (yyval.xtokAssociatorsParms).objNameSet=0;
       (yyval.xtokAssociatorsParms).assocClass=(yyval.xtokAssociatorsParms).resultClass=(yyval.xtokAssociatorsParms).role=(yyval.xtokAssociatorsParms).resultRole=0;
       (yyval.xtokAssociatorsParms).properties=0;
       (yyval.xtokAssociatorsParms).propertyList.values=0;
    }
#line 5809 "cimXmlOps.c"
    break;

  case 181: /* associatorsParms: XTOK_IP_INCLUDECLASSORIGIN ZTOK_IPARAMVALUE  */
#line 3814 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorsParms), 0, sizeof((yyval.xtokAssociatorsParms)));
    }
#line 5817 "cimXmlOps.c"
    break;

  case 182: /* associatorsParms: XTOK_IP_PROPERTYLIST valueArray ZTOK_IPARAMVALUE  */
#line 3818 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorsParms).propertyList=(yyvsp[-1].xtokValueArray);
       (yyval.xtokAssociatorsParms).properties=(yyvsp[-1].xtokValueArray).next;
       (yyval.xtokAssociatorsParms).objNameSet=(yyval.xtokAssociatorsParms).flags = (yyval.xtokAssociatorsParms).flagsSet = 0 ;
       (yyval.xtokAssociatorsParms).assocClass=(yyval.xtokAssociatorsParms).resultClass=(yyval.xtokAssociatorsParms).role=(yyval.xtokAssociatorsParms).resultRole=0;
    }
#line 5828 "cimXmlOps.c"
    break;

  case 183: /* associatorsParms: XTOK_IP_PROPERTYLIST ZTOK_IPARAMVALUE  */
#line 3825 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorsParms), 0, sizeof((yyval.xtokAssociatorsParms)));
    }
#line 5836 "cimXmlOps.c"
    break;

  case 184: /* references: localNameSpacePath  */
#line 3840 "cimXmlOps.y"
    {
       (yyval.xtokReferences).op.count = RI_REQ_REG_SEGMENTS;
       (yyval.xtokReferences).op.type = OPS_References;
       (yyval.xtokReferences).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokReferences).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokReferences).op.resultClass=setCharsMsgSegment(NULL);
       (yyval.xtokReferences).op.role=setCharsMsgSegment(NULL);
       (yyval.xtokReferences).flags = 0;
       (yyval.xtokReferences).objNameSet = 0;
       (yyval.xtokReferences).propertyList.values = 0;
       (yyval.xtokReferences).properties=0;

       setRequest(parm,&(yyval.xtokReferences),sizeof(XtokReferences),OPS_References);
       buildReferencesRequest(parm);
    }
#line 5856 "cimXmlOps.c"
    break;

  case 185: /* references: localNameSpacePath referencesParmsList  */
#line 3856 "cimXmlOps.y"
    {
       (yyval.xtokReferences).op.count = RI_REQ_REG_SEGMENTS;
       (yyval.xtokReferences).op.type = OPS_References;
       (yyval.xtokReferences).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokReferences).op.className=setCharsMsgSegment((yyvsp[0].xtokReferencesParmsList).objectName.className);
       (yyval.xtokReferences).op.resultClass=setCharsMsgSegment((yyvsp[0].xtokReferencesParmsList).resultClass);
       (yyval.xtokReferences).op.role=setCharsMsgSegment((yyvsp[0].xtokReferencesParmsList).role);
       (yyval.xtokReferences).flags = ((yyvsp[0].xtokReferencesParmsList).flags & (yyvsp[0].xtokReferencesParmsList).flagsSet) | (~(yyvsp[0].xtokReferencesParmsList).flagsSet & 0);
       (yyval.xtokReferences).objectName = (yyvsp[0].xtokReferencesParmsList).objectName;
       (yyval.xtokReferences).objNameSet = (yyvsp[0].xtokReferencesParmsList).objNameSet;
       (yyval.xtokReferences).propertyList = (yyvsp[0].xtokReferencesParmsList).propertyList;
       (yyval.xtokReferences).properties=(yyvsp[0].xtokReferencesParmsList).properties;

       setRequest(parm,&(yyval.xtokReferences),sizeof(XtokReferences),OPS_References);
       buildReferencesRequest(parm);
    }
#line 5877 "cimXmlOps.c"
    break;

  case 186: /* referencesParmsList: referencesParms  */
#line 3876 "cimXmlOps.y"
    {
       (yyval.xtokReferencesParmsList).flags=(yyvsp[0].xtokReferencesParms).flags;
       (yyval.xtokReferencesParmsList).flagsSet=(yyvsp[0].xtokReferencesParms).flagsSet;
       if ((yyvsp[0].xtokReferencesParms).objNameSet)  {
          (yyval.xtokReferencesParmsList).objectName=(yyvsp[0].xtokReferencesParms).objectName;
          (yyval.xtokReferencesParmsList).objNameSet = (yyvsp[0].xtokReferencesParms).objNameSet;
       }
       (yyval.xtokReferencesParmsList).resultClass=(yyvsp[0].xtokReferencesParms).resultClass;
       (yyval.xtokReferencesParmsList).role=(yyvsp[0].xtokReferencesParms).role;
       if ((yyvsp[0].xtokReferencesParms).propertyList.values) {
          (yyval.xtokReferencesParmsList).propertyList=(yyvsp[0].xtokReferencesParms).propertyList;
          (yyval.xtokReferencesParmsList).properties=(yyvsp[0].xtokReferencesParms).properties;
       }
    }
#line 5896 "cimXmlOps.c"
    break;

  case 187: /* referencesParmsList: referencesParmsList referencesParms  */
#line 3891 "cimXmlOps.y"
    {
       (yyval.xtokReferencesParmsList).flags=(yyvsp[-1].xtokReferencesParmsList).flags|(yyvsp[0].xtokReferencesParms).flags;
       (yyval.xtokReferencesParmsList).flagsSet=(yyvsp[-1].xtokReferencesParmsList).flagsSet|(yyvsp[0].xtokReferencesParms).flagsSet;
       if ((yyvsp[0].xtokReferencesParms).resultClass) (yyval.xtokReferencesParmsList).resultClass=(yyvsp[0].xtokReferencesParms).resultClass;
       else if ((yyvsp[0].xtokReferencesParms).role) (yyval.xtokReferencesParmsList).role=(yyvsp[0].xtokReferencesParms).role;
       else if ((yyvsp[0].xtokReferencesParms).objNameSet) {
          (yyval.xtokReferencesParmsList).objectName=(yyvsp[0].xtokReferencesParms).objectName;
          (yyval.xtokReferencesParmsList).objNameSet = (yyvsp[0].xtokReferencesParms).objNameSet;
       }
       else if ((yyvsp[0].xtokReferencesParms).propertyList.values) {
          (yyval.xtokReferencesParmsList).propertyList=(yyvsp[0].xtokReferencesParms).propertyList;
          (yyval.xtokReferencesParmsList).properties=(yyvsp[0].xtokReferencesParms).properties;
       }
   }
#line 5915 "cimXmlOps.c"
    break;

  case 188: /* referencesParms: XTOK_IP_OBJECTNAME instanceName ZTOK_IPARAMVALUE  */
#line 3909 "cimXmlOps.y"
    {
       (yyval.xtokReferencesParms).objectName = (yyvsp[-1].xtokInstanceName);
       (yyval.xtokReferencesParms).objNameSet = 1;
       (yyval.xtokReferencesParms).flags = (yyval.xtokReferencesParms).flagsSet = 0 ;
       (yyval.xtokReferencesParms).resultClass=(yyval.xtokReferencesParms).role=0;
       (yyval.xtokReferencesParms).properties=0;
       (yyval.xtokReferencesParms).propertyList.values=0;
    }
#line 5928 "cimXmlOps.c"
    break;

  case 189: /* referencesParms: XTOK_IP_OBJECTNAME className ZTOK_IPARAMVALUE  */
#line 3918 "cimXmlOps.y"
    {
       (yyval.xtokReferencesParms).objectName.className = (yyvsp[-1].className);
       (yyval.xtokReferencesParms).objectName.bindings.next=0;
       (yyval.xtokReferencesParms).objectName.bindings.keyBindings=NULL;
       (yyval.xtokReferencesParms).objNameSet = 1;
       (yyval.xtokReferencesParms).flags = (yyval.xtokReferencesParms).flagsSet = 0;
       (yyval.xtokReferencesParms).resultClass=(yyval.xtokReferencesParms).role=0;
       (yyval.xtokReferencesParms).properties=0;
       (yyval.xtokReferencesParms).propertyList.values=0;
    }
#line 5943 "cimXmlOps.c"
    break;

  case 190: /* referencesParms: XTOK_IP_RESULTCLASS className ZTOK_IPARAMVALUE  */
#line 3929 "cimXmlOps.y"
    {
       (yyval.xtokReferencesParms).resultClass = (yyvsp[-1].className);
       (yyval.xtokReferencesParms).objNameSet=(yyval.xtokReferencesParms).flags = (yyval.xtokReferencesParms).flagsSet = 0 ;
       (yyval.xtokReferencesParms).role=0;
       (yyval.xtokReferencesParms).properties=0;
       (yyval.xtokReferencesParms).propertyList.values=0;
   }
#line 5955 "cimXmlOps.c"
    break;

  case 191: /* referencesParms: XTOK_IP_RESULTCLASS ZTOK_IPARAMVALUE  */
#line 3937 "cimXmlOps.y"
    {
       memset(&(yyval.xtokReferencesParms), 0, sizeof((yyval.xtokReferencesParms)));
    }
#line 5963 "cimXmlOps.c"
    break;

  case 192: /* referencesParms: XTOK_IP_ROLE value ZTOK_IPARAMVALUE  */
#line 3941 "cimXmlOps.y"
    {
       (yyval.xtokReferencesParms).role = (yyvsp[-1].xtokValue).value;
       (yyval.xtokReferencesParms).objNameSet=(yyval.xtokReferencesParms).flags = (yyval.xtokReferencesParms).flagsSet = 0 ;
       (yyval.xtokReferencesParms).resultClass=0;
       (yyval.xtokReferencesParms).properties=0;
       (yyval.xtokReferencesParms).propertyList.values=0;
    }
#line 5975 "cimXmlOps.c"
    break;

  case 193: /* referencesParms: XTOK_IP_ROLE ZTOK_IPARAMVALUE  */
#line 3949 "cimXmlOps.y"
    {
       memset(&(yyval.xtokReferencesParms), 0, sizeof((yyval.xtokReferencesParms)));
    }
#line 5983 "cimXmlOps.c"
    break;

  case 194: /* referencesParms: XTOK_IP_INCLUDEQUALIFIERS boolValue ZTOK_IPARAMVALUE  */
#line 3953 "cimXmlOps.y"
    {
       (yyval.xtokReferencesParms).flags = (yyvsp[-1].boolValue) ? FL_includeQualifiers : 0 ;
       (yyval.xtokReferencesParms).flagsSet = FL_includeQualifiers;
       (yyval.xtokReferencesParms).objNameSet=0;
       (yyval.xtokReferencesParms).resultClass=(yyval.xtokReferencesParms).role=0;
       (yyval.xtokReferencesParms).properties=0;
       (yyval.xtokReferencesParms).propertyList.values=0;
    }
#line 5996 "cimXmlOps.c"
    break;

  case 195: /* referencesParms: XTOK_IP_INCLUDEQUALIFIERS ZTOK_IPARAMVALUE  */
#line 3962 "cimXmlOps.y"
    {
       memset(&(yyval.xtokReferencesParms), 0, sizeof((yyval.xtokReferencesParms)));
    }
#line 6004 "cimXmlOps.c"
    break;

  case 196: /* referencesParms: XTOK_IP_INCLUDECLASSORIGIN boolValue ZTOK_IPARAMVALUE  */
#line 3966 "cimXmlOps.y"
    {
       (yyval.xtokReferencesParms).flags = (yyvsp[-1].boolValue) ? FL_includeClassOrigin : 0 ;
       (yyval.xtokReferencesParms).flagsSet = FL_includeClassOrigin;
       (yyval.xtokReferencesParms).objNameSet=0;
       (yyval.xtokReferencesParms).resultClass=(yyval.xtokReferencesParms).role=0;
       (yyval.xtokReferencesParms).properties=0;
       (yyval.xtokReferencesParms).propertyList.values=0;
    }
#line 6017 "cimXmlOps.c"
    break;

  case 197: /* referencesParms: XTOK_IP_INCLUDECLASSORIGIN ZTOK_IPARAMVALUE  */
#line 3975 "cimXmlOps.y"
    {
       memset(&(yyval.xtokReferencesParms), 0, sizeof((yyval.xtokReferencesParms)));
    }
#line 6025 "cimXmlOps.c"
    break;

  case 198: /* referencesParms: XTOK_IP_PROPERTYLIST valueArray ZTOK_IPARAMVALUE  */
#line 3979 "cimXmlOps.y"
    {
       (yyval.xtokReferencesParms).propertyList=(yyvsp[-1].xtokValueArray);
       (yyval.xtokReferencesParms).properties=(yyvsp[-1].xtokValueArray).next;
       (yyval.xtokReferencesParms).objNameSet=(yyval.xtokReferencesParms).flags = (yyval.xtokReferencesParms).flagsSet = 0 ;
       (yyval.xtokReferencesParms).resultClass=(yyval.xtokReferencesParms).role=0;
    }
#line 6036 "cimXmlOps.c"
    break;

  case 199: /* referencesParms: XTOK_IP_PROPERTYLIST ZTOK_IPARAMVALUE  */
#line 3986 "cimXmlOps.y"
    {
       memset(&(yyval.xtokReferencesParms), 0, sizeof((yyval.xtokReferencesParms)));
    }
#line 6044 "cimXmlOps.c"
    break;

  case 200: /* associatorNames: localNameSpacePath  */
#line 3999 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorNames).op.count = AIN_REQ_REG_SEGMENTS;
       (yyval.xtokAssociatorNames).op.type = OPS_AssociatorNames;
       (yyval.xtokAssociatorNames).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokAssociatorNames).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokAssociatorNames).op.assocClass=setCharsMsgSegment(NULL);
       (yyval.xtokAssociatorNames).op.resultClass=setCharsMsgSegment(NULL);
       (yyval.xtokAssociatorNames).op.role=setCharsMsgSegment(NULL);
       (yyval.xtokAssociatorNames).op.resultRole=setCharsMsgSegment(NULL);
       (yyval.xtokAssociatorNames).objNameSet = 0;

       setRequest(parm,&(yyval.xtokAssociatorNames),sizeof(XtokAssociatorNames),OPS_AssociatorNames);
       buildAssociatorNamesRequest(parm);
    }
#line 6063 "cimXmlOps.c"
    break;

  case 201: /* associatorNames: localNameSpacePath associatorNamesParmsList  */
#line 4014 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorNames).op.count = AIN_REQ_REG_SEGMENTS;
       (yyval.xtokAssociatorNames).op.type = OPS_AssociatorNames;
       (yyval.xtokAssociatorNames).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokAssociatorNames).op.className=setCharsMsgSegment((yyvsp[0].xtokAssociatorNamesParmsList).objectName.className);
       (yyval.xtokAssociatorNames).op.assocClass=setCharsMsgSegment((yyvsp[0].xtokAssociatorNamesParmsList).assocClass);
       (yyval.xtokAssociatorNames).op.resultClass=setCharsMsgSegment((yyvsp[0].xtokAssociatorNamesParmsList).resultClass);
       (yyval.xtokAssociatorNames).op.role=setCharsMsgSegment((yyvsp[0].xtokAssociatorNamesParmsList).role);
       (yyval.xtokAssociatorNames).op.resultRole=setCharsMsgSegment((yyvsp[0].xtokAssociatorNamesParmsList).resultRole);
       (yyval.xtokAssociatorNames).objectName = (yyvsp[0].xtokAssociatorNamesParmsList).objectName;
       (yyval.xtokAssociatorNames).objNameSet = (yyvsp[0].xtokAssociatorNamesParmsList).objNameSet;
       setRequest(parm,&(yyval.xtokAssociatorNames),sizeof(XtokAssociatorNames),OPS_AssociatorNames);
       buildAssociatorNamesRequest(parm);
    }
#line 6082 "cimXmlOps.c"
    break;

  case 202: /* associatorNamesParmsList: associatorNamesParms  */
#line 4032 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokAssociatorNamesParms).objNameSet)  {
          (yyval.xtokAssociatorNamesParmsList).objectName=(yyvsp[0].xtokAssociatorNamesParms).objectName;
          (yyval.xtokAssociatorNamesParmsList).objNameSet = (yyvsp[0].xtokAssociatorNamesParms).objNameSet;
       }
      (yyval.xtokAssociatorNamesParmsList).assocClass=(yyvsp[0].xtokAssociatorNamesParms).assocClass;
      (yyval.xtokAssociatorNamesParmsList).resultClass=(yyvsp[0].xtokAssociatorNamesParms).resultClass;
      (yyval.xtokAssociatorNamesParmsList).role=(yyvsp[0].xtokAssociatorNamesParms).role;
      (yyval.xtokAssociatorNamesParmsList).resultRole=(yyvsp[0].xtokAssociatorNamesParms).resultRole;
    }
#line 6097 "cimXmlOps.c"
    break;

  case 203: /* associatorNamesParmsList: associatorNamesParmsList associatorNamesParms  */
#line 4043 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokAssociatorNamesParms).assocClass) (yyval.xtokAssociatorNamesParmsList).assocClass=(yyvsp[0].xtokAssociatorNamesParms).assocClass;
       else if ((yyvsp[0].xtokAssociatorNamesParms).resultClass) (yyval.xtokAssociatorNamesParmsList).resultClass=(yyvsp[0].xtokAssociatorNamesParms).resultClass;
       else if ((yyvsp[0].xtokAssociatorNamesParms).role) (yyval.xtokAssociatorNamesParmsList).role=(yyvsp[0].xtokAssociatorNamesParms).role;
       else if ((yyvsp[0].xtokAssociatorNamesParms).resultRole) (yyval.xtokAssociatorNamesParmsList).resultRole=(yyvsp[0].xtokAssociatorNamesParms).resultRole;
       else if ((yyvsp[0].xtokAssociatorNamesParms).objNameSet) {
          (yyval.xtokAssociatorNamesParmsList).objectName=(yyvsp[0].xtokAssociatorNamesParms).objectName;
          (yyval.xtokAssociatorNamesParmsList).objNameSet = (yyvsp[0].xtokAssociatorNamesParms).objNameSet;
       }
    }
#line 6112 "cimXmlOps.c"
    break;

  case 204: /* associatorNamesParms: XTOK_IP_OBJECTNAME instanceName ZTOK_IPARAMVALUE  */
#line 4057 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorNamesParms).objectName = (yyvsp[-1].xtokInstanceName);
       (yyval.xtokAssociatorNamesParms).objNameSet = 1;
       (yyval.xtokAssociatorNamesParms).assocClass=(yyval.xtokAssociatorNamesParms).resultClass=(yyval.xtokAssociatorNamesParms).role=(yyval.xtokAssociatorNamesParms).resultRole=0;
    }
#line 6122 "cimXmlOps.c"
    break;

  case 205: /* associatorNamesParms: XTOK_IP_OBJECTNAME className ZTOK_IPARAMVALUE  */
#line 4063 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorNamesParms).objectName.className = (yyvsp[-1].className);
       (yyval.xtokAssociatorNamesParms).objectName.bindings.next=0;
       (yyval.xtokAssociatorNamesParms).objectName.bindings.keyBindings=NULL;
       (yyval.xtokAssociatorNamesParms).objNameSet = 1;
       (yyval.xtokAssociatorNamesParms).resultClass=(yyval.xtokAssociatorNamesParms).role=0;
    }
#line 6134 "cimXmlOps.c"
    break;

  case 206: /* associatorNamesParms: XTOK_IP_ASSOCCLASS className ZTOK_IPARAMVALUE  */
#line 4071 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorNamesParms).assocClass = (yyvsp[-1].className);
       (yyval.xtokAssociatorNamesParms).objNameSet = 0 ;
       (yyval.xtokAssociatorNamesParms).resultClass=(yyval.xtokAssociatorNamesParms).role=(yyval.xtokAssociatorNamesParms).resultRole=0;
    }
#line 6144 "cimXmlOps.c"
    break;

  case 207: /* associatorNamesParms: XTOK_IP_ASSOCCLASS ZTOK_IPARAMVALUE  */
#line 4077 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorNamesParms), 0, sizeof((yyval.xtokAssociatorNamesParms)));
    }
#line 6152 "cimXmlOps.c"
    break;

  case 208: /* associatorNamesParms: XTOK_IP_RESULTCLASS className ZTOK_IPARAMVALUE  */
#line 4081 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorNamesParms).resultClass = (yyvsp[-1].className);
       (yyval.xtokAssociatorNamesParms).objNameSet = 0 ;
       (yyval.xtokAssociatorNamesParms).assocClass=(yyval.xtokAssociatorNamesParms).role=(yyval.xtokAssociatorNamesParms).resultRole=0;
    }
#line 6162 "cimXmlOps.c"
    break;

  case 209: /* associatorNamesParms: XTOK_IP_RESULTCLASS ZTOK_IPARAMVALUE  */
#line 4087 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorNamesParms), 0, sizeof((yyval.xtokAssociatorNamesParms)));
    }
#line 6170 "cimXmlOps.c"
    break;

  case 210: /* associatorNamesParms: XTOK_IP_ROLE value ZTOK_IPARAMVALUE  */
#line 4091 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorNamesParms).role = (yyvsp[-1].xtokValue).value;
       (yyval.xtokAssociatorNamesParms).objNameSet = 0 ;
       (yyval.xtokAssociatorNamesParms).assocClass=(yyval.xtokAssociatorNamesParms).resultClass=(yyval.xtokAssociatorNamesParms).resultRole=0;
    }
#line 6180 "cimXmlOps.c"
    break;

  case 211: /* associatorNamesParms: XTOK_IP_ROLE ZTOK_IPARAMVALUE  */
#line 4097 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorNamesParms), 0, sizeof((yyval.xtokAssociatorNamesParms)));
    }
#line 6188 "cimXmlOps.c"
    break;

  case 212: /* associatorNamesParms: XTOK_IP_RESULTROLE value ZTOK_IPARAMVALUE  */
#line 4101 "cimXmlOps.y"
    {
       (yyval.xtokAssociatorNamesParms).resultRole = (yyvsp[-1].xtokValue).value;
       (yyval.xtokAssociatorNamesParms).objNameSet= 0 ;
       (yyval.xtokAssociatorNamesParms).assocClass=(yyval.xtokAssociatorNamesParms).resultClass=(yyval.xtokAssociatorNamesParms).role=0;
    }
#line 6198 "cimXmlOps.c"
    break;

  case 213: /* associatorNamesParms: XTOK_IP_RESULTROLE ZTOK_IPARAMVALUE  */
#line 4107 "cimXmlOps.y"
    {
       memset(&(yyval.xtokAssociatorNamesParms), 0, sizeof((yyval.xtokAssociatorNamesParms)));
    }
#line 6206 "cimXmlOps.c"
    break;

  case 214: /* referenceNames: localNameSpacePath  */
#line 4121 "cimXmlOps.y"
    {
       (yyval.xtokReferenceNames).op.count = RIN_REQ_REG_SEGMENTS;
       (yyval.xtokReferenceNames).op.type = OPS_ReferenceNames;
       (yyval.xtokReferenceNames).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokReferenceNames).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokReferenceNames).op.resultClass=setCharsMsgSegment(NULL);
       (yyval.xtokReferenceNames).op.role=setCharsMsgSegment(NULL);
       (yyval.xtokReferenceNames).objNameSet = 0;

       setRequest(parm,&(yyval.xtokReferenceNames),sizeof(XtokReferenceNames),OPS_ReferenceNames);
       buildReferenceNamesRequest(parm);
    }
#line 6223 "cimXmlOps.c"
    break;

  case 215: /* referenceNames: localNameSpacePath referenceNamesParmsList  */
#line 4134 "cimXmlOps.y"
    {
       (yyval.xtokReferenceNames).op.count = RIN_REQ_REG_SEGMENTS;
       (yyval.xtokReferenceNames).op.type = OPS_ReferenceNames;
       (yyval.xtokReferenceNames).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokReferenceNames).op.className=setCharsMsgSegment((yyvsp[0].xtokReferenceNamesParmsList).objectName.className);
       (yyval.xtokReferenceNames).op.resultClass=setCharsMsgSegment((yyvsp[0].xtokReferenceNamesParmsList).resultClass);
       (yyval.xtokReferenceNames).op.role=setCharsMsgSegment((yyvsp[0].xtokReferenceNamesParmsList).role);
       (yyval.xtokReferenceNames).objectName = (yyvsp[0].xtokReferenceNamesParmsList).objectName;
       (yyval.xtokReferenceNames).objNameSet = (yyvsp[0].xtokReferenceNamesParmsList).objNameSet;

       setRequest(parm,&(yyval.xtokReferenceNames),sizeof(XtokReferenceNames),OPS_ReferenceNames);
       buildReferenceNamesRequest(parm);
    }
#line 6241 "cimXmlOps.c"
    break;

  case 216: /* referenceNamesParmsList: referenceNamesParms  */
#line 4151 "cimXmlOps.y"
    {
      if ((yyvsp[0].xtokReferenceNamesParms).objNameSet)  {
          (yyval.xtokReferenceNamesParmsList).objectName=(yyvsp[0].xtokReferenceNamesParms).objectName;
          (yyval.xtokReferenceNamesParmsList).objNameSet = (yyvsp[0].xtokReferenceNamesParms).objNameSet;
      }
      (yyval.xtokReferenceNamesParmsList).resultClass = (yyvsp[0].xtokReferenceNamesParms).resultClass;
      (yyval.xtokReferenceNamesParmsList).role = (yyvsp[0].xtokReferenceNamesParms).role;
    }
#line 6254 "cimXmlOps.c"
    break;

  case 217: /* referenceNamesParmsList: referenceNamesParmsList referenceNamesParms  */
#line 4160 "cimXmlOps.y"
    {
       if((yyvsp[0].xtokReferenceNamesParms).objNameSet) {
          (yyval.xtokReferenceNamesParmsList).objectName=(yyvsp[0].xtokReferenceNamesParms).objectName;
          (yyval.xtokReferenceNamesParmsList).objNameSet=(yyvsp[0].xtokReferenceNamesParms).objNameSet;
       }
       else if((yyvsp[0].xtokReferenceNamesParms).resultClass) (yyval.xtokReferenceNamesParmsList).resultClass=(yyvsp[0].xtokReferenceNamesParms).resultClass;
       else if((yyvsp[0].xtokReferenceNamesParms).role) (yyval.xtokReferenceNamesParmsList).role=(yyvsp[0].xtokReferenceNamesParms).role;              
    }
#line 6267 "cimXmlOps.c"
    break;

  case 218: /* referenceNamesParms: XTOK_IP_OBJECTNAME instanceName ZTOK_IPARAMVALUE  */
#line 4172 "cimXmlOps.y"
    {
       (yyval.xtokReferenceNamesParms).objectName = (yyvsp[-1].xtokInstanceName);
       (yyval.xtokReferenceNamesParms).objNameSet = 1;
       (yyval.xtokReferenceNamesParms).resultClass=(yyval.xtokReferenceNamesParms).role=0;
    }
#line 6277 "cimXmlOps.c"
    break;

  case 219: /* referenceNamesParms: XTOK_IP_OBJECTNAME className ZTOK_IPARAMVALUE  */
#line 4178 "cimXmlOps.y"
    {
       (yyval.xtokReferenceNamesParms).objectName.className = (yyvsp[-1].className);
       (yyval.xtokReferenceNamesParms).objectName.bindings.next=0;
       (yyval.xtokReferenceNamesParms).objectName.bindings.keyBindings=NULL;
       (yyval.xtokReferenceNamesParms).objNameSet = 1;
       (yyval.xtokReferenceNamesParms).resultClass=(yyval.xtokReferenceNamesParms).role=0;
    }
#line 6289 "cimXmlOps.c"
    break;

  case 220: /* referenceNamesParms: XTOK_IP_RESULTCLASS className ZTOK_IPARAMVALUE  */
#line 4186 "cimXmlOps.y"
    {
       (yyval.xtokReferenceNamesParms).resultClass = (yyvsp[-1].className);
       (yyval.xtokReferenceNamesParms).objNameSet = 0;
       (yyval.xtokReferenceNamesParms).role=0;
    }
#line 6299 "cimXmlOps.c"
    break;

  case 221: /* referenceNamesParms: XTOK_IP_RESULTCLASS ZTOK_IPARAMVALUE  */
#line 4192 "cimXmlOps.y"
    {
      memset(&(yyval.xtokReferenceNamesParms), 0, sizeof((yyval.xtokReferenceNamesParms)));
    }
#line 6307 "cimXmlOps.c"
    break;

  case 222: /* referenceNamesParms: XTOK_IP_ROLE value ZTOK_IPARAMVALUE  */
#line 4196 "cimXmlOps.y"
    {
       (yyval.xtokReferenceNamesParms).role = (yyvsp[-1].xtokValue).value;
       (yyval.xtokReferenceNamesParms).objNameSet = 0 ;
       (yyval.xtokReferenceNamesParms).resultClass=0;
    }
#line 6317 "cimXmlOps.c"
    break;

  case 223: /* referenceNamesParms: XTOK_IP_ROLE ZTOK_IPARAMVALUE  */
#line 4202 "cimXmlOps.y"
    {
      memset(&(yyval.xtokReferenceNamesParms), 0, sizeof((yyval.xtokReferenceNamesParms)));
    }
#line 6325 "cimXmlOps.c"
    break;

  case 224: /* namedInstance: XTOK_VALUENAMEDINSTANCE instanceName instance ZTOK_VALUENAMEDINSTANCE  */
#line 4214 "cimXmlOps.y"
    {
        (yyval.xtokNamedInstance).path=(yyvsp[-2].xtokInstanceName);
	(yyval.xtokNamedInstance).instance=(yyvsp[-1].xtokInstance);
    }
#line 6334 "cimXmlOps.c"
    break;

  case 225: /* class: XTOK_CLASS classData ZTOK_CLASS  */
#line 4227 "cimXmlOps.y"
    {
       if (((ParserControl*)parm)->Qs) 
          (yyval.xtokClass).qualifiers=((ParserControl*)parm)->qualifiers;
       else memset(&(yyval.xtokClass).qualifiers,0,sizeof((yyval.xtokClass).qualifiers));
       if (((ParserControl*)parm)->Ps) 
          (yyval.xtokClass).properties=((ParserControl*)parm)->properties;
       else memset(&(yyval.xtokClass).properties,0,sizeof((yyval.xtokClass).properties));
       if (((ParserControl*)parm)->Ms) 
          (yyval.xtokClass).methods=((ParserControl*)parm)->methods;
       else memset(&(yyval.xtokClass).methods,0,sizeof((yyval.xtokClass).methods));
    }
#line 6350 "cimXmlOps.c"
    break;

  case 226: /* classData: %empty  */
#line 4241 "cimXmlOps.y"
                  {;}
#line 6356 "cimXmlOps.c"
    break;

  case 227: /* classData: classData qualifier  */
#line 4243 "cimXmlOps.y"
    {
       ((ParserControl*)parm)->Qs++;
       addQualifier(&(((ParserControl*)parm)->qualifiers),&(yyvsp[0].xtokQualifier));
    }
#line 6365 "cimXmlOps.c"
    break;

  case 228: /* classData: classData property  */
#line 4247 "cimXmlOps.y"
                             {
       ((ParserControl*)parm)->Ps++;
       addProperty(&(((ParserControl*)parm)->properties),&(yyvsp[0].xtokProperty));
    }
#line 6374 "cimXmlOps.c"
    break;

  case 229: /* classData: classData method  */
#line 4251 "cimXmlOps.y"
                           {
        ((ParserControl*)parm)->Ms++;
        addMethod(&(((ParserControl*)parm)->methods),&(yyvsp[0].xtokMethod));
    }
#line 6383 "cimXmlOps.c"
    break;

  case 230: /* method: XTOK_METHOD methodData ZTOK_METHOD  */
#line 4259 "cimXmlOps.y"
    {
       if (((ParserControl*)parm)->MQs) 
          (yyval.xtokMethod).qualifiers=(yyvsp[-1].xtokMethodData).qualifiers;
       else memset(&(yyval.xtokMethod).qualifiers,0,sizeof((yyval.xtokMethod).qualifiers));
       if (((ParserControl*)parm)->MPs) 
          (yyval.xtokMethod).params=(yyvsp[-1].xtokMethodData).params;
       else memset(&(yyval.xtokMethod).params,0,sizeof((yyval.xtokMethod).params));
       ((ParserControl*)parm)->MQs=0; 
       ((ParserControl*)parm)->MPs=0; 
       ((ParserControl*)parm)->MPQs=0; 
    }
#line 6399 "cimXmlOps.c"
    break;

  case 231: /* methodData: %empty  */
#line 4273 "cimXmlOps.y"
                  {;}
#line 6405 "cimXmlOps.c"
    break;

  case 232: /* methodData: methodData qualifier  */
#line 4275 "cimXmlOps.y"
    {
       if (((ParserControl*)parm)->MQs==0) 
          memset(&(yyval.xtokMethodData).qualifiers,0,sizeof((yyval.xtokMethodData).qualifiers));
       ((ParserControl*)parm)->MQs++;
       addQualifier(&((yyval.xtokMethodData).qualifiers),&(yyvsp[0].xtokQualifier));
    }
#line 6416 "cimXmlOps.c"
    break;

  case 233: /* methodData: methodData XTOK_PARAM parameter ZTOK_PARAM  */
#line 4282 "cimXmlOps.y"
    {
       if (((ParserControl*)parm)->MPs==0) 
          memset(&(yyval.xtokMethodData).params,0,sizeof((yyval.xtokMethodData).params));
       ((ParserControl*)parm)->MPs++;
       if (((ParserControl*)parm)->MPQs) 
          (yyvsp[-2].xtokParam).qualifiers=(yyvsp[-1].xtokParam).qualifiers;
       else memset(&(yyvsp[-2].xtokParam).qualifiers,0,sizeof((yyvsp[-2].xtokParam).qualifiers));
       addParam(&((yyval.xtokMethodData).params),&(yyvsp[-2].xtokParam));
       ((ParserControl*)parm)->MPQs=0; 
    }
#line 6431 "cimXmlOps.c"
    break;

  case 234: /* parameter: %empty  */
#line 4295 "cimXmlOps.y"
                  {;}
#line 6437 "cimXmlOps.c"
    break;

  case 235: /* parameter: parameter qualifier  */
#line 4297 "cimXmlOps.y"
    {
       if (((ParserControl*)parm)->MPQs==0) 
          memset(&(yyval.xtokParam).qualifiers,0,sizeof((yyval.xtokParam).qualifiers));
       ((ParserControl*)parm)->MPQs++; 
       addQualifier(&((yyval.xtokParam).qualifiers),&(yyvsp[0].xtokQualifier));
    }
#line 6448 "cimXmlOps.c"
    break;

  case 236: /* instance: XTOK_INSTANCE instanceData ZTOK_INSTANCE  */
#line 4312 "cimXmlOps.y"
    {
       if((yyvsp[-1].xtokInstanceData).qualifiers.first)
          (yyval.xtokInstance).qualifiers=(yyvsp[-1].xtokInstanceData).qualifiers;
       else memset(&(yyval.xtokInstance).qualifiers,0,sizeof((yyval.xtokInstance).qualifiers));
       
       if((yyvsp[-1].xtokInstanceData).properties.first)
          (yyval.xtokInstance).properties=(yyvsp[-1].xtokInstanceData).properties;
       else memset(&(yyval.xtokInstance).properties,0,sizeof((yyval.xtokInstance).properties)); 
    }
#line 6462 "cimXmlOps.c"
    break;

  case 237: /* instanceData: %empty  */
#line 4325 "cimXmlOps.y"
    {
       (yyval.xtokInstanceData).properties.last=0;
       (yyval.xtokInstanceData).properties.first=0;
       (yyval.xtokInstanceData).qualifiers.last=0;
       (yyval.xtokInstanceData).qualifiers.first=0;       
    }
#line 6473 "cimXmlOps.c"
    break;

  case 238: /* instanceData: instanceData qualifier  */
#line 4332 "cimXmlOps.y"
    {
       addQualifier(&((yyval.xtokInstanceData).qualifiers),&(yyvsp[0].xtokQualifier));
    }
#line 6481 "cimXmlOps.c"
    break;

  case 239: /* instanceData: instanceData property  */
#line 4336 "cimXmlOps.y"
    {
       addProperty(&((yyval.xtokInstanceData).properties),&(yyvsp[0].xtokProperty));
    }
#line 6489 "cimXmlOps.c"
    break;

  case 240: /* qualifierDeclaration: %empty  */
#line 4346 "cimXmlOps.y"
                  {;}
#line 6495 "cimXmlOps.c"
    break;

  case 241: /* qualifierDeclaration: XTOK_QUALIFIERDECLARATION scope qualifierDeclarationData ZTOK_QUALIFIERDECLARATION  */
#line 4348 "cimXmlOps.y"
    {
    	(yyval.xtokQualifierDeclaration).scope = (yyvsp[-2].xtokScope);
    	(yyval.xtokQualifierDeclaration).data = (yyvsp[-1].xtokQualifierDeclarationData);
    }
#line 6504 "cimXmlOps.c"
    break;

  case 242: /* qualifierDeclarationData: %empty  */
#line 4356 "cimXmlOps.y"
    {
    	(yyval.xtokQualifierDeclarationData).value.value = NULL;
    }
#line 6512 "cimXmlOps.c"
    break;

  case 243: /* qualifierDeclarationData: value  */
#line 4360 "cimXmlOps.y"
    {
    	(yyval.xtokQualifierDeclarationData).value = (yyvsp[0].xtokValue);
    	(yyval.xtokQualifierDeclarationData).type = 0;
    }
#line 6521 "cimXmlOps.c"
    break;

  case 244: /* qualifierDeclarationData: valueArray  */
#line 4365 "cimXmlOps.y"
    {
    	(yyval.xtokQualifierDeclarationData).valueArray=(yyvsp[0].xtokValueArray);
    	(yyval.xtokQualifierDeclarationData).type=CMPI_ARRAY;
    }
#line 6530 "cimXmlOps.c"
    break;

  case 245: /* scope: %empty  */
#line 4375 "cimXmlOps.y"
                  {;}
#line 6536 "cimXmlOps.c"
    break;

  case 246: /* scope: XTOK_SCOPE ZTOK_SCOPE  */
#line 4377 "cimXmlOps.y"
        {
	}
#line 6543 "cimXmlOps.c"
    break;

  case 247: /* property: XTOK_PROPERTY qualifierList propertyData ZTOK_PROPERTY  */
#line 4387 "cimXmlOps.y"
    {
       (yyvsp[-1].xtokPropertyData).qualifiers=(yyvsp[-2].xtokQualifiers);
       (yyval.xtokProperty).val=(yyvsp[-1].xtokPropertyData);
       
       if((yyval.xtokProperty).val.val.value) {
          if((yyval.xtokProperty).val.val.type == typeValue_Instance)
             (yyval.xtokProperty).valueType = CMPI_instance;
          else if((yyval.xtokProperty).val.val.type == typeValue_Class)
             (yyval.xtokProperty).valueType = CMPI_class;
       }
    }
#line 6559 "cimXmlOps.c"
    break;

  case 248: /* property: XTOK_PROPERTYREFERENCE qualifierList propertyData ZTOK_PROPERTYREFERENCE  */
#line 4399 "cimXmlOps.y"
    {
       (yyvsp[-1].xtokPropertyData).qualifiers=(yyvsp[-2].xtokQualifiers);
       (yyval.xtokProperty).val=(yyvsp[-1].xtokPropertyData);
    }
#line 6568 "cimXmlOps.c"
    break;

  case 249: /* property: XTOK_PROPERTYARRAY qualifierList propertyData ZTOK_PROPERTYARRAY  */
#line 4404 "cimXmlOps.y"
    {
       (yyvsp[-1].xtokPropertyData).qualifiers=(yyvsp[-2].xtokQualifiers);
       (yyval.xtokProperty).val=(yyvsp[-1].xtokPropertyData);
       
       if((yyval.xtokProperty).val.list.values) {
          if((yyval.xtokProperty).val.list.values[0].type == typeValue_Instance)
          	(yyval.xtokProperty).valueType = CMPI_instance | CMPI_ARRAY;
          if((yyval.xtokProperty).val.list.values[0].type == typeValue_Class)
          	(yyval.xtokProperty).valueType = CMPI_class | CMPI_ARRAY;          	
       }     
    }
#line 6584 "cimXmlOps.c"
    break;

  case 250: /* qualifierList: %empty  */
#line 4419 "cimXmlOps.y"
    {
      (yyval.xtokQualifiers).first = (yyval.xtokQualifiers).last = NULL;
    }
#line 6592 "cimXmlOps.c"
    break;

  case 251: /* qualifierList: qualifierList qualifier  */
#line 4423 "cimXmlOps.y"
    {
       addQualifier(&(yyvsp[-1].xtokQualifiers),&(yyvsp[0].xtokQualifier));
       (yyval.xtokQualifiers) = (yyvsp[-1].xtokQualifiers);
    }
#line 6601 "cimXmlOps.c"
    break;

  case 252: /* propertyData: %empty  */
#line 4431 "cimXmlOps.y"
    {
       (yyval.xtokPropertyData).val.value = NULL;
       (yyval.xtokPropertyData).list.values = NULL;
       (yyval.xtokPropertyData).val.type = 0;
    }
#line 6611 "cimXmlOps.c"
    break;

  case 253: /* propertyData: value  */
#line 4437 "cimXmlOps.y"
    {
       (yyval.xtokPropertyData).val=(yyvsp[0].xtokValue);
    }
#line 6619 "cimXmlOps.c"
    break;

  case 254: /* propertyData: valueReference  */
#line 4441 "cimXmlOps.y"
    {
       (yyval.xtokPropertyData).ref=(yyvsp[0].xtokValueReference);
    }
#line 6627 "cimXmlOps.c"
    break;

  case 255: /* propertyData: valueArray  */
#line 4445 "cimXmlOps.y"
    {
       (yyval.xtokPropertyData).list=(yyvsp[0].xtokValueArray);
    }
#line 6635 "cimXmlOps.c"
    break;

  case 256: /* qualifier: XTOK_QUALIFIER value ZTOK_QUALIFIER  */
#line 4458 "cimXmlOps.y"
    {
       (yyval.xtokQualifier).value=(yyvsp[-1].xtokValue);
    }
#line 6643 "cimXmlOps.c"
    break;

  case 257: /* qualifier: XTOK_QUALIFIER valueArray ZTOK_QUALIFIER  */
#line 4462 "cimXmlOps.y"
    {
       (yyval.xtokQualifier).valueArray=(yyvsp[-1].xtokValueArray);
       (yyval.xtokQualifier).type |= CMPI_ARRAY;
    }
#line 6652 "cimXmlOps.c"
    break;

  case 258: /* localNameSpacePath: XTOK_LOCALNAMESPACEPATH namespaces ZTOK_LOCALNAMESPACEPATH  */
#line 4476 "cimXmlOps.y"
    {
       (yyval.xtokLocalNameSpacePath)=(yyvsp[-1].xtokNameSpace).cns;
    }
#line 6660 "cimXmlOps.c"
    break;

  case 259: /* namespaces: XTOK_NAMESPACE ZTOK_NAMESPACE  */
#line 4483 "cimXmlOps.y"
    {
       (yyval.xtokNameSpace).cns=strdup((yyvsp[-1].xtokNameSpace).ns);
    }
#line 6668 "cimXmlOps.c"
    break;

  case 260: /* namespaces: namespaces XTOK_NAMESPACE ZTOK_NAMESPACE  */
#line 4487 "cimXmlOps.y"
    {
       int l=strlen((yyvsp[-2].xtokNameSpace).cns)+strlen((yyvsp[-1].xtokNameSpace).ns)+2;
       (yyval.xtokNameSpace).cns=malloc(l);
       strcpy((yyval.xtokNameSpace).cns,(yyvsp[-2].xtokNameSpace).cns);
       strcat((yyval.xtokNameSpace).cns,"/");
       strcat((yyval.xtokNameSpace).cns,(yyvsp[-1].xtokNameSpace).ns);
       free((yyvsp[-2].xtokNameSpace).cns);
    }
#line 6681 "cimXmlOps.c"
    break;

  case 261: /* nameSpacePath: XTOK_NAMESPACEPATH host localNameSpacePath ZTOK_NAMESPACEPATH  */
#line 4500 "cimXmlOps.y"
    {
       (yyval.xtokNameSpacePath).host=(yyvsp[-2].xtokHost);
       (yyval.xtokNameSpacePath).nameSpacePath=(yyvsp[-1].xtokLocalNameSpacePath);
    }
#line 6690 "cimXmlOps.c"
    break;

  case 262: /* host: XTOK_HOST ZTOK_HOST  */
#line 4508 "cimXmlOps.y"
    {
    }
#line 6697 "cimXmlOps.c"
    break;

  case 263: /* instancePath: XTOK_INSTANCEPATH nameSpacePath instanceName ZTOK_INSTANCEPATH  */
#line 4514 "cimXmlOps.y"
    {
       (yyval.xtokInstancePath).path=(yyvsp[-2].xtokNameSpacePath);
       (yyval.xtokInstancePath).instanceName=(yyvsp[-1].xtokInstanceName);
       (yyval.xtokInstancePath).type=1;
    }
#line 6707 "cimXmlOps.c"
    break;

  case 264: /* localInstancePath: XTOK_LOCALINSTANCEPATH localNameSpacePath instanceName ZTOK_LOCALINSTANCEPATH  */
#line 4533 "cimXmlOps.y"
    {
       (yyval.xtokLocalInstancePath).path=(yyvsp[-2].xtokLocalNameSpacePath);
       (yyval.xtokLocalInstancePath).instanceName=(yyvsp[-1].xtokInstanceName);
       (yyval.xtokLocalInstancePath).type=1;
    }
#line 6717 "cimXmlOps.c"
    break;

  case 265: /* localClassPath: XTOK_LOCALCLASSPATH localNameSpacePath className ZTOK_LOCALCLASSPATH  */
#line 4542 "cimXmlOps.y"
    {
       (yyval.xtokLocalClassPath).path=(yyvsp[-2].xtokLocalNameSpacePath);
       (yyval.xtokLocalClassPath).className=(yyvsp[-1].className);
       (yyval.xtokLocalClassPath).type=1;
    }
#line 6727 "cimXmlOps.c"
    break;

  case 266: /* value: XTOK_VALUE instance ZTOK_VALUE  */
#line 4555 "cimXmlOps.y"
    {
       (yyval.xtokValue).instance = malloc(sizeof(XtokInstance));
       (yyval.xtokValue).instance = memcpy((yyval.xtokValue).instance, &(yyvsp[-1].xtokInstance), sizeof(XtokInstance));
       (yyval.xtokValue).type=typeValue_Instance;
    }
#line 6737 "cimXmlOps.c"
    break;

  case 267: /* value: XTOK_VALUE XTOK_CDATA instance ZTOK_CDATA ZTOK_VALUE  */
#line 4561 "cimXmlOps.y"
    {
       (yyval.xtokValue).instance = malloc(sizeof(XtokInstance));
       (yyval.xtokValue).instance = memcpy((yyval.xtokValue).instance, &(yyvsp[-2].xtokInstance), sizeof(XtokInstance));
       (yyval.xtokValue).type=typeValue_Instance;
    }
#line 6747 "cimXmlOps.c"
    break;

  case 268: /* value: XTOK_VALUE XTOK_CDATA class ZTOK_CDATA ZTOK_VALUE  */
#line 4567 "cimXmlOps.y"
    {
       (yyval.xtokValue).type=typeValue_Class;
    }
#line 6755 "cimXmlOps.c"
    break;

  case 269: /* value: XTOK_VALUE ZTOK_VALUE  */
#line 4571 "cimXmlOps.y"
    {
       (yyval.xtokValue).value=(yyvsp[-1].xtokValue).value;
       (yyval.xtokValue).type=typeValue_charP;
    }
#line 6764 "cimXmlOps.c"
    break;

  case 270: /* valueArray: XTOK_VALUEARRAY ZTOK_VALUEARRAY  */
#line 4579 "cimXmlOps.y"
        {
	  (yyval.xtokValueArray).values=malloc(sizeof(XtokValue));
	  (yyval.xtokValueArray).next=0;
	}
#line 6773 "cimXmlOps.c"
    break;

  case 271: /* valueArray: XTOK_VALUEARRAY valueList ZTOK_VALUEARRAY  */
#line 4584 "cimXmlOps.y"
    {
	  (yyval.xtokValueArray) = (yyvsp[-1].xtokValueArray);
	  (yyval.xtokValueArray).values[(yyval.xtokValueArray).next].value = NULL;
	  if((yyval.xtokValueArray).next == 0) (yyval.xtokValueArray).next = 1;
	}
#line 6783 "cimXmlOps.c"
    break;

  case 272: /* valueList: value  */
#line 4594 "cimXmlOps.y"
        {
          (yyval.xtokValueArray).next=1;
          (yyval.xtokValueArray).max=VALUEARRAY_MAX_START;
          (yyval.xtokValueArray).values=malloc(sizeof(XtokValue)*((yyval.xtokValueArray).max));
          (yyval.xtokValueArray).values[0]=(yyvsp[0].xtokValue);
        }
#line 6794 "cimXmlOps.c"
    break;

  case 273: /* valueList: valueList value  */
#line 4601 "cimXmlOps.y"
        {
          if ((yyval.xtokValueArray).next == (yyval.xtokValueArray).max) { /* max was hit; let's bump it up 50% */
            (yyval.xtokValueArray).max = (int)((yyval.xtokValueArray).max * ((float)3)/2);
            (yyval.xtokValueArray).values=realloc(((yyval.xtokValueArray).values), sizeof(XtokValue)*((yyval.xtokValueArray).max));
          }
          (yyval.xtokValueArray).values[(yyval.xtokValueArray).next]=(yyvsp[0].xtokValue);
          (yyval.xtokValueArray).next++;
        }
#line 6807 "cimXmlOps.c"
    break;

  case 274: /* valueReference: XTOK_VALUEREFERENCE instancePath ZTOK_VALUEREFERENCE  */
#line 4613 "cimXmlOps.y"
    {
       (yyval.xtokValueReference).instancePath=(yyvsp[-1].xtokInstancePath);
       (yyval.xtokValueReference).type=typeValRef_InstancePath;
    }
#line 6816 "cimXmlOps.c"
    break;

  case 275: /* valueReference: XTOK_VALUEREFERENCE localInstancePath ZTOK_VALUEREFERENCE  */
#line 4618 "cimXmlOps.y"
    {
       (yyval.xtokValueReference).localInstancePath=(yyvsp[-1].xtokLocalInstancePath);
       (yyval.xtokValueReference).type=typeValRef_LocalInstancePath;
    }
#line 6825 "cimXmlOps.c"
    break;

  case 276: /* valueReference: XTOK_VALUEREFERENCE instanceName ZTOK_VALUEREFERENCE  */
#line 4623 "cimXmlOps.y"
    {
       (yyval.xtokValueReference).instanceName=(yyvsp[-1].xtokInstanceName);
       (yyval.xtokValueReference).type=typeValRef_InstanceName;
    }
#line 6834 "cimXmlOps.c"
    break;

  case 277: /* valueRefArray: XTOK_VALUEREFARRAY valueRefList ZTOK_VALUEREFARRAY  */
#line 4631 "cimXmlOps.y"
    {
       (yyval.xtokValueRefArray)=(yyvsp[-1].xtokValueRefArray);
    }
#line 6842 "cimXmlOps.c"
    break;

  case 278: /* valueRefList: valueReference  */
#line 4638 "cimXmlOps.y"
    {
       (yyval.xtokValueRefArray).next=1;
       (yyval.xtokValueRefArray).max=VALUEREFARRAY_MAX_START;
       (yyval.xtokValueRefArray).values=malloc(sizeof(XtokValueReference)*((yyval.xtokValueRefArray).max));
       (yyval.xtokValueRefArray).values[0]=(yyvsp[0].xtokValueReference);
    }
#line 6853 "cimXmlOps.c"
    break;

  case 279: /* valueRefList: valueRefList valueReference  */
#line 4645 "cimXmlOps.y"
    {
       if ((yyval.xtokValueRefArray).next == (yyval.xtokValueRefArray).max) { /* max was hit; let's bump it up 50% */
         (yyval.xtokValueRefArray).max = (int)((yyval.xtokValueRefArray).max * ((float)3)/2);
         (yyval.xtokValueRefArray).values=realloc(((yyval.xtokValueRefArray).values), sizeof(XtokValueReference)*((yyval.xtokValueRefArray).max));
       }
       (yyval.xtokValueRefArray).values[(yyval.xtokValueRefArray).next]=(yyvsp[0].xtokValueReference);
       (yyval.xtokValueRefArray).next++;
    }
#line 6866 "cimXmlOps.c"
    break;

  case 280: /* boolValue: XTOK_VALUE ZTOK_VALUE  */
#line 4657 "cimXmlOps.y"
    {
    if (strcasecmp((yyvsp[-1].xtokValue).value,"true")==0) (yyval.boolValue)=1;
    if (strcasecmp((yyvsp[-1].xtokValue).value,"false")==0) (yyval.boolValue)=0;
    }
#line 6875 "cimXmlOps.c"
    break;

  case 281: /* openEnumInstancePaths: localNameSpacePath  */
#line 4669 "cimXmlOps.y"
    {
       (yyval.xtokOpenEnumInstancePaths).op.count = EIN_REQ_REG_SEGMENTS;
       (yyval.xtokOpenEnumInstancePaths).op.type = OPS_OpenEnumerateInstancePaths;
       (yyval.xtokOpenEnumInstancePaths).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokOpenEnumInstancePaths).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokOpenEnumInstancePaths).flags=0;

       setRequest(parm,&(yyval.xtokOpenEnumInstancePaths),sizeof((yyval.xtokOpenEnumInstancePaths)),(yyval.xtokOpenEnumInstancePaths).op.type);
       buildEnumInstanceNamesRequest(parm);   // TODO
    }
#line 6890 "cimXmlOps.c"
    break;

  case 282: /* openEnumInstancePaths: localNameSpacePath openEnumInstancePathsParmsList  */
#line 4680 "cimXmlOps.y"
    {
       (yyval.xtokOpenEnumInstancePaths).op.count = EIN_REQ_REG_SEGMENTS;
       (yyval.xtokOpenEnumInstancePaths).op.type = OPS_OpenEnumerateInstancePaths;
       (yyval.xtokOpenEnumInstancePaths).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokOpenEnumInstancePaths).op.className=setCharsMsgSegment((yyvsp[0].xtokOpenEnumInstancePathsParmsList).className);
       (yyval.xtokOpenEnumInstancePaths).flags = ((yyvsp[0].xtokOpenEnumInstancePathsParmsList).flags & (yyvsp[0].xtokOpenEnumInstancePathsParmsList).flagsSet) | ((~(yyvsp[0].xtokOpenEnumInstancePathsParmsList).flagsSet) & (FL_localOnly));
       (yyval.xtokOpenEnumInstancePaths).operationTimeout=(yyvsp[0].xtokOpenEnumInstancePathsParmsList).operationTimeout;
       (yyval.xtokOpenEnumInstancePaths).maxObjectCount=(yyvsp[0].xtokOpenEnumInstancePathsParmsList).maxObjectCount;
       (yyval.xtokOpenEnumInstancePaths).filterQuery=(yyvsp[0].xtokOpenEnumInstancePathsParmsList).filterQuery;
       (yyval.xtokOpenEnumInstancePaths).filterQueryLang=(yyvsp[0].xtokOpenEnumInstancePathsParmsList).filterQueryLang;

       setRequest(parm,&(yyval.xtokOpenEnumInstancePaths),sizeof((yyval.xtokOpenEnumInstancePaths)),(yyval.xtokOpenEnumInstancePaths).op.type);
       buildEnumInstanceNamesRequest(parm);   // TODO
    }
#line 6909 "cimXmlOps.c"
    break;

  case 283: /* openEnumInstancePathsParmsList: openEnumInstancePathsParms  */
#line 4698 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokOpenEnumInstancePathsParms).className) (yyval.xtokOpenEnumInstancePathsParmsList).className=(yyvsp[0].xtokOpenEnumInstancePathsParms).className;
       (yyval.xtokOpenEnumInstancePathsParmsList).flags=(yyvsp[0].xtokOpenEnumInstancePathsParms).flags;
       (yyval.xtokOpenEnumInstancePathsParmsList).flagsSet=(yyvsp[0].xtokOpenEnumInstancePathsParms).flagsSet;
       if ((yyvsp[0].xtokOpenEnumInstancePathsParms).operationTimeout) (yyval.xtokOpenEnumInstancePathsParmsList).operationTimeout=(yyvsp[0].xtokOpenEnumInstancePathsParms).operationTimeout;
       if ((yyvsp[0].xtokOpenEnumInstancePathsParms).maxObjectCount) (yyval.xtokOpenEnumInstancePathsParmsList).maxObjectCount=(yyvsp[0].xtokOpenEnumInstancePathsParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenEnumInstancePathsParms).filterQuery) (yyval.xtokOpenEnumInstancePathsParmsList).filterQuery=(yyvsp[0].xtokOpenEnumInstancePathsParms).filterQuery;
       if ((yyvsp[0].xtokOpenEnumInstancePathsParms).filterQueryLang) (yyval.xtokOpenEnumInstancePathsParmsList).filterQueryLang=(yyvsp[0].xtokOpenEnumInstancePathsParms).filterQueryLang;
    }
#line 6923 "cimXmlOps.c"
    break;

  case 284: /* openEnumInstancePathsParmsList: openEnumInstancePathsParmsList openEnumInstancePathsParms  */
#line 4708 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokOpenEnumInstancePathsParms).className) (yyval.xtokOpenEnumInstancePathsParmsList).className=(yyvsp[0].xtokOpenEnumInstancePathsParms).className;
       (yyval.xtokOpenEnumInstancePathsParmsList).flags=(yyvsp[-1].xtokOpenEnumInstancePathsParmsList).flags|(yyvsp[0].xtokOpenEnumInstancePathsParms).flags;
       (yyval.xtokOpenEnumInstancePathsParmsList).flagsSet=(yyvsp[-1].xtokOpenEnumInstancePathsParmsList).flagsSet|(yyvsp[0].xtokOpenEnumInstancePathsParms).flagsSet;
       if ((yyvsp[0].xtokOpenEnumInstancePathsParms).operationTimeout) (yyval.xtokOpenEnumInstancePathsParmsList).operationTimeout=(yyvsp[0].xtokOpenEnumInstancePathsParms).operationTimeout;
       if ((yyvsp[0].xtokOpenEnumInstancePathsParms).maxObjectCount) (yyval.xtokOpenEnumInstancePathsParmsList).maxObjectCount=(yyvsp[0].xtokOpenEnumInstancePathsParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenEnumInstancePathsParms).filterQuery) (yyval.xtokOpenEnumInstancePathsParmsList).filterQuery=(yyvsp[0].xtokOpenEnumInstancePathsParms).filterQuery;
       if ((yyvsp[0].xtokOpenEnumInstancePathsParms).filterQueryLang) (yyval.xtokOpenEnumInstancePathsParmsList).filterQueryLang=(yyvsp[0].xtokOpenEnumInstancePathsParms).filterQueryLang;
    }
#line 6937 "cimXmlOps.c"
    break;

  case 285: /* openEnumInstancePathsParms: XTOK_IP_CLASSNAME className ZTOK_IPARAMVALUE  */
#line 4721 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
       (yyval.xtokOpenEnumInstancePathsParms).className = (yyvsp[-1].className);
    }
#line 6946 "cimXmlOps.c"
    break;

  case 286: /* openEnumInstancePathsParms: XTOK_IP_CONTINUEONERROR boolValue ZTOK_IPARAMVALUE  */
#line 4726 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
       (yyval.xtokOpenEnumInstancePathsParms).flags = (yyvsp[-1].boolValue) ? FL_continueOnError : 0 ;
       (yyval.xtokOpenEnumInstancePathsParms).flagsSet = FL_continueOnError;
    }
#line 6956 "cimXmlOps.c"
    break;

  case 287: /* openEnumInstancePathsParms: XTOK_IP_CONTINUEONERROR ZTOK_IPARAMVALUE  */
#line 4732 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
    }
#line 6964 "cimXmlOps.c"
    break;

  case 288: /* openEnumInstancePathsParms: XTOK_IP_OPERATIONTIMEOUT value ZTOK_IPARAMVALUE  */
#line 4736 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
       (yyval.xtokOpenEnumInstancePathsParms).operationTimeout=atoi((yyvsp[-1].xtokValue).value);
    }
#line 6973 "cimXmlOps.c"
    break;

  case 289: /* openEnumInstancePathsParms: XTOK_IP_OPERATIONTIMEOUT ZTOK_IPARAMVALUE  */
#line 4741 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
    }
#line 6981 "cimXmlOps.c"
    break;

  case 290: /* openEnumInstancePathsParms: XTOK_IP_MAXOBJECTCOUNT value ZTOK_IPARAMVALUE  */
#line 4745 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
       (yyval.xtokOpenEnumInstancePathsParms).maxObjectCount=atoi((yyvsp[-1].xtokValue).value);
    }
#line 6990 "cimXmlOps.c"
    break;

  case 291: /* openEnumInstancePathsParms: XTOK_IP_MAXOBJECTCOUNT ZTOK_IPARAMVALUE  */
#line 4750 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
    }
#line 6998 "cimXmlOps.c"
    break;

  case 292: /* openEnumInstancePathsParms: XTOK_IP_FILTERQUERY value ZTOK_IPARAMVALUE  */
#line 4754 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
       (yyval.xtokOpenEnumInstancePathsParms).filterQuery=(yyvsp[-1].xtokValue).value;
    }
#line 7007 "cimXmlOps.c"
    break;

  case 293: /* openEnumInstancePathsParms: XTOK_IP_FILTERQUERY ZTOK_IPARAMVALUE  */
#line 4759 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
    }
#line 7015 "cimXmlOps.c"
    break;

  case 294: /* openEnumInstancePathsParms: XTOK_IP_FILTERQUERYLANG value ZTOK_IPARAMVALUE  */
#line 4763 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
       (yyval.xtokOpenEnumInstancePathsParms).filterQueryLang=(yyvsp[-1].xtokValue).value;
    }
#line 7024 "cimXmlOps.c"
    break;

  case 295: /* openEnumInstancePathsParms: XTOK_IP_FILTERQUERYLANG ZTOK_IPARAMVALUE  */
#line 4768 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancePathsParms), 0, sizeof((yyval.xtokOpenEnumInstancePathsParms)));
    }
#line 7032 "cimXmlOps.c"
    break;

  case 296: /* openEnumInstances: localNameSpacePath  */
#line 4780 "cimXmlOps.y"
    {
       (yyval.xtokOpenEnumInstances).op.count = EI_REQ_REG_SEGMENTS;
       (yyval.xtokOpenEnumInstances).op.type = OPS_OpenEnumerateInstances;
       (yyval.xtokOpenEnumInstances).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokOpenEnumInstances).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokOpenEnumInstances).flags = FL_localOnly | FL_deepInheritance;
       (yyval.xtokOpenEnumInstances).propertyList.values = NULL;
       (yyval.xtokOpenEnumInstances).properties=0;

       setRequest(parm,&(yyval.xtokOpenEnumInstances),sizeof((yyval.xtokOpenEnumInstances)),(yyval.xtokOpenEnumInstances).op.type);
       buildOpenEnumInstanceRequest(parm);
    }
#line 7049 "cimXmlOps.c"
    break;

  case 297: /* openEnumInstances: localNameSpacePath openEnumInstancesParmsList  */
#line 4793 "cimXmlOps.y"
    {
       (yyval.xtokOpenEnumInstances).op.count = EI_REQ_REG_SEGMENTS;
       (yyval.xtokOpenEnumInstances).op.type = OPS_OpenEnumerateInstances;
       (yyval.xtokOpenEnumInstances).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokOpenEnumInstances).op.className=setCharsMsgSegment((yyvsp[0].xtokOpenEnumInstancesParmsList).className);
       (yyval.xtokOpenEnumInstances).flags = ((yyvsp[0].xtokOpenEnumInstancesParmsList).flags & (yyvsp[0].xtokOpenEnumInstancesParmsList).flagsSet) | ((~(yyvsp[0].xtokOpenEnumInstancesParmsList).flagsSet) & (FL_localOnly));
       (yyval.xtokOpenEnumInstances).propertyList = (yyvsp[0].xtokOpenEnumInstancesParmsList).propertyList;
       (yyval.xtokOpenEnumInstances).properties=(yyvsp[0].xtokOpenEnumInstancesParmsList).properties;
       (yyval.xtokOpenEnumInstances).operationTimeout=(yyvsp[0].xtokOpenEnumInstancesParmsList).operationTimeout;
       (yyval.xtokOpenEnumInstances).maxObjectCount=(yyvsp[0].xtokOpenEnumInstancesParmsList).maxObjectCount;
       (yyval.xtokOpenEnumInstances).filterQuery=(yyvsp[0].xtokOpenEnumInstancesParmsList).filterQuery;
       (yyval.xtokOpenEnumInstances).filterQueryLang=(yyvsp[0].xtokOpenEnumInstancesParmsList).filterQueryLang;

       setRequest(parm,&(yyval.xtokOpenEnumInstances),sizeof((yyval.xtokOpenEnumInstances)),(yyval.xtokOpenEnumInstances).op.type);
       buildOpenEnumInstanceRequest(parm);
    }
#line 7070 "cimXmlOps.c"
    break;

  case 298: /* openEnumInstancesParmsList: openEnumInstancesParms  */
#line 4813 "cimXmlOps.y"
    {
       (yyval.xtokOpenEnumInstancesParmsList).flags=(yyvsp[0].xtokOpenEnumInstancesParms).flags;
       (yyval.xtokOpenEnumInstancesParmsList).flagsSet=(yyvsp[0].xtokOpenEnumInstancesParms).flagsSet;
       if ((yyvsp[0].xtokOpenEnumInstancesParms).className) (yyval.xtokOpenEnumInstancesParmsList).className=(yyvsp[0].xtokOpenEnumInstancesParms).className;
       if ((yyvsp[0].xtokOpenEnumInstancesParms).propertyList.values) {
          (yyval.xtokOpenEnumInstancesParmsList).propertyList=(yyvsp[0].xtokOpenEnumInstancesParms).propertyList;
          (yyval.xtokOpenEnumInstancesParmsList).properties=(yyvsp[0].xtokOpenEnumInstancesParms).properties;
       }
       if ((yyvsp[0].xtokOpenEnumInstancesParms).operationTimeout) (yyval.xtokOpenEnumInstancesParmsList).operationTimeout=(yyvsp[0].xtokOpenEnumInstancesParms).operationTimeout;
       if ((yyvsp[0].xtokOpenEnumInstancesParms).maxObjectCount) (yyval.xtokOpenEnumInstancesParmsList).maxObjectCount=(yyvsp[0].xtokOpenEnumInstancesParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenEnumInstancesParms).filterQuery) (yyval.xtokOpenEnumInstancesParmsList).filterQuery=(yyvsp[0].xtokOpenEnumInstancesParms).filterQuery;
       if ((yyvsp[0].xtokOpenEnumInstancesParms).filterQueryLang) (yyval.xtokOpenEnumInstancesParmsList).filterQueryLang=(yyvsp[0].xtokOpenEnumInstancesParms).filterQueryLang;
    }
#line 7088 "cimXmlOps.c"
    break;

  case 299: /* openEnumInstancesParmsList: openEnumInstancesParmsList openEnumInstancesParms  */
#line 4827 "cimXmlOps.y"
    {
       (yyval.xtokOpenEnumInstancesParmsList).flags=(yyvsp[-1].xtokOpenEnumInstancesParmsList).flags|(yyvsp[0].xtokOpenEnumInstancesParms).flags;
       (yyval.xtokOpenEnumInstancesParmsList).flagsSet=(yyvsp[-1].xtokOpenEnumInstancesParmsList).flagsSet|(yyvsp[0].xtokOpenEnumInstancesParms).flagsSet;
       if ((yyvsp[0].xtokOpenEnumInstancesParms).className) (yyval.xtokOpenEnumInstancesParmsList).className=(yyvsp[0].xtokOpenEnumInstancesParms).className;
       if ((yyvsp[0].xtokOpenEnumInstancesParms).propertyList.values) {
          (yyval.xtokOpenEnumInstancesParmsList).propertyList=(yyvsp[0].xtokOpenEnumInstancesParms).propertyList;
          (yyval.xtokOpenEnumInstancesParmsList).properties=(yyvsp[0].xtokOpenEnumInstancesParms).properties;
       }
       if ((yyvsp[0].xtokOpenEnumInstancesParms).operationTimeout) (yyval.xtokOpenEnumInstancesParmsList).operationTimeout=(yyvsp[0].xtokOpenEnumInstancesParms).operationTimeout;
       if ((yyvsp[0].xtokOpenEnumInstancesParms).maxObjectCount) (yyval.xtokOpenEnumInstancesParmsList).maxObjectCount=(yyvsp[0].xtokOpenEnumInstancesParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenEnumInstancesParms).filterQuery) (yyval.xtokOpenEnumInstancesParmsList).filterQuery=(yyvsp[0].xtokOpenEnumInstancesParms).filterQuery;
       if ((yyvsp[0].xtokOpenEnumInstancesParms).filterQueryLang) (yyval.xtokOpenEnumInstancesParmsList).filterQueryLang=(yyvsp[0].xtokOpenEnumInstancesParms).filterQueryLang;
    }
#line 7106 "cimXmlOps.c"
    break;

  case 300: /* openEnumInstancesParms: XTOK_IP_CLASSNAME className ZTOK_IPARAMVALUE  */
#line 4844 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).className = (yyvsp[-1].className);
    }
#line 7115 "cimXmlOps.c"
    break;

  case 301: /* openEnumInstancesParms: XTOK_IP_LOCALONLY boolValue ZTOK_IPARAMVALUE  */
#line 4849 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_localOnly : 0 ;
       (yyval.xtokOpenEnumInstancesParms).flagsSet = FL_localOnly;
    }
#line 7125 "cimXmlOps.c"
    break;

  case 302: /* openEnumInstancesParms: XTOK_IP_LOCALONLY ZTOK_IPARAMVALUE  */
#line 4855 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
    }
#line 7133 "cimXmlOps.c"
    break;

  case 303: /* openEnumInstancesParms: XTOK_IP_INCLUDEQUALIFIERS boolValue ZTOK_IPARAMVALUE  */
#line 4859 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_includeQualifiers : 0 ;
       (yyval.xtokOpenEnumInstancesParms).flagsSet = FL_includeQualifiers;
    }
#line 7143 "cimXmlOps.c"
    break;

  case 304: /* openEnumInstancesParms: XTOK_IP_INCLUDEQUALIFIERS ZTOK_IPARAMVALUE  */
#line 4865 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
    }
#line 7151 "cimXmlOps.c"
    break;

  case 305: /* openEnumInstancesParms: XTOK_IP_DEEPINHERITANCE boolValue ZTOK_IPARAMVALUE  */
#line 4869 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_deepInheritance : 0 ;
       (yyval.xtokOpenEnumInstancesParms).flagsSet = FL_deepInheritance;
    }
#line 7161 "cimXmlOps.c"
    break;

  case 306: /* openEnumInstancesParms: XTOK_IP_DEEPINHERITANCE ZTOK_IPARAMVALUE  */
#line 4875 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
    }
#line 7169 "cimXmlOps.c"
    break;

  case 307: /* openEnumInstancesParms: XTOK_IP_INCLUDECLASSORIGIN boolValue ZTOK_IPARAMVALUE  */
#line 4879 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_includeClassOrigin : 0 ;
       (yyval.xtokOpenEnumInstancesParms).flagsSet = FL_includeClassOrigin;
    }
#line 7179 "cimXmlOps.c"
    break;

  case 308: /* openEnumInstancesParms: XTOK_IP_INCLUDECLASSORIGIN ZTOK_IPARAMVALUE  */
#line 4885 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
    }
#line 7187 "cimXmlOps.c"
    break;

  case 309: /* openEnumInstancesParms: XTOK_IP_PROPERTYLIST valueArray ZTOK_IPARAMVALUE  */
#line 4889 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).propertyList=(yyvsp[-1].xtokValueArray);
       (yyval.xtokOpenEnumInstancesParms).properties=(yyvsp[-1].xtokValueArray).next;
    }
#line 7197 "cimXmlOps.c"
    break;

  case 310: /* openEnumInstancesParms: XTOK_IP_PROPERTYLIST ZTOK_IPARAMVALUE  */
#line 4895 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
    }
#line 7205 "cimXmlOps.c"
    break;

  case 311: /* openEnumInstancesParms: XTOK_IP_CONTINUEONERROR boolValue ZTOK_IPARAMVALUE  */
#line 4899 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_continueOnError : 0 ;
       (yyval.xtokOpenEnumInstancesParms).flagsSet = FL_continueOnError;
    }
#line 7215 "cimXmlOps.c"
    break;

  case 312: /* openEnumInstancesParms: XTOK_IP_CONTINUEONERROR ZTOK_IPARAMVALUE  */
#line 4905 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
    }
#line 7223 "cimXmlOps.c"
    break;

  case 313: /* openEnumInstancesParms: XTOK_IP_OPERATIONTIMEOUT value ZTOK_IPARAMVALUE  */
#line 4909 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).operationTimeout=atoi((yyvsp[-1].xtokValue).value);
    }
#line 7232 "cimXmlOps.c"
    break;

  case 314: /* openEnumInstancesParms: XTOK_IP_OPERATIONTIMEOUT ZTOK_IPARAMVALUE  */
#line 4914 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
    }
#line 7240 "cimXmlOps.c"
    break;

  case 315: /* openEnumInstancesParms: XTOK_IP_MAXOBJECTCOUNT value ZTOK_IPARAMVALUE  */
#line 4918 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).maxObjectCount=atoi((yyvsp[-1].xtokValue).value);
    }
#line 7249 "cimXmlOps.c"
    break;

  case 316: /* openEnumInstancesParms: XTOK_IP_MAXOBJECTCOUNT ZTOK_IPARAMVALUE  */
#line 4923 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
    }
#line 7257 "cimXmlOps.c"
    break;

  case 317: /* openEnumInstancesParms: XTOK_IP_FILTERQUERY value ZTOK_IPARAMVALUE  */
#line 4927 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).filterQuery=(yyvsp[-1].xtokValue).value;
    }
#line 7266 "cimXmlOps.c"
    break;

  case 318: /* openEnumInstancesParms: XTOK_IP_FILTERQUERY ZTOK_IPARAMVALUE  */
#line 4932 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
    }
#line 7274 "cimXmlOps.c"
    break;

  case 319: /* openEnumInstancesParms: XTOK_IP_FILTERQUERYLANG value ZTOK_IPARAMVALUE  */
#line 4936 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
       (yyval.xtokOpenEnumInstancesParms).filterQueryLang=(yyvsp[-1].xtokValue).value;
    }
#line 7283 "cimXmlOps.c"
    break;

  case 320: /* openEnumInstancesParms: XTOK_IP_FILTERQUERYLANG ZTOK_IPARAMVALUE  */
#line 4941 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenEnumInstancesParms), 0, sizeof((yyval.xtokOpenEnumInstancesParms)));
    }
#line 7291 "cimXmlOps.c"
    break;

  case 321: /* openAssociatorInstancePaths: localNameSpacePath  */
#line 4953 "cimXmlOps.y"
    {
       (yyval.xtokOpenAssociatorInstancePaths).op.count = AIN_REQ_REG_SEGMENTS;
       (yyval.xtokOpenAssociatorInstancePaths).op.type = OPS_OpenAssociatorInstancePaths;
       (yyval.xtokOpenAssociatorInstancePaths).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokOpenAssociatorInstancePaths).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokOpenAssociatorInstancePaths).op.assocClass=setCharsMsgSegment(NULL);
       (yyval.xtokOpenAssociatorInstancePaths).op.resultClass=setCharsMsgSegment(NULL);
       (yyval.xtokOpenAssociatorInstancePaths).op.role=setCharsMsgSegment(NULL);
       (yyval.xtokOpenAssociatorInstancePaths).op.resultRole=setCharsMsgSegment(NULL);
       (yyval.xtokOpenAssociatorInstancePaths).objNameSet = 0;
       // TODO what initialization needs to be done here?
       //$$.flags = FL_localOnly | FL_deepInheritance;

       setRequest(parm,&(yyval.xtokOpenAssociatorInstancePaths),sizeof((yyval.xtokOpenAssociatorInstancePaths)),(yyval.xtokOpenAssociatorInstancePaths).op.type);
       buildAssociatorNamesRequest(parm);  // TODO
    }
#line 7312 "cimXmlOps.c"
    break;

  case 322: /* openAssociatorInstancePaths: localNameSpacePath openAssociatorInstancePathsParmsList  */
#line 4970 "cimXmlOps.y"
    {
       (yyval.xtokOpenAssociatorInstancePaths).op.count = AIN_REQ_REG_SEGMENTS;
       (yyval.xtokOpenAssociatorInstancePaths).op.type = OPS_OpenAssociatorInstancePaths;
       (yyval.xtokOpenAssociatorInstancePaths).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokOpenAssociatorInstancePaths).op.className=setCharsMsgSegment((yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).objectName.className);
       (yyval.xtokOpenAssociatorInstancePaths).op.assocClass=setCharsMsgSegment((yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).assocClass);
       (yyval.xtokOpenAssociatorInstancePaths).op.resultClass=setCharsMsgSegment((yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).resultClass);
       (yyval.xtokOpenAssociatorInstancePaths).op.role=setCharsMsgSegment((yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).role);
       (yyval.xtokOpenAssociatorInstancePaths).op.resultRole=setCharsMsgSegment((yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).resultRole);
       (yyval.xtokOpenAssociatorInstancePaths).objectName = (yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).objectName;
       (yyval.xtokOpenAssociatorInstancePaths).objNameSet = (yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).objNameSet;
       (yyval.xtokOpenAssociatorInstancePaths).flags = ((yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).flags & (yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).flagsSet) | ((~(yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).flagsSet) & (FL_localOnly));
       (yyval.xtokOpenAssociatorInstancePaths).operationTimeout=(yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).operationTimeout;
       (yyval.xtokOpenAssociatorInstancePaths).maxObjectCount=(yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).maxObjectCount;
       (yyval.xtokOpenAssociatorInstancePaths).filterQuery=(yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).filterQuery;
       (yyval.xtokOpenAssociatorInstancePaths).filterQueryLang=(yyvsp[0].xtokOpenAssociatorInstancePathsParmsList).filterQueryLang;

       setRequest(parm,&(yyval.xtokOpenAssociatorInstancePaths),sizeof((yyval.xtokOpenAssociatorInstancePaths)),(yyval.xtokOpenAssociatorInstancePaths).op.type);
       buildAssociatorNamesRequest(parm);  // TODO
    }
#line 7337 "cimXmlOps.c"
    break;

  case 323: /* openAssociatorInstancePathsParmsList: openAssociatorInstancePathsParms  */
#line 4994 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).objNameSet)  {
          (yyval.xtokOpenAssociatorInstancePathsParmsList).objectName=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).objectName;
          (yyval.xtokOpenAssociatorInstancePathsParmsList).objNameSet=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).objNameSet;
       }
       (yyval.xtokOpenAssociatorInstancePathsParmsList).assocClass=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).assocClass;
       (yyval.xtokOpenAssociatorInstancePathsParmsList).resultClass=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).resultClass;
       (yyval.xtokOpenAssociatorInstancePathsParmsList).role=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).role;
       (yyval.xtokOpenAssociatorInstancePathsParmsList).resultRole=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).resultRole;
       (yyval.xtokOpenAssociatorInstancePathsParmsList).flags=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).flags;
       (yyval.xtokOpenAssociatorInstancePathsParmsList).flagsSet=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).flagsSet;
       if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).operationTimeout) (yyval.xtokOpenAssociatorInstancePathsParmsList).operationTimeout=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).operationTimeout;
       if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).maxObjectCount) (yyval.xtokOpenAssociatorInstancePathsParmsList).maxObjectCount=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).filterQuery) (yyval.xtokOpenAssociatorInstancePathsParmsList).filterQuery=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).filterQuery;
       if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).filterQueryLang) (yyval.xtokOpenAssociatorInstancePathsParmsList).filterQueryLang=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).filterQueryLang;
    }
#line 7358 "cimXmlOps.c"
    break;

  case 324: /* openAssociatorInstancePathsParmsList: openAssociatorInstancePathsParmsList openAssociatorInstancePathsParms  */
#line 5011 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).assocClass) (yyval.xtokOpenAssociatorInstancePathsParmsList).assocClass=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).assocClass;
       else if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).resultClass) (yyval.xtokOpenAssociatorInstancePathsParmsList).resultClass=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).resultClass;
       else if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).role) (yyval.xtokOpenAssociatorInstancePathsParmsList).role=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).role;
       else if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).resultRole) (yyval.xtokOpenAssociatorInstancePathsParmsList).resultRole=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).resultRole;
       else if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).objNameSet) {
          (yyval.xtokOpenAssociatorInstancePathsParmsList).objectName=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).objectName;
          (yyval.xtokOpenAssociatorInstancePathsParmsList).objNameSet=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).objNameSet;
       }
       (yyval.xtokOpenAssociatorInstancePathsParmsList).flags=(yyvsp[-1].xtokOpenAssociatorInstancePathsParmsList).flags|(yyvsp[0].xtokOpenAssociatorInstancePathsParms).flags;
       (yyval.xtokOpenAssociatorInstancePathsParmsList).flagsSet=(yyvsp[-1].xtokOpenAssociatorInstancePathsParmsList).flagsSet|(yyvsp[0].xtokOpenAssociatorInstancePathsParms).flagsSet;
       if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).operationTimeout) (yyval.xtokOpenAssociatorInstancePathsParmsList).operationTimeout=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).operationTimeout;
       if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).maxObjectCount) (yyval.xtokOpenAssociatorInstancePathsParmsList).maxObjectCount=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).filterQuery) (yyval.xtokOpenAssociatorInstancePathsParmsList).filterQuery=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).filterQuery;
       if ((yyvsp[0].xtokOpenAssociatorInstancePathsParms).filterQueryLang) (yyval.xtokOpenAssociatorInstancePathsParmsList).filterQueryLang=(yyvsp[0].xtokOpenAssociatorInstancePathsParms).filterQueryLang;
    }
#line 7379 "cimXmlOps.c"
    break;

  case 325: /* openAssociatorInstancePathsParms: XTOK_IP_INSTANCENAME instanceName ZTOK_IPARAMVALUE  */
#line 5031 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
       (yyval.xtokOpenAssociatorInstancePathsParms).objectName = (yyvsp[-1].xtokInstanceName);
       (yyval.xtokOpenAssociatorInstancePathsParms).objNameSet = 1;
    }
#line 7389 "cimXmlOps.c"
    break;

  case 326: /* openAssociatorInstancePathsParms: XTOK_IP_ASSOCCLASS className ZTOK_IPARAMVALUE  */
#line 5037 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
       (yyval.xtokOpenAssociatorInstancePathsParms).assocClass = (yyvsp[-1].className);
    }
#line 7398 "cimXmlOps.c"
    break;

  case 327: /* openAssociatorInstancePathsParms: XTOK_IP_ASSOCCLASS ZTOK_IPARAMVALUE  */
#line 5042 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
    }
#line 7406 "cimXmlOps.c"
    break;

  case 328: /* openAssociatorInstancePathsParms: XTOK_IP_RESULTCLASS className ZTOK_IPARAMVALUE  */
#line 5046 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
       (yyval.xtokOpenAssociatorInstancePathsParms).resultClass = (yyvsp[-1].className);
    }
#line 7415 "cimXmlOps.c"
    break;

  case 329: /* openAssociatorInstancePathsParms: XTOK_IP_RESULTCLASS ZTOK_IPARAMVALUE  */
#line 5051 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
    }
#line 7423 "cimXmlOps.c"
    break;

  case 330: /* openAssociatorInstancePathsParms: XTOK_IP_ROLE value ZTOK_IPARAMVALUE  */
#line 5055 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
       (yyval.xtokOpenAssociatorInstancePathsParms).role = (yyvsp[-1].xtokValue).value;
    }
#line 7432 "cimXmlOps.c"
    break;

  case 331: /* openAssociatorInstancePathsParms: XTOK_IP_ROLE ZTOK_IPARAMVALUE  */
#line 5060 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
    }
#line 7440 "cimXmlOps.c"
    break;

  case 332: /* openAssociatorInstancePathsParms: XTOK_IP_RESULTROLE value ZTOK_IPARAMVALUE  */
#line 5064 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
       (yyval.xtokOpenAssociatorInstancePathsParms).resultRole = (yyvsp[-1].xtokValue).value;
    }
#line 7449 "cimXmlOps.c"
    break;

  case 333: /* openAssociatorInstancePathsParms: XTOK_IP_RESULTROLE ZTOK_IPARAMVALUE  */
#line 5069 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
    }
#line 7457 "cimXmlOps.c"
    break;

  case 334: /* openAssociatorInstancePathsParms: XTOK_IP_CONTINUEONERROR boolValue ZTOK_IPARAMVALUE  */
#line 5073 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
       (yyval.xtokOpenAssociatorInstancePathsParms).flags = (yyvsp[-1].boolValue) ? FL_continueOnError : 0 ;
       (yyval.xtokOpenAssociatorInstancePathsParms).flagsSet = FL_continueOnError;
    }
#line 7467 "cimXmlOps.c"
    break;

  case 335: /* openAssociatorInstancePathsParms: XTOK_IP_CONTINUEONERROR ZTOK_IPARAMVALUE  */
#line 5079 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
    }
#line 7475 "cimXmlOps.c"
    break;

  case 336: /* openAssociatorInstancePathsParms: XTOK_IP_OPERATIONTIMEOUT value ZTOK_IPARAMVALUE  */
#line 5083 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
       (yyval.xtokOpenAssociatorInstancePathsParms).operationTimeout=atoi((yyvsp[-1].xtokValue).value);
    }
#line 7484 "cimXmlOps.c"
    break;

  case 337: /* openAssociatorInstancePathsParms: XTOK_IP_OPERATIONTIMEOUT ZTOK_IPARAMVALUE  */
#line 5088 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
    }
#line 7492 "cimXmlOps.c"
    break;

  case 338: /* openAssociatorInstancePathsParms: XTOK_IP_MAXOBJECTCOUNT value ZTOK_IPARAMVALUE  */
#line 5092 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
       (yyval.xtokOpenAssociatorInstancePathsParms).maxObjectCount=atoi((yyvsp[-1].xtokValue).value);
    }
#line 7501 "cimXmlOps.c"
    break;

  case 339: /* openAssociatorInstancePathsParms: XTOK_IP_MAXOBJECTCOUNT ZTOK_IPARAMVALUE  */
#line 5097 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
    }
#line 7509 "cimXmlOps.c"
    break;

  case 340: /* openAssociatorInstancePathsParms: XTOK_IP_FILTERQUERY value ZTOK_IPARAMVALUE  */
#line 5101 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
       (yyval.xtokOpenAssociatorInstancePathsParms).filterQuery=(yyvsp[-1].xtokValue).value;
    }
#line 7518 "cimXmlOps.c"
    break;

  case 341: /* openAssociatorInstancePathsParms: XTOK_IP_FILTERQUERY ZTOK_IPARAMVALUE  */
#line 5106 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
    }
#line 7526 "cimXmlOps.c"
    break;

  case 342: /* openAssociatorInstancePathsParms: XTOK_IP_FILTERQUERYLANG value ZTOK_IPARAMVALUE  */
#line 5110 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
       (yyval.xtokOpenAssociatorInstancePathsParms).filterQueryLang=(yyvsp[-1].xtokValue).value;
    }
#line 7535 "cimXmlOps.c"
    break;

  case 343: /* openAssociatorInstancePathsParms: XTOK_IP_FILTERQUERYLANG ZTOK_IPARAMVALUE  */
#line 5115 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancePathsParms), 0, sizeof((yyval.xtokOpenAssociatorInstancePathsParms)));
    }
#line 7543 "cimXmlOps.c"
    break;

  case 344: /* openAssociatorInstances: localNameSpacePath  */
#line 5127 "cimXmlOps.y"
    {
       (yyval.xtokOpenAssociatorInstances).op.count = AI_REQ_REG_SEGMENTS;
       (yyval.xtokOpenAssociatorInstances).op.type = OPS_OpenAssociatorInstances;
       (yyval.xtokOpenAssociatorInstances).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokOpenAssociatorInstances).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokOpenAssociatorInstances).op.assocClass=setCharsMsgSegment(NULL);
       (yyval.xtokOpenAssociatorInstances).op.resultClass=setCharsMsgSegment(NULL);
       (yyval.xtokOpenAssociatorInstances).op.role=setCharsMsgSegment(NULL);
       (yyval.xtokOpenAssociatorInstances).op.resultRole=setCharsMsgSegment(NULL);
       (yyval.xtokOpenAssociatorInstances).flags = 0;
       (yyval.xtokOpenAssociatorInstances).objNameSet = 0;
       (yyval.xtokOpenAssociatorInstances).propertyList.values = 0;
       (yyval.xtokOpenAssociatorInstances).properties=0;

       setRequest(parm,&(yyval.xtokOpenAssociatorInstances),sizeof((yyval.xtokOpenAssociatorInstances)),(yyval.xtokOpenAssociatorInstances).op.type);
       buildAssociatorsRequest(parm);  // TODO
    }
#line 7565 "cimXmlOps.c"
    break;

  case 345: /* openAssociatorInstances: localNameSpacePath openAssociatorInstancesParmsList  */
#line 5145 "cimXmlOps.y"
    {
       (yyval.xtokOpenAssociatorInstances).op.count = AI_REQ_REG_SEGMENTS;
       (yyval.xtokOpenAssociatorInstances).op.type = OPS_OpenAssociatorInstances;
       (yyval.xtokOpenAssociatorInstances).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokOpenAssociatorInstances).op.className=setCharsMsgSegment((yyvsp[0].xtokOpenAssociatorInstancesParmsList).objectName.className);
       (yyval.xtokOpenAssociatorInstances).op.assocClass=setCharsMsgSegment((yyvsp[0].xtokOpenAssociatorInstancesParmsList).assocClass);
       (yyval.xtokOpenAssociatorInstances).op.resultClass=setCharsMsgSegment((yyvsp[0].xtokOpenAssociatorInstancesParmsList).resultClass);
       (yyval.xtokOpenAssociatorInstances).op.role=setCharsMsgSegment((yyvsp[0].xtokOpenAssociatorInstancesParmsList).role);
       (yyval.xtokOpenAssociatorInstances).op.resultRole=setCharsMsgSegment((yyvsp[0].xtokOpenAssociatorInstancesParmsList).resultRole);
       (yyval.xtokOpenAssociatorInstances).flags = ((yyvsp[0].xtokOpenAssociatorInstancesParmsList).flags & (yyvsp[0].xtokOpenAssociatorInstancesParmsList).flagsSet) | (~(yyvsp[0].xtokOpenAssociatorInstancesParmsList).flagsSet & 0);
       (yyval.xtokOpenAssociatorInstances).objectName = (yyvsp[0].xtokOpenAssociatorInstancesParmsList).objectName;
       (yyval.xtokOpenAssociatorInstances).objNameSet = (yyvsp[0].xtokOpenAssociatorInstancesParmsList).objNameSet;
       (yyval.xtokOpenAssociatorInstances).propertyList = (yyvsp[0].xtokOpenAssociatorInstancesParmsList).propertyList;
       (yyval.xtokOpenAssociatorInstances).properties=(yyvsp[0].xtokOpenAssociatorInstancesParmsList).properties;
       (yyval.xtokOpenAssociatorInstances).operationTimeout=(yyvsp[0].xtokOpenAssociatorInstancesParmsList).operationTimeout;
       (yyval.xtokOpenAssociatorInstances).maxObjectCount=(yyvsp[0].xtokOpenAssociatorInstancesParmsList).maxObjectCount;
       (yyval.xtokOpenAssociatorInstances).filterQuery=(yyvsp[0].xtokOpenAssociatorInstancesParmsList).filterQuery;
       (yyval.xtokOpenAssociatorInstances).filterQueryLang=(yyvsp[0].xtokOpenAssociatorInstancesParmsList).filterQueryLang;

       setRequest(parm,&(yyval.xtokOpenAssociatorInstances),sizeof((yyval.xtokOpenAssociatorInstances)),(yyval.xtokOpenAssociatorInstances).op.type);
       buildAssociatorsRequest(parm);  // TODO
    }
#line 7592 "cimXmlOps.c"
    break;

  case 346: /* openAssociatorInstancesParmsList: openAssociatorInstancesParms  */
#line 5171 "cimXmlOps.y"
    {
       (yyval.xtokOpenAssociatorInstancesParmsList).flags=(yyvsp[0].xtokOpenAssociatorInstancesParms).flags;
       (yyval.xtokOpenAssociatorInstancesParmsList).flagsSet=(yyvsp[0].xtokOpenAssociatorInstancesParms).flagsSet;
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).objNameSet)  {
          (yyval.xtokOpenAssociatorInstancesParmsList).objectName=(yyvsp[0].xtokOpenAssociatorInstancesParms).objectName;
          (yyval.xtokOpenAssociatorInstancesParmsList).objNameSet = (yyvsp[0].xtokOpenAssociatorInstancesParms).objNameSet;
       }
       (yyval.xtokOpenAssociatorInstancesParmsList).assocClass=(yyvsp[0].xtokOpenAssociatorInstancesParms).assocClass;
       (yyval.xtokOpenAssociatorInstancesParmsList).resultClass=(yyvsp[0].xtokOpenAssociatorInstancesParms).resultClass;
       (yyval.xtokOpenAssociatorInstancesParmsList).role=(yyvsp[0].xtokOpenAssociatorInstancesParms).role;
       (yyval.xtokOpenAssociatorInstancesParmsList).resultRole=(yyvsp[0].xtokOpenAssociatorInstancesParms).resultRole;
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).propertyList.values) {
          (yyval.xtokOpenAssociatorInstancesParmsList).propertyList=(yyvsp[0].xtokOpenAssociatorInstancesParms).propertyList;
          (yyval.xtokOpenAssociatorInstancesParmsList).properties=(yyvsp[0].xtokOpenAssociatorInstancesParms).properties;
       }
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).operationTimeout) (yyval.xtokOpenAssociatorInstancesParmsList).operationTimeout=(yyvsp[0].xtokOpenAssociatorInstancesParms).operationTimeout;
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).maxObjectCount) (yyval.xtokOpenAssociatorInstancesParmsList).maxObjectCount=(yyvsp[0].xtokOpenAssociatorInstancesParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).filterQuery) (yyval.xtokOpenAssociatorInstancesParmsList).filterQuery=(yyvsp[0].xtokOpenAssociatorInstancesParms).filterQuery;
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).filterQueryLang) (yyval.xtokOpenAssociatorInstancesParmsList).filterQueryLang=(yyvsp[0].xtokOpenAssociatorInstancesParms).filterQueryLang;
    }
#line 7617 "cimXmlOps.c"
    break;

  case 347: /* openAssociatorInstancesParmsList: openAssociatorInstancesParmsList openAssociatorInstancesParms  */
#line 5192 "cimXmlOps.y"
    {
       (yyval.xtokOpenAssociatorInstancesParmsList).flags=(yyvsp[-1].xtokOpenAssociatorInstancesParmsList).flags|(yyvsp[0].xtokOpenAssociatorInstancesParms).flags;
       (yyval.xtokOpenAssociatorInstancesParmsList).flagsSet=(yyvsp[-1].xtokOpenAssociatorInstancesParmsList).flagsSet|(yyvsp[0].xtokOpenAssociatorInstancesParms).flagsSet;
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).assocClass) (yyval.xtokOpenAssociatorInstancesParmsList).assocClass=(yyvsp[0].xtokOpenAssociatorInstancesParms).assocClass;
       else if ((yyvsp[0].xtokOpenAssociatorInstancesParms).resultClass) (yyval.xtokOpenAssociatorInstancesParmsList).resultClass=(yyvsp[0].xtokOpenAssociatorInstancesParms).resultClass;
       else if ((yyvsp[0].xtokOpenAssociatorInstancesParms).role) (yyval.xtokOpenAssociatorInstancesParmsList).role=(yyvsp[0].xtokOpenAssociatorInstancesParms).role;
       else if ((yyvsp[0].xtokOpenAssociatorInstancesParms).resultRole) (yyval.xtokOpenAssociatorInstancesParmsList).resultRole=(yyvsp[0].xtokOpenAssociatorInstancesParms).resultRole;
       else if ((yyvsp[0].xtokOpenAssociatorInstancesParms).objNameSet) {
          (yyval.xtokOpenAssociatorInstancesParmsList).objectName=(yyvsp[0].xtokOpenAssociatorInstancesParms).objectName;
          (yyval.xtokOpenAssociatorInstancesParmsList).objNameSet=(yyvsp[0].xtokOpenAssociatorInstancesParms).objNameSet;
       }
       else if ((yyvsp[0].xtokOpenAssociatorInstancesParms).propertyList.values) {
          (yyval.xtokOpenAssociatorInstancesParmsList).propertyList=(yyvsp[0].xtokOpenAssociatorInstancesParms).propertyList;
          (yyval.xtokOpenAssociatorInstancesParmsList).properties=(yyvsp[0].xtokOpenAssociatorInstancesParms).properties;
       }
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).operationTimeout) (yyval.xtokOpenAssociatorInstancesParmsList).operationTimeout=(yyvsp[0].xtokOpenAssociatorInstancesParms).operationTimeout;
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).maxObjectCount) (yyval.xtokOpenAssociatorInstancesParmsList).maxObjectCount=(yyvsp[0].xtokOpenAssociatorInstancesParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).filterQuery) (yyval.xtokOpenAssociatorInstancesParmsList).filterQuery=(yyvsp[0].xtokOpenAssociatorInstancesParms).filterQuery;
       if ((yyvsp[0].xtokOpenAssociatorInstancesParms).filterQueryLang) (yyval.xtokOpenAssociatorInstancesParmsList).filterQueryLang=(yyvsp[0].xtokOpenAssociatorInstancesParms).filterQueryLang;
    }
#line 7642 "cimXmlOps.c"
    break;

  case 348: /* openAssociatorInstancesParms: XTOK_IP_INSTANCENAME instanceName ZTOK_IPARAMVALUE  */
#line 5216 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).objectName = (yyvsp[-1].xtokInstanceName);
       (yyval.xtokOpenAssociatorInstancesParms).objNameSet = 1;
    }
#line 7652 "cimXmlOps.c"
    break;

  case 349: /* openAssociatorInstancesParms: XTOK_IP_ASSOCCLASS className ZTOK_IPARAMVALUE  */
#line 5222 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).assocClass = (yyvsp[-1].className);
    }
#line 7661 "cimXmlOps.c"
    break;

  case 350: /* openAssociatorInstancesParms: XTOK_IP_ASSOCCLASS ZTOK_IPARAMVALUE  */
#line 5227 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7669 "cimXmlOps.c"
    break;

  case 351: /* openAssociatorInstancesParms: XTOK_IP_RESULTCLASS className ZTOK_IPARAMVALUE  */
#line 5231 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).resultClass = (yyvsp[-1].className);
    }
#line 7678 "cimXmlOps.c"
    break;

  case 352: /* openAssociatorInstancesParms: XTOK_IP_RESULTCLASS ZTOK_IPARAMVALUE  */
#line 5236 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7686 "cimXmlOps.c"
    break;

  case 353: /* openAssociatorInstancesParms: XTOK_IP_ROLE value ZTOK_IPARAMVALUE  */
#line 5240 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).role = (yyvsp[-1].xtokValue).value;
    }
#line 7695 "cimXmlOps.c"
    break;

  case 354: /* openAssociatorInstancesParms: XTOK_IP_ROLE ZTOK_IPARAMVALUE  */
#line 5245 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7703 "cimXmlOps.c"
    break;

  case 355: /* openAssociatorInstancesParms: XTOK_IP_RESULTROLE value ZTOK_IPARAMVALUE  */
#line 5249 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).resultRole = (yyvsp[-1].xtokValue).value;
    }
#line 7712 "cimXmlOps.c"
    break;

  case 356: /* openAssociatorInstancesParms: XTOK_IP_RESULTROLE ZTOK_IPARAMVALUE  */
#line 5254 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7720 "cimXmlOps.c"
    break;

  case 357: /* openAssociatorInstancesParms: XTOK_IP_INCLUDEQUALIFIERS boolValue ZTOK_IPARAMVALUE  */
#line 5258 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_includeQualifiers : 0 ;
       (yyval.xtokOpenAssociatorInstancesParms).flagsSet = FL_includeQualifiers;
    }
#line 7730 "cimXmlOps.c"
    break;

  case 358: /* openAssociatorInstancesParms: XTOK_IP_INCLUDEQUALIFIERS ZTOK_IPARAMVALUE  */
#line 5264 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7738 "cimXmlOps.c"
    break;

  case 359: /* openAssociatorInstancesParms: XTOK_IP_INCLUDECLASSORIGIN boolValue ZTOK_IPARAMVALUE  */
#line 5268 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_includeClassOrigin : 0 ;
       (yyval.xtokOpenAssociatorInstancesParms).flagsSet = FL_includeClassOrigin;
    }
#line 7748 "cimXmlOps.c"
    break;

  case 360: /* openAssociatorInstancesParms: XTOK_IP_INCLUDECLASSORIGIN ZTOK_IPARAMVALUE  */
#line 5274 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7756 "cimXmlOps.c"
    break;

  case 361: /* openAssociatorInstancesParms: XTOK_IP_PROPERTYLIST valueArray ZTOK_IPARAMVALUE  */
#line 5278 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).propertyList=(yyvsp[-1].xtokValueArray);
       (yyval.xtokOpenAssociatorInstancesParms).properties=(yyvsp[-1].xtokValueArray).next;
    }
#line 7766 "cimXmlOps.c"
    break;

  case 362: /* openAssociatorInstancesParms: XTOK_IP_PROPERTYLIST ZTOK_IPARAMVALUE  */
#line 5284 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7774 "cimXmlOps.c"
    break;

  case 363: /* openAssociatorInstancesParms: XTOK_IP_CONTINUEONERROR boolValue ZTOK_IPARAMVALUE  */
#line 5288 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_continueOnError : 0 ;
       (yyval.xtokOpenAssociatorInstancesParms).flagsSet = FL_continueOnError;
    }
#line 7784 "cimXmlOps.c"
    break;

  case 364: /* openAssociatorInstancesParms: XTOK_IP_CONTINUEONERROR ZTOK_IPARAMVALUE  */
#line 5294 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7792 "cimXmlOps.c"
    break;

  case 365: /* openAssociatorInstancesParms: XTOK_IP_OPERATIONTIMEOUT value ZTOK_IPARAMVALUE  */
#line 5298 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).operationTimeout=atoi((yyvsp[-1].xtokValue).value);
    }
#line 7801 "cimXmlOps.c"
    break;

  case 366: /* openAssociatorInstancesParms: XTOK_IP_OPERATIONTIMEOUT ZTOK_IPARAMVALUE  */
#line 5303 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7809 "cimXmlOps.c"
    break;

  case 367: /* openAssociatorInstancesParms: XTOK_IP_MAXOBJECTCOUNT value ZTOK_IPARAMVALUE  */
#line 5307 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).maxObjectCount=atoi((yyvsp[-1].xtokValue).value);
    }
#line 7818 "cimXmlOps.c"
    break;

  case 368: /* openAssociatorInstancesParms: XTOK_IP_MAXOBJECTCOUNT ZTOK_IPARAMVALUE  */
#line 5312 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7826 "cimXmlOps.c"
    break;

  case 369: /* openAssociatorInstancesParms: XTOK_IP_FILTERQUERY value ZTOK_IPARAMVALUE  */
#line 5316 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).filterQuery=(yyvsp[-1].xtokValue).value;
    }
#line 7835 "cimXmlOps.c"
    break;

  case 370: /* openAssociatorInstancesParms: XTOK_IP_FILTERQUERY ZTOK_IPARAMVALUE  */
#line 5321 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7843 "cimXmlOps.c"
    break;

  case 371: /* openAssociatorInstancesParms: XTOK_IP_FILTERQUERYLANG value ZTOK_IPARAMVALUE  */
#line 5325 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
       (yyval.xtokOpenAssociatorInstancesParms).filterQueryLang=(yyvsp[-1].xtokValue).value;
    }
#line 7852 "cimXmlOps.c"
    break;

  case 372: /* openAssociatorInstancesParms: XTOK_IP_FILTERQUERYLANG ZTOK_IPARAMVALUE  */
#line 5330 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenAssociatorInstancesParms), 0, sizeof((yyval.xtokOpenAssociatorInstancesParms)));
    }
#line 7860 "cimXmlOps.c"
    break;

  case 373: /* openReferenceInstancePaths: localNameSpacePath  */
#line 5342 "cimXmlOps.y"
    {
       (yyval.xtokOpenReferenceInstancePaths).op.count = RIN_REQ_REG_SEGMENTS;
       (yyval.xtokOpenReferenceInstancePaths).op.type = OPS_OpenReferenceInstancePaths;
       (yyval.xtokOpenReferenceInstancePaths).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokOpenReferenceInstancePaths).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokOpenReferenceInstancePaths).op.resultClass=setCharsMsgSegment(NULL);
       (yyval.xtokOpenReferenceInstancePaths).op.role=setCharsMsgSegment(NULL);
       (yyval.xtokOpenReferenceInstancePaths).objNameSet=0;
       // TODO what initialization needs to be done here?
       //$$.flags = FL_localOnly | FL_deepInheritance;

       setRequest(parm,&(yyval.xtokOpenReferenceInstancePaths),sizeof((yyval.xtokOpenReferenceInstancePaths)),(yyval.xtokOpenReferenceInstancePaths).op.type);
       buildReferenceNamesRequest(parm);  // TODO
    }
#line 7879 "cimXmlOps.c"
    break;

  case 374: /* openReferenceInstancePaths: localNameSpacePath openReferenceInstancePathsParmsList  */
#line 5357 "cimXmlOps.y"
    {
       (yyval.xtokOpenReferenceInstancePaths).op.count = RIN_REQ_REG_SEGMENTS;
       (yyval.xtokOpenReferenceInstancePaths).op.type = OPS_OpenReferenceInstancePaths;
       (yyval.xtokOpenReferenceInstancePaths).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokOpenReferenceInstancePaths).op.className=setCharsMsgSegment((yyvsp[0].xtokOpenReferenceInstancePathsParmsList).objectName.className);
       (yyval.xtokOpenReferenceInstancePaths).op.resultClass=setCharsMsgSegment((yyvsp[0].xtokOpenReferenceInstancePathsParmsList).resultClass);
       (yyval.xtokOpenReferenceInstancePaths).op.role=setCharsMsgSegment((yyvsp[0].xtokOpenReferenceInstancePathsParmsList).role);
       (yyval.xtokOpenReferenceInstancePaths).objectName=(yyvsp[0].xtokOpenReferenceInstancePathsParmsList).objectName;
       (yyval.xtokOpenReferenceInstancePaths).objNameSet=(yyvsp[0].xtokOpenReferenceInstancePathsParmsList).objNameSet;
       (yyval.xtokOpenReferenceInstancePaths).flags = ((yyvsp[0].xtokOpenReferenceInstancePathsParmsList).flags & (yyvsp[0].xtokOpenReferenceInstancePathsParmsList).flagsSet) | ((~(yyvsp[0].xtokOpenReferenceInstancePathsParmsList).flagsSet) & (FL_localOnly));
       (yyval.xtokOpenReferenceInstancePaths).operationTimeout=(yyvsp[0].xtokOpenReferenceInstancePathsParmsList).operationTimeout;
       (yyval.xtokOpenReferenceInstancePaths).maxObjectCount=(yyvsp[0].xtokOpenReferenceInstancePathsParmsList).maxObjectCount;
       (yyval.xtokOpenReferenceInstancePaths).filterQuery=(yyvsp[0].xtokOpenReferenceInstancePathsParmsList).filterQuery;
       (yyval.xtokOpenReferenceInstancePaths).filterQueryLang=(yyvsp[0].xtokOpenReferenceInstancePathsParmsList).filterQueryLang;

       setRequest(parm,&(yyval.xtokOpenReferenceInstancePaths),sizeof((yyval.xtokOpenReferenceInstancePaths)),(yyval.xtokOpenReferenceInstancePaths).op.type);
       buildReferenceNamesRequest(parm);  // TODO
    }
#line 7902 "cimXmlOps.c"
    break;

  case 375: /* openReferenceInstancePathsParmsList: openReferenceInstancePathsParms  */
#line 5379 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokOpenReferenceInstancePathsParms).objNameSet)  {
          (yyval.xtokOpenReferenceInstancePathsParmsList).objectName=(yyvsp[0].xtokOpenReferenceInstancePathsParms).objectName;
          (yyval.xtokOpenReferenceInstancePathsParmsList).objNameSet=(yyvsp[0].xtokOpenReferenceInstancePathsParms).objNameSet;
       }
       (yyval.xtokOpenReferenceInstancePathsParmsList).resultClass=(yyvsp[0].xtokOpenReferenceInstancePathsParms).resultClass;
       (yyval.xtokOpenReferenceInstancePathsParmsList).role=(yyvsp[0].xtokOpenReferenceInstancePathsParms).role;
       (yyval.xtokOpenReferenceInstancePathsParmsList).flags=(yyvsp[0].xtokOpenReferenceInstancePathsParms).flags;
       (yyval.xtokOpenReferenceInstancePathsParmsList).flagsSet=(yyvsp[0].xtokOpenReferenceInstancePathsParms).flagsSet;
       if ((yyvsp[0].xtokOpenReferenceInstancePathsParms).operationTimeout) (yyval.xtokOpenReferenceInstancePathsParmsList).operationTimeout=(yyvsp[0].xtokOpenReferenceInstancePathsParms).operationTimeout;
       if ((yyvsp[0].xtokOpenReferenceInstancePathsParms).maxObjectCount) (yyval.xtokOpenReferenceInstancePathsParmsList).maxObjectCount=(yyvsp[0].xtokOpenReferenceInstancePathsParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenReferenceInstancePathsParms).filterQuery) (yyval.xtokOpenReferenceInstancePathsParmsList).filterQuery=(yyvsp[0].xtokOpenReferenceInstancePathsParms).filterQuery;
       if ((yyvsp[0].xtokOpenReferenceInstancePathsParms).filterQueryLang) (yyval.xtokOpenReferenceInstancePathsParmsList).filterQueryLang=(yyvsp[0].xtokOpenReferenceInstancePathsParms).filterQueryLang;
    }
#line 7921 "cimXmlOps.c"
    break;

  case 376: /* openReferenceInstancePathsParmsList: openReferenceInstancePathsParmsList openReferenceInstancePathsParms  */
#line 5394 "cimXmlOps.y"
    {
       if((yyvsp[0].xtokOpenReferenceInstancePathsParms).objNameSet) {
          (yyval.xtokOpenReferenceInstancePathsParmsList).objectName=(yyvsp[0].xtokOpenReferenceInstancePathsParms).objectName;
          (yyval.xtokOpenReferenceInstancePathsParmsList).objNameSet=(yyvsp[0].xtokOpenReferenceInstancePathsParms).objNameSet;
       }
       else if((yyvsp[0].xtokOpenReferenceInstancePathsParms).resultClass) (yyval.xtokOpenReferenceInstancePathsParmsList).resultClass=(yyvsp[0].xtokOpenReferenceInstancePathsParms).resultClass;
       else if((yyvsp[0].xtokOpenReferenceInstancePathsParms).role) (yyval.xtokOpenReferenceInstancePathsParmsList).role=(yyvsp[0].xtokOpenReferenceInstancePathsParms).role;
       (yyval.xtokOpenReferenceInstancePathsParmsList).flags=(yyvsp[-1].xtokOpenReferenceInstancePathsParmsList).flags|(yyvsp[0].xtokOpenReferenceInstancePathsParms).flags;
       (yyval.xtokOpenReferenceInstancePathsParmsList).flagsSet=(yyvsp[-1].xtokOpenReferenceInstancePathsParmsList).flagsSet|(yyvsp[0].xtokOpenReferenceInstancePathsParms).flagsSet;
       if ((yyvsp[0].xtokOpenReferenceInstancePathsParms).operationTimeout) (yyval.xtokOpenReferenceInstancePathsParmsList).operationTimeout=(yyvsp[0].xtokOpenReferenceInstancePathsParms).operationTimeout;
       if ((yyvsp[0].xtokOpenReferenceInstancePathsParms).maxObjectCount) (yyval.xtokOpenReferenceInstancePathsParmsList).maxObjectCount=(yyvsp[0].xtokOpenReferenceInstancePathsParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenReferenceInstancePathsParms).filterQuery) (yyval.xtokOpenReferenceInstancePathsParmsList).filterQuery=(yyvsp[0].xtokOpenReferenceInstancePathsParms).filterQuery;
       if ((yyvsp[0].xtokOpenReferenceInstancePathsParms).filterQueryLang) (yyval.xtokOpenReferenceInstancePathsParmsList).filterQueryLang=(yyvsp[0].xtokOpenReferenceInstancePathsParms).filterQueryLang;
    }
#line 7940 "cimXmlOps.c"
    break;

  case 377: /* openReferenceInstancePathsParms: XTOK_IP_INSTANCENAME instanceName ZTOK_IPARAMVALUE  */
#line 5412 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
       (yyval.xtokOpenReferenceInstancePathsParms).objectName = (yyvsp[-1].xtokInstanceName);
       (yyval.xtokOpenReferenceInstancePathsParms).objNameSet = 1;
    }
#line 7950 "cimXmlOps.c"
    break;

  case 378: /* openReferenceInstancePathsParms: XTOK_IP_RESULTCLASS className ZTOK_IPARAMVALUE  */
#line 5418 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
       (yyval.xtokOpenReferenceInstancePathsParms).resultClass = (yyvsp[-1].className);
    }
#line 7959 "cimXmlOps.c"
    break;

  case 379: /* openReferenceInstancePathsParms: XTOK_IP_RESULTCLASS ZTOK_IPARAMVALUE  */
#line 5423 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
    }
#line 7967 "cimXmlOps.c"
    break;

  case 380: /* openReferenceInstancePathsParms: XTOK_IP_ROLE value ZTOK_IPARAMVALUE  */
#line 5427 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
       (yyval.xtokOpenReferenceInstancePathsParms).role = (yyvsp[-1].xtokValue).value;
    }
#line 7976 "cimXmlOps.c"
    break;

  case 381: /* openReferenceInstancePathsParms: XTOK_IP_ROLE ZTOK_IPARAMVALUE  */
#line 5432 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
    }
#line 7984 "cimXmlOps.c"
    break;

  case 382: /* openReferenceInstancePathsParms: XTOK_IP_CONTINUEONERROR boolValue ZTOK_IPARAMVALUE  */
#line 5436 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
       (yyval.xtokOpenReferenceInstancePathsParms).flags = (yyvsp[-1].boolValue) ? FL_continueOnError : 0 ;
       (yyval.xtokOpenReferenceInstancePathsParms).flagsSet = FL_continueOnError;
    }
#line 7994 "cimXmlOps.c"
    break;

  case 383: /* openReferenceInstancePathsParms: XTOK_IP_CONTINUEONERROR ZTOK_IPARAMVALUE  */
#line 5442 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
    }
#line 8002 "cimXmlOps.c"
    break;

  case 384: /* openReferenceInstancePathsParms: XTOK_IP_OPERATIONTIMEOUT value ZTOK_IPARAMVALUE  */
#line 5446 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
       (yyval.xtokOpenReferenceInstancePathsParms).operationTimeout=atoi((yyvsp[-1].xtokValue).value);
    }
#line 8011 "cimXmlOps.c"
    break;

  case 385: /* openReferenceInstancePathsParms: XTOK_IP_OPERATIONTIMEOUT ZTOK_IPARAMVALUE  */
#line 5451 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
    }
#line 8019 "cimXmlOps.c"
    break;

  case 386: /* openReferenceInstancePathsParms: XTOK_IP_MAXOBJECTCOUNT value ZTOK_IPARAMVALUE  */
#line 5455 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
       (yyval.xtokOpenReferenceInstancePathsParms).maxObjectCount=atoi((yyvsp[-1].xtokValue).value);
    }
#line 8028 "cimXmlOps.c"
    break;

  case 387: /* openReferenceInstancePathsParms: XTOK_IP_MAXOBJECTCOUNT ZTOK_IPARAMVALUE  */
#line 5460 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
    }
#line 8036 "cimXmlOps.c"
    break;

  case 388: /* openReferenceInstancePathsParms: XTOK_IP_FILTERQUERY value ZTOK_IPARAMVALUE  */
#line 5464 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
       (yyval.xtokOpenReferenceInstancePathsParms).filterQuery=(yyvsp[-1].xtokValue).value;
    }
#line 8045 "cimXmlOps.c"
    break;

  case 389: /* openReferenceInstancePathsParms: XTOK_IP_FILTERQUERY ZTOK_IPARAMVALUE  */
#line 5469 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
    }
#line 8053 "cimXmlOps.c"
    break;

  case 390: /* openReferenceInstancePathsParms: XTOK_IP_FILTERQUERYLANG value ZTOK_IPARAMVALUE  */
#line 5473 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
       (yyval.xtokOpenReferenceInstancePathsParms).filterQueryLang=(yyvsp[-1].xtokValue).value;
    }
#line 8062 "cimXmlOps.c"
    break;

  case 391: /* openReferenceInstancePathsParms: XTOK_IP_FILTERQUERYLANG ZTOK_IPARAMVALUE  */
#line 5478 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancePathsParms), 0, sizeof((yyval.xtokOpenReferenceInstancePathsParms)));
    }
#line 8070 "cimXmlOps.c"
    break;

  case 392: /* openReferenceInstances: localNameSpacePath  */
#line 5490 "cimXmlOps.y"
    {
       (yyval.xtokOpenReferenceInstances).op.count = RI_REQ_REG_SEGMENTS;
       (yyval.xtokOpenReferenceInstances).op.type = OPS_OpenReferenceInstances;
       (yyval.xtokOpenReferenceInstances).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokOpenReferenceInstances).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokOpenReferenceInstances).op.resultClass=setCharsMsgSegment(NULL);
       (yyval.xtokOpenReferenceInstances).op.role=setCharsMsgSegment(NULL);
       (yyval.xtokOpenReferenceInstances).flags = 0;
       (yyval.xtokOpenReferenceInstances).objNameSet = 0;
       (yyval.xtokOpenReferenceInstances).propertyList.values = 0;
       (yyval.xtokOpenReferenceInstances).properties=0;

       setRequest(parm,&(yyval.xtokOpenReferenceInstances),sizeof((yyval.xtokOpenReferenceInstances)),(yyval.xtokOpenReferenceInstances).op.type);
       buildReferencesRequest(parm);  // TODO
    }
#line 8090 "cimXmlOps.c"
    break;

  case 393: /* openReferenceInstances: localNameSpacePath openReferenceInstancesParmsList  */
#line 5506 "cimXmlOps.y"
    {
       (yyval.xtokOpenReferenceInstances).op.count = RI_REQ_REG_SEGMENTS;
       (yyval.xtokOpenReferenceInstances).op.type = OPS_OpenReferenceInstances;
       (yyval.xtokOpenReferenceInstances).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokOpenReferenceInstances).op.className=setCharsMsgSegment((yyvsp[0].xtokOpenReferenceInstancesParmsList).objectName.className);
       (yyval.xtokOpenReferenceInstances).op.resultClass=setCharsMsgSegment((yyvsp[0].xtokOpenReferenceInstancesParmsList).resultClass);
       (yyval.xtokOpenReferenceInstances).op.role=setCharsMsgSegment((yyvsp[0].xtokOpenReferenceInstancesParmsList).role);
       (yyval.xtokOpenReferenceInstances).flags = ((yyvsp[0].xtokOpenReferenceInstancesParmsList).flags & (yyvsp[0].xtokOpenReferenceInstancesParmsList).flagsSet) | (~(yyvsp[0].xtokOpenReferenceInstancesParmsList).flagsSet & 0);
       (yyval.xtokOpenReferenceInstances).objectName = (yyvsp[0].xtokOpenReferenceInstancesParmsList).objectName;
       (yyval.xtokOpenReferenceInstances).objNameSet = (yyvsp[0].xtokOpenReferenceInstancesParmsList).objNameSet;
       (yyval.xtokOpenReferenceInstances).propertyList = (yyvsp[0].xtokOpenReferenceInstancesParmsList).propertyList;
       (yyval.xtokOpenReferenceInstances).properties=(yyvsp[0].xtokOpenReferenceInstancesParmsList).properties;
       (yyval.xtokOpenReferenceInstances).operationTimeout=(yyvsp[0].xtokOpenReferenceInstancesParmsList).operationTimeout;
       (yyval.xtokOpenReferenceInstances).maxObjectCount=(yyvsp[0].xtokOpenReferenceInstancesParmsList).maxObjectCount;
       (yyval.xtokOpenReferenceInstances).filterQuery=(yyvsp[0].xtokOpenReferenceInstancesParmsList).filterQuery;
       (yyval.xtokOpenReferenceInstances).filterQueryLang=(yyvsp[0].xtokOpenReferenceInstancesParmsList).filterQueryLang;

       setRequest(parm,&(yyval.xtokOpenReferenceInstances),sizeof((yyval.xtokOpenReferenceInstances)),(yyval.xtokOpenReferenceInstances).op.type);
       buildReferencesRequest(parm);  // TODO
    }
#line 8115 "cimXmlOps.c"
    break;

  case 394: /* openReferenceInstancesParmsList: openReferenceInstancesParms  */
#line 5530 "cimXmlOps.y"
    {
       (yyval.xtokOpenReferenceInstancesParmsList).flags=(yyvsp[0].xtokOpenReferenceInstancesParms).flags;
       (yyval.xtokOpenReferenceInstancesParmsList).flagsSet=(yyvsp[0].xtokOpenReferenceInstancesParms).flagsSet;
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).objNameSet)  {
          (yyval.xtokOpenReferenceInstancesParmsList).objectName=(yyvsp[0].xtokOpenReferenceInstancesParms).objectName;
          (yyval.xtokOpenReferenceInstancesParmsList).objNameSet = (yyvsp[0].xtokOpenReferenceInstancesParms).objNameSet;
       }
       (yyval.xtokOpenReferenceInstancesParmsList).resultClass=(yyvsp[0].xtokOpenReferenceInstancesParms).resultClass;
       (yyval.xtokOpenReferenceInstancesParmsList).role=(yyvsp[0].xtokOpenReferenceInstancesParms).role;
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).propertyList.values) {
          (yyval.xtokOpenReferenceInstancesParmsList).propertyList=(yyvsp[0].xtokOpenReferenceInstancesParms).propertyList;
          (yyval.xtokOpenReferenceInstancesParmsList).properties=(yyvsp[0].xtokOpenReferenceInstancesParms).properties;
       }
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).operationTimeout) (yyval.xtokOpenReferenceInstancesParmsList).operationTimeout=(yyvsp[0].xtokOpenReferenceInstancesParms).operationTimeout;
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).maxObjectCount) (yyval.xtokOpenReferenceInstancesParmsList).maxObjectCount=(yyvsp[0].xtokOpenReferenceInstancesParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).filterQuery) (yyval.xtokOpenReferenceInstancesParmsList).filterQuery=(yyvsp[0].xtokOpenReferenceInstancesParms).filterQuery;
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).filterQueryLang) (yyval.xtokOpenReferenceInstancesParmsList).filterQueryLang=(yyvsp[0].xtokOpenReferenceInstancesParms).filterQueryLang;
    }
#line 8138 "cimXmlOps.c"
    break;

  case 395: /* openReferenceInstancesParmsList: openReferenceInstancesParmsList openReferenceInstancesParms  */
#line 5549 "cimXmlOps.y"
    {
       (yyval.xtokOpenReferenceInstancesParmsList).flags=(yyvsp[-1].xtokOpenReferenceInstancesParmsList).flags|(yyvsp[0].xtokOpenReferenceInstancesParms).flags;
       (yyval.xtokOpenReferenceInstancesParmsList).flagsSet=(yyvsp[-1].xtokOpenReferenceInstancesParmsList).flagsSet|(yyvsp[0].xtokOpenReferenceInstancesParms).flagsSet;
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).resultClass) (yyval.xtokOpenReferenceInstancesParmsList).resultClass=(yyvsp[0].xtokOpenReferenceInstancesParms).resultClass;
       else if ((yyvsp[0].xtokOpenReferenceInstancesParms).role) (yyval.xtokOpenReferenceInstancesParmsList).role=(yyvsp[0].xtokOpenReferenceInstancesParms).role;
       else if ((yyvsp[0].xtokOpenReferenceInstancesParms).objNameSet) {
          (yyval.xtokOpenReferenceInstancesParmsList).objectName=(yyvsp[0].xtokOpenReferenceInstancesParms).objectName;
          (yyval.xtokOpenReferenceInstancesParmsList).objNameSet=(yyvsp[0].xtokOpenReferenceInstancesParms).objNameSet;
       }
       else if ((yyvsp[0].xtokOpenReferenceInstancesParms).propertyList.values) {
          (yyval.xtokOpenReferenceInstancesParmsList).propertyList=(yyvsp[0].xtokOpenReferenceInstancesParms).propertyList;
          (yyval.xtokOpenReferenceInstancesParmsList).properties=(yyvsp[0].xtokOpenReferenceInstancesParms).properties;
       }
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).operationTimeout) (yyval.xtokOpenReferenceInstancesParmsList).operationTimeout=(yyvsp[0].xtokOpenReferenceInstancesParms).operationTimeout;
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).maxObjectCount) (yyval.xtokOpenReferenceInstancesParmsList).maxObjectCount=(yyvsp[0].xtokOpenReferenceInstancesParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).filterQuery) (yyval.xtokOpenReferenceInstancesParmsList).filterQuery=(yyvsp[0].xtokOpenReferenceInstancesParms).filterQuery;
       if ((yyvsp[0].xtokOpenReferenceInstancesParms).filterQueryLang) (yyval.xtokOpenReferenceInstancesParmsList).filterQueryLang=(yyvsp[0].xtokOpenReferenceInstancesParms).filterQueryLang;
   }
#line 8161 "cimXmlOps.c"
    break;

  case 396: /* openReferenceInstancesParms: XTOK_IP_INSTANCENAME instanceName ZTOK_IPARAMVALUE  */
#line 5571 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).objectName = (yyvsp[-1].xtokInstanceName);
       (yyval.xtokOpenReferenceInstancesParms).objNameSet = 1;
    }
#line 8171 "cimXmlOps.c"
    break;

  case 397: /* openReferenceInstancesParms: XTOK_IP_RESULTCLASS className ZTOK_IPARAMVALUE  */
#line 5577 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).resultClass = (yyvsp[-1].className);
    }
#line 8180 "cimXmlOps.c"
    break;

  case 398: /* openReferenceInstancesParms: XTOK_IP_RESULTCLASS ZTOK_IPARAMVALUE  */
#line 5582 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
    }
#line 8188 "cimXmlOps.c"
    break;

  case 399: /* openReferenceInstancesParms: XTOK_IP_ROLE value ZTOK_IPARAMVALUE  */
#line 5586 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).role = (yyvsp[-1].xtokValue).value;
    }
#line 8197 "cimXmlOps.c"
    break;

  case 400: /* openReferenceInstancesParms: XTOK_IP_ROLE ZTOK_IPARAMVALUE  */
#line 5591 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
    }
#line 8205 "cimXmlOps.c"
    break;

  case 401: /* openReferenceInstancesParms: XTOK_IP_INCLUDEQUALIFIERS boolValue ZTOK_IPARAMVALUE  */
#line 5595 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_includeQualifiers : 0 ;
       (yyval.xtokOpenReferenceInstancesParms).flagsSet = FL_includeQualifiers;
    }
#line 8215 "cimXmlOps.c"
    break;

  case 402: /* openReferenceInstancesParms: XTOK_IP_INCLUDEQUALIFIERS ZTOK_IPARAMVALUE  */
#line 5601 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
    }
#line 8223 "cimXmlOps.c"
    break;

  case 403: /* openReferenceInstancesParms: XTOK_IP_INCLUDECLASSORIGIN boolValue ZTOK_IPARAMVALUE  */
#line 5605 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_includeClassOrigin : 0 ;
       (yyval.xtokOpenReferenceInstancesParms).flagsSet = FL_includeClassOrigin;
    }
#line 8233 "cimXmlOps.c"
    break;

  case 404: /* openReferenceInstancesParms: XTOK_IP_INCLUDECLASSORIGIN ZTOK_IPARAMVALUE  */
#line 5611 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
    }
#line 8241 "cimXmlOps.c"
    break;

  case 405: /* openReferenceInstancesParms: XTOK_IP_PROPERTYLIST valueArray ZTOK_IPARAMVALUE  */
#line 5615 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).propertyList=(yyvsp[-1].xtokValueArray);
       (yyval.xtokOpenReferenceInstancesParms).properties=(yyvsp[-1].xtokValueArray).next;
    }
#line 8251 "cimXmlOps.c"
    break;

  case 406: /* openReferenceInstancesParms: XTOK_IP_PROPERTYLIST ZTOK_IPARAMVALUE  */
#line 5621 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
    }
#line 8259 "cimXmlOps.c"
    break;

  case 407: /* openReferenceInstancesParms: XTOK_IP_CONTINUEONERROR boolValue ZTOK_IPARAMVALUE  */
#line 5625 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_continueOnError : 0 ;
       (yyval.xtokOpenReferenceInstancesParms).flagsSet = FL_continueOnError;
    }
#line 8269 "cimXmlOps.c"
    break;

  case 408: /* openReferenceInstancesParms: XTOK_IP_CONTINUEONERROR ZTOK_IPARAMVALUE  */
#line 5631 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
    }
#line 8277 "cimXmlOps.c"
    break;

  case 409: /* openReferenceInstancesParms: XTOK_IP_OPERATIONTIMEOUT value ZTOK_IPARAMVALUE  */
#line 5635 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).operationTimeout=atoi((yyvsp[-1].xtokValue).value);
    }
#line 8286 "cimXmlOps.c"
    break;

  case 410: /* openReferenceInstancesParms: XTOK_IP_OPERATIONTIMEOUT ZTOK_IPARAMVALUE  */
#line 5640 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
    }
#line 8294 "cimXmlOps.c"
    break;

  case 411: /* openReferenceInstancesParms: XTOK_IP_MAXOBJECTCOUNT value ZTOK_IPARAMVALUE  */
#line 5644 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).maxObjectCount=atoi((yyvsp[-1].xtokValue).value);
    }
#line 8303 "cimXmlOps.c"
    break;

  case 412: /* openReferenceInstancesParms: XTOK_IP_MAXOBJECTCOUNT ZTOK_IPARAMVALUE  */
#line 5649 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
    }
#line 8311 "cimXmlOps.c"
    break;

  case 413: /* openReferenceInstancesParms: XTOK_IP_FILTERQUERY value ZTOK_IPARAMVALUE  */
#line 5653 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).filterQuery=(yyvsp[-1].xtokValue).value;
    }
#line 8320 "cimXmlOps.c"
    break;

  case 414: /* openReferenceInstancesParms: XTOK_IP_FILTERQUERY ZTOK_IPARAMVALUE  */
#line 5658 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
    }
#line 8328 "cimXmlOps.c"
    break;

  case 415: /* openReferenceInstancesParms: XTOK_IP_FILTERQUERYLANG value ZTOK_IPARAMVALUE  */
#line 5662 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
       (yyval.xtokOpenReferenceInstancesParms).filterQueryLang=(yyvsp[-1].xtokValue).value;
    }
#line 8337 "cimXmlOps.c"
    break;

  case 416: /* openReferenceInstancesParms: XTOK_IP_FILTERQUERYLANG ZTOK_IPARAMVALUE  */
#line 5667 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenReferenceInstancesParms), 0, sizeof((yyval.xtokOpenReferenceInstancesParms)));
    }
#line 8345 "cimXmlOps.c"
    break;

  case 417: /* openQueryInstances: localNameSpacePath  */
#line 5679 "cimXmlOps.y"
    {
       (yyval.xtokOpenQueryInstances).op.count = EQ_REQ_REG_SEGMENTS;
       (yyval.xtokOpenQueryInstances).op.type = OPS_OpenQueryInstances;
       (yyval.xtokOpenQueryInstances).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokOpenQueryInstances).op.className=setCharsMsgSegment(NULL);

       setRequest(parm,&(yyval.xtokOpenQueryInstances),sizeof((yyval.xtokOpenQueryInstances)),(yyval.xtokOpenQueryInstances).op.type);
       buildExecQueryRequest(parm);  // TODO
    }
#line 8359 "cimXmlOps.c"
    break;

  case 418: /* openQueryInstances: localNameSpacePath openQueryInstancesParmsList  */
#line 5689 "cimXmlOps.y"
    {
       (yyval.xtokOpenQueryInstances).op.count = EQ_REQ_REG_SEGMENTS;
       (yyval.xtokOpenQueryInstances).op.type = OPS_OpenQueryInstances;
       (yyval.xtokOpenQueryInstances).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokOpenQueryInstances).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokOpenQueryInstances).flags = ((yyvsp[0].xtokOpenQueryInstancesParmsList).flags & (yyvsp[0].xtokOpenQueryInstancesParmsList).flagsSet) | ((~(yyvsp[0].xtokOpenQueryInstancesParmsList).flagsSet) & (FL_localOnly));
       (yyval.xtokOpenQueryInstances).operationTimeout=(yyvsp[0].xtokOpenQueryInstancesParmsList).operationTimeout;
       (yyval.xtokOpenQueryInstances).maxObjectCount=(yyvsp[0].xtokOpenQueryInstancesParmsList).maxObjectCount;
       (yyval.xtokOpenQueryInstances).filterQuery=(yyvsp[0].xtokOpenQueryInstancesParmsList).filterQuery;
       (yyval.xtokOpenQueryInstances).filterQueryLang=(yyvsp[0].xtokOpenQueryInstancesParmsList).filterQueryLang;
       (yyval.xtokOpenQueryInstances).op.query=setCharsMsgSegment((yyvsp[0].xtokOpenQueryInstancesParmsList).filterQuery);
       (yyval.xtokOpenQueryInstances).op.queryLang=setCharsMsgSegment((yyvsp[0].xtokOpenQueryInstancesParmsList).filterQueryLang);

       setRequest(parm,&(yyval.xtokOpenQueryInstances),sizeof((yyval.xtokOpenQueryInstances)),(yyval.xtokOpenQueryInstances).op.type);
       buildExecQueryRequest(parm);  // TODO
    }
#line 8380 "cimXmlOps.c"
    break;

  case 419: /* openQueryInstancesParmsList: openQueryInstancesParms  */
#line 5709 "cimXmlOps.y"
    {
       (yyval.xtokOpenQueryInstancesParmsList).flags=(yyvsp[0].xtokOpenQueryInstancesParms).flags;
       (yyval.xtokOpenQueryInstancesParmsList).flagsSet=(yyvsp[0].xtokOpenQueryInstancesParms).flagsSet;
       if ((yyvsp[0].xtokOpenQueryInstancesParms).operationTimeout) (yyval.xtokOpenQueryInstancesParmsList).operationTimeout=(yyvsp[0].xtokOpenQueryInstancesParms).operationTimeout;
       if ((yyvsp[0].xtokOpenQueryInstancesParms).maxObjectCount) (yyval.xtokOpenQueryInstancesParmsList).maxObjectCount=(yyvsp[0].xtokOpenQueryInstancesParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenQueryInstancesParms).filterQuery) (yyval.xtokOpenQueryInstancesParmsList).filterQuery=(yyvsp[0].xtokOpenQueryInstancesParms).filterQuery;
       if ((yyvsp[0].xtokOpenQueryInstancesParms).filterQueryLang) (yyval.xtokOpenQueryInstancesParmsList).filterQueryLang=(yyvsp[0].xtokOpenQueryInstancesParms).filterQueryLang;
    }
#line 8393 "cimXmlOps.c"
    break;

  case 420: /* openQueryInstancesParmsList: openQueryInstancesParmsList openQueryInstancesParms  */
#line 5718 "cimXmlOps.y"
    {
       (yyval.xtokOpenQueryInstancesParmsList).flags=(yyvsp[-1].xtokOpenQueryInstancesParmsList).flags|(yyvsp[0].xtokOpenQueryInstancesParms).flags;
       (yyval.xtokOpenQueryInstancesParmsList).flagsSet=(yyvsp[-1].xtokOpenQueryInstancesParmsList).flagsSet|(yyvsp[0].xtokOpenQueryInstancesParms).flagsSet;
       if ((yyvsp[0].xtokOpenQueryInstancesParms).operationTimeout) (yyval.xtokOpenQueryInstancesParmsList).operationTimeout=(yyvsp[0].xtokOpenQueryInstancesParms).operationTimeout;
       if ((yyvsp[0].xtokOpenQueryInstancesParms).maxObjectCount) (yyval.xtokOpenQueryInstancesParmsList).maxObjectCount=(yyvsp[0].xtokOpenQueryInstancesParms).maxObjectCount;
       if ((yyvsp[0].xtokOpenQueryInstancesParms).filterQuery) (yyval.xtokOpenQueryInstancesParmsList).filterQuery=(yyvsp[0].xtokOpenQueryInstancesParms).filterQuery;
       if ((yyvsp[0].xtokOpenQueryInstancesParms).filterQueryLang) (yyval.xtokOpenQueryInstancesParmsList).filterQueryLang=(yyvsp[0].xtokOpenQueryInstancesParms).filterQueryLang;
    }
#line 8406 "cimXmlOps.c"
    break;

  case 421: /* openQueryInstancesParms: XTOK_IP_RETURNQUERYRESULTCLASS boolValue ZTOK_IPARAMVALUE  */
#line 5730 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
       (yyval.xtokOpenQueryInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_returnQueryResultClass : 0 ;
       (yyval.xtokOpenQueryInstancesParms).flagsSet = FL_returnQueryResultClass;
    }
#line 8416 "cimXmlOps.c"
    break;

  case 422: /* openQueryInstancesParms: XTOK_IP_RETURNQUERYRESULTCLASS ZTOK_IPARAMVALUE  */
#line 5736 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
    }
#line 8424 "cimXmlOps.c"
    break;

  case 423: /* openQueryInstancesParms: XTOK_IP_CONTINUEONERROR boolValue ZTOK_IPARAMVALUE  */
#line 5740 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
       (yyval.xtokOpenQueryInstancesParms).flags = (yyvsp[-1].boolValue) ? FL_continueOnError : 0 ;
       (yyval.xtokOpenQueryInstancesParms).flagsSet = FL_continueOnError;
    }
#line 8434 "cimXmlOps.c"
    break;

  case 424: /* openQueryInstancesParms: XTOK_IP_CONTINUEONERROR ZTOK_IPARAMVALUE  */
#line 5746 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
    }
#line 8442 "cimXmlOps.c"
    break;

  case 425: /* openQueryInstancesParms: XTOK_IP_OPERATIONTIMEOUT value ZTOK_IPARAMVALUE  */
#line 5750 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
       (yyval.xtokOpenQueryInstancesParms).operationTimeout=atoi((yyvsp[-1].xtokValue).value);
    }
#line 8451 "cimXmlOps.c"
    break;

  case 426: /* openQueryInstancesParms: XTOK_IP_OPERATIONTIMEOUT ZTOK_IPARAMVALUE  */
#line 5755 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
    }
#line 8459 "cimXmlOps.c"
    break;

  case 427: /* openQueryInstancesParms: XTOK_IP_MAXOBJECTCOUNT value ZTOK_IPARAMVALUE  */
#line 5759 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
       (yyval.xtokOpenQueryInstancesParms).maxObjectCount=atoi((yyvsp[-1].xtokValue).value);
    }
#line 8468 "cimXmlOps.c"
    break;

  case 428: /* openQueryInstancesParms: XTOK_IP_MAXOBJECTCOUNT ZTOK_IPARAMVALUE  */
#line 5764 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
    }
#line 8476 "cimXmlOps.c"
    break;

  case 429: /* openQueryInstancesParms: XTOK_IP_FILTERQUERY value ZTOK_IPARAMVALUE  */
#line 5768 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
       (yyval.xtokOpenQueryInstancesParms).filterQuery=(yyvsp[-1].xtokValue).value;
    }
#line 8485 "cimXmlOps.c"
    break;

  case 430: /* openQueryInstancesParms: XTOK_IP_FILTERQUERY ZTOK_IPARAMVALUE  */
#line 5773 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
    }
#line 8493 "cimXmlOps.c"
    break;

  case 431: /* openQueryInstancesParms: XTOK_IP_FILTERQUERYLANG value ZTOK_IPARAMVALUE  */
#line 5777 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
       (yyval.xtokOpenQueryInstancesParms).filterQueryLang=(yyvsp[-1].xtokValue).value;
    }
#line 8502 "cimXmlOps.c"
    break;

  case 432: /* openQueryInstancesParms: XTOK_IP_FILTERQUERYLANG ZTOK_IPARAMVALUE  */
#line 5782 "cimXmlOps.y"
    {
       memset(&(yyval.xtokOpenQueryInstancesParms), 0, sizeof((yyval.xtokOpenQueryInstancesParms)));
    }
#line 8510 "cimXmlOps.c"
    break;

  case 433: /* pullInstances: localNameSpacePath  */
#line 5793 "cimXmlOps.y"
    {
       (yyval.xtokPullInstances).op.count = EI_REQ_REG_SEGMENTS;  // TODO
       (yyval.xtokPullInstances).op.type = OPS_PullInstances;
       (yyval.xtokPullInstances).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokPullInstances).op.className=setCharsMsgSegment(NULL);

       setRequest(parm,&(yyval.xtokPullInstances),sizeof((yyval.xtokPullInstances)),(yyval.xtokPullInstances).op.type);
       buildPullInstancesRequest(parm);
    }
#line 8524 "cimXmlOps.c"
    break;

  case 434: /* pullInstances: localNameSpacePath pullInstancesParmsList  */
#line 5803 "cimXmlOps.y"
    {
       (yyval.xtokPullInstances).op.count = EI_REQ_REG_SEGMENTS;
       (yyval.xtokPullInstances).op.type = OPS_PullInstances;
       (yyval.xtokPullInstances).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokPullInstances).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokPullInstances).maxObjectCount=(yyvsp[0].xtokPullInstancesParmsList).maxObjectCount;
       (yyval.xtokPullInstances).enumerationContext=(yyvsp[0].xtokPullInstancesParmsList).enumerationContext;

       setRequest(parm,&(yyval.xtokPullInstances),sizeof((yyval.xtokPullInstances)),(yyval.xtokPullInstances).op.type);
       buildPullInstancesRequest(parm);
    }
#line 8540 "cimXmlOps.c"
    break;

  case 435: /* pullInstancesParmsList: pullInstancesParms  */
#line 5818 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokPullInstancesParms).maxObjectCount) (yyval.xtokPullInstancesParmsList).maxObjectCount=(yyvsp[0].xtokPullInstancesParms).maxObjectCount;
       if ((yyvsp[0].xtokPullInstancesParms).enumerationContext) (yyval.xtokPullInstancesParmsList).enumerationContext=(yyvsp[0].xtokPullInstancesParms).enumerationContext;
    }
#line 8549 "cimXmlOps.c"
    break;

  case 436: /* pullInstancesParmsList: pullInstancesParmsList pullInstancesParms  */
#line 5823 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokPullInstancesParms).maxObjectCount) (yyval.xtokPullInstancesParmsList).maxObjectCount=(yyvsp[0].xtokPullInstancesParms).maxObjectCount;
       if ((yyvsp[0].xtokPullInstancesParms).enumerationContext) (yyval.xtokPullInstancesParmsList).enumerationContext=(yyvsp[0].xtokPullInstancesParms).enumerationContext;
    }
#line 8558 "cimXmlOps.c"
    break;

  case 437: /* pullInstancesParms: XTOK_IP_MAXOBJECTCOUNT value ZTOK_IPARAMVALUE  */
#line 5831 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancesParms), 0, sizeof((yyval.xtokPullInstancesParms)));
       (yyval.xtokPullInstancesParms).maxObjectCount=atoi((yyvsp[-1].xtokValue).value);
    }
#line 8567 "cimXmlOps.c"
    break;

  case 438: /* pullInstancesParms: XTOK_IP_MAXOBJECTCOUNT ZTOK_IPARAMVALUE  */
#line 5836 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancesParms), 0, sizeof((yyval.xtokPullInstancesParms)));
    }
#line 8575 "cimXmlOps.c"
    break;

  case 439: /* pullInstancesParms: XTOK_IP_ENUMERATIONCONTEXT enumerationContext ZTOK_IPARAMVALUE  */
#line 5840 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancesParms), 0, sizeof((yyval.xtokPullInstancesParms)));
       (yyval.xtokPullInstancesParms).enumerationContext=(yyvsp[-1].enumerationContext);
    }
#line 8584 "cimXmlOps.c"
    break;

  case 440: /* pullInstancesParms: XTOK_IP_ENUMERATIONCONTEXT ZTOK_IPARAMVALUE  */
#line 5845 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancesParms), 0, sizeof((yyval.xtokPullInstancesParms)));
    }
#line 8592 "cimXmlOps.c"
    break;

  case 441: /* pullInstancesWithPath: localNameSpacePath  */
#line 5857 "cimXmlOps.y"
    {
       (yyval.xtokPullInstancesWithPath).op.count = EI_REQ_REG_SEGMENTS;  // TODO
       (yyval.xtokPullInstancesWithPath).op.type = OPS_PullInstancesWithPath;
       (yyval.xtokPullInstancesWithPath).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokPullInstancesWithPath).op.className=setCharsMsgSegment(NULL);

       setRequest(parm,&(yyval.xtokPullInstancesWithPath),sizeof((yyval.xtokPullInstancesWithPath)),(yyval.xtokPullInstancesWithPath).op.type);
//     buildPullInstancePathsRequest(parm);
       buildPullInstancesRequest(parm); // TODO  Or maybe this is acceptable...
    }
#line 8607 "cimXmlOps.c"
    break;

  case 442: /* pullInstancesWithPath: localNameSpacePath pullInstancesWithPathParmsList  */
#line 5868 "cimXmlOps.y"
    {
       (yyval.xtokPullInstancesWithPath).op.count = EI_REQ_REG_SEGMENTS;
       (yyval.xtokPullInstancesWithPath).op.type = OPS_PullInstancesWithPath;
       (yyval.xtokPullInstancesWithPath).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokPullInstancesWithPath).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokPullInstancesWithPath).maxObjectCount=(yyvsp[0].xtokPullInstancesWithPathParmsList).maxObjectCount;
       (yyval.xtokPullInstancesWithPath).enumerationContext=(yyvsp[0].xtokPullInstancesWithPathParmsList).enumerationContext;

       setRequest(parm,&(yyval.xtokPullInstancesWithPath),sizeof((yyval.xtokPullInstancesWithPath)),(yyval.xtokPullInstancesWithPath).op.type);
//     buildPullInstancesWithPathRequest(parm);
       buildPullInstancesRequest(parm);
    }
#line 8624 "cimXmlOps.c"
    break;

  case 443: /* pullInstancesWithPathParmsList: pullInstancesWithPathParms  */
#line 5884 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokPullInstancesWithPathParms).maxObjectCount) (yyval.xtokPullInstancesWithPathParmsList).maxObjectCount=(yyvsp[0].xtokPullInstancesWithPathParms).maxObjectCount;
       if ((yyvsp[0].xtokPullInstancesWithPathParms).enumerationContext) (yyval.xtokPullInstancesWithPathParmsList).enumerationContext=(yyvsp[0].xtokPullInstancesWithPathParms).enumerationContext;
    }
#line 8633 "cimXmlOps.c"
    break;

  case 444: /* pullInstancesWithPathParmsList: pullInstancesWithPathParmsList pullInstancesWithPathParms  */
#line 5889 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokPullInstancesWithPathParms).maxObjectCount) (yyval.xtokPullInstancesWithPathParmsList).maxObjectCount=(yyvsp[0].xtokPullInstancesWithPathParms).maxObjectCount;
       if ((yyvsp[0].xtokPullInstancesWithPathParms).enumerationContext) (yyval.xtokPullInstancesWithPathParmsList).enumerationContext=(yyvsp[0].xtokPullInstancesWithPathParms).enumerationContext;
    }
#line 8642 "cimXmlOps.c"
    break;

  case 445: /* pullInstancesWithPathParms: XTOK_IP_MAXOBJECTCOUNT value ZTOK_IPARAMVALUE  */
#line 5897 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancesWithPathParms), 0, sizeof((yyval.xtokPullInstancesWithPathParms)));
       (yyval.xtokPullInstancesWithPathParms).maxObjectCount=atoi((yyvsp[-1].xtokValue).value);
    }
#line 8651 "cimXmlOps.c"
    break;

  case 446: /* pullInstancesWithPathParms: XTOK_IP_MAXOBJECTCOUNT ZTOK_IPARAMVALUE  */
#line 5902 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancesWithPathParms), 0, sizeof((yyval.xtokPullInstancesWithPathParms)));
    }
#line 8659 "cimXmlOps.c"
    break;

  case 447: /* pullInstancesWithPathParms: XTOK_IP_ENUMERATIONCONTEXT enumerationContext ZTOK_IPARAMVALUE  */
#line 5906 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancesWithPathParms), 0, sizeof((yyval.xtokPullInstancesWithPathParms)));
       (yyval.xtokPullInstancesWithPathParms).enumerationContext=(yyvsp[-1].enumerationContext);
    }
#line 8668 "cimXmlOps.c"
    break;

  case 448: /* pullInstancesWithPathParms: XTOK_IP_ENUMERATIONCONTEXT ZTOK_IPARAMVALUE  */
#line 5911 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancesWithPathParms), 0, sizeof((yyval.xtokPullInstancesWithPathParms)));
    }
#line 8676 "cimXmlOps.c"
    break;

  case 449: /* pullInstancePaths: localNameSpacePath  */
#line 5923 "cimXmlOps.y"
    {
       (yyval.xtokPullInstancePaths).op.count = EI_REQ_REG_SEGMENTS;  // TODO
       (yyval.xtokPullInstancePaths).op.type = OPS_PullInstances;
       (yyval.xtokPullInstancePaths).op.nameSpace=setCharsMsgSegment((yyvsp[0].xtokLocalNameSpacePath));
       (yyval.xtokPullInstancePaths).op.className=setCharsMsgSegment(NULL);

       setRequest(parm,&(yyval.xtokPullInstancePaths),sizeof((yyval.xtokPullInstancePaths)),(yyval.xtokPullInstancePaths).op.type);
//     buildPullInstancePathsRequest(parm);
       buildPullInstancesRequest(parm); // TODO  Or maybe this is acceptable...
    }
#line 8691 "cimXmlOps.c"
    break;

  case 450: /* pullInstancePaths: localNameSpacePath pullInstancePathsParmsList  */
#line 5934 "cimXmlOps.y"
    {
       (yyval.xtokPullInstancePaths).op.count = EI_REQ_REG_SEGMENTS;
       (yyval.xtokPullInstancePaths).op.type = OPS_PullInstances;
       (yyval.xtokPullInstancePaths).op.nameSpace=setCharsMsgSegment((yyvsp[-1].xtokLocalNameSpacePath));
       (yyval.xtokPullInstancePaths).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokPullInstancePaths).maxObjectCount=(yyvsp[0].xtokPullInstancePathsParmsList).maxObjectCount;
       (yyval.xtokPullInstancePaths).enumerationContext=(yyvsp[0].xtokPullInstancePathsParmsList).enumerationContext;

       setRequest(parm,&(yyval.xtokPullInstancePaths),sizeof((yyval.xtokPullInstancePaths)),(yyval.xtokPullInstancePaths).op.type);
//     buildPullInstancePathsRequest(parm);
       buildPullInstancesRequest(parm);
    }
#line 8708 "cimXmlOps.c"
    break;

  case 451: /* pullInstancePathsParmsList: pullInstancePathsParms  */
#line 5950 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokPullInstancePathsParms).maxObjectCount) (yyval.xtokPullInstancePathsParmsList).maxObjectCount=(yyvsp[0].xtokPullInstancePathsParms).maxObjectCount;
       if ((yyvsp[0].xtokPullInstancePathsParms).enumerationContext) (yyval.xtokPullInstancePathsParmsList).enumerationContext=(yyvsp[0].xtokPullInstancePathsParms).enumerationContext;
    }
#line 8717 "cimXmlOps.c"
    break;

  case 452: /* pullInstancePathsParmsList: pullInstancePathsParmsList pullInstancePathsParms  */
#line 5955 "cimXmlOps.y"
    {
       if ((yyvsp[0].xtokPullInstancePathsParms).maxObjectCount) (yyval.xtokPullInstancePathsParmsList).maxObjectCount=(yyvsp[0].xtokPullInstancePathsParms).maxObjectCount;
       if ((yyvsp[0].xtokPullInstancePathsParms).enumerationContext) (yyval.xtokPullInstancePathsParmsList).enumerationContext=(yyvsp[0].xtokPullInstancePathsParms).enumerationContext;
    }
#line 8726 "cimXmlOps.c"
    break;

  case 453: /* pullInstancePathsParms: XTOK_IP_MAXOBJECTCOUNT value ZTOK_IPARAMVALUE  */
#line 5963 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancePathsParms), 0, sizeof((yyval.xtokPullInstancePathsParms)));
       (yyval.xtokPullInstancePathsParms).maxObjectCount=atoi((yyvsp[-1].xtokValue).value);
    }
#line 8735 "cimXmlOps.c"
    break;

  case 454: /* pullInstancePathsParms: XTOK_IP_MAXOBJECTCOUNT ZTOK_IPARAMVALUE  */
#line 5968 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancePathsParms), 0, sizeof((yyval.xtokPullInstancePathsParms)));
    }
#line 8743 "cimXmlOps.c"
    break;

  case 455: /* pullInstancePathsParms: XTOK_IP_ENUMERATIONCONTEXT enumerationContext ZTOK_IPARAMVALUE  */
#line 5972 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancePathsParms), 0, sizeof((yyval.xtokPullInstancePathsParms)));
       (yyval.xtokPullInstancePathsParms).enumerationContext=(yyvsp[-1].enumerationContext);
    }
#line 8752 "cimXmlOps.c"
    break;

  case 456: /* pullInstancePathsParms: XTOK_IP_ENUMERATIONCONTEXT ZTOK_IPARAMVALUE  */
#line 5977 "cimXmlOps.y"
    {
       memset(&(yyval.xtokPullInstancePathsParms), 0, sizeof((yyval.xtokPullInstancePathsParms)));
    }
#line 8760 "cimXmlOps.c"
    break;

  case 457: /* closeEnumeration: localNameSpacePath XTOK_IP_ENUMERATIONCONTEXT enumerationContext ZTOK_IPARAMVALUE  */
#line 5988 "cimXmlOps.y"
    {
       (yyval.xtokCloseEnumeration).op.count = EI_REQ_REG_SEGMENTS;  // TODO
       (yyval.xtokCloseEnumeration).op.type = OPS_CloseEnumeration;
       (yyval.xtokCloseEnumeration).op.nameSpace=setCharsMsgSegment((yyvsp[-3].xtokLocalNameSpacePath));
       (yyval.xtokCloseEnumeration).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokCloseEnumeration).enumerationContext=(yyvsp[-1].enumerationContext);

       setRequest(parm,&(yyval.xtokCloseEnumeration),sizeof((yyval.xtokCloseEnumeration)),(yyval.xtokCloseEnumeration).op.type);
       buildCloseEnumerationRequest(parm);
    }
#line 8775 "cimXmlOps.c"
    break;

  case 458: /* enumerationCount: localNameSpacePath XTOK_IP_ENUMERATIONCONTEXT enumerationContext ZTOK_IPARAMVALUE  */
#line 6006 "cimXmlOps.y"
    {
       (yyval.xtokEnumerationCount).op.count = EI_REQ_REG_SEGMENTS;  // TODO
       (yyval.xtokEnumerationCount).op.type = OPS_EnumerationCount;
       (yyval.xtokEnumerationCount).op.nameSpace=setCharsMsgSegment((yyvsp[-3].xtokLocalNameSpacePath));
       (yyval.xtokEnumerationCount).op.className=setCharsMsgSegment(NULL);
       (yyval.xtokEnumerationCount).enumerationContext=(yyvsp[-1].enumerationContext);

       setRequest(parm,&(yyval.xtokEnumerationCount),sizeof((yyval.xtokEnumerationCount)),(yyval.xtokEnumerationCount).op.type);
       buildEnumerationCountRequest(parm);
    }
#line 8790 "cimXmlOps.c"
    break;

  case 459: /* enumerationContext: XTOK_VALUE ZTOK_VALUE  */
#line 6021 "cimXmlOps.y"
    {
    (yyval.enumerationContext)=atol((yyvsp[-1].xtokValue).value); // TODO need some checking here
    }
#line 8798 "cimXmlOps.c"
    break;

  case 460: /* className: XTOK_CLASSNAME ZTOK_CLASSNAME  */
#line 6028 "cimXmlOps.y"
    {
    }
#line 8805 "cimXmlOps.c"
    break;

  case 461: /* instanceName: XTOK_INSTANCENAME ZTOK_INSTANCENAME  */
#line 6040 "cimXmlOps.y"
    {
       (yyval.xtokInstanceName).className=(yyvsp[-1].xtokInstanceName).className;
       (yyval.xtokInstanceName).bindings.next=0;
       (yyval.xtokInstanceName).bindings.keyBindings=NULL;
    }
#line 8815 "cimXmlOps.c"
    break;

  case 462: /* instanceName: XTOK_INSTANCENAME keyBindings ZTOK_INSTANCENAME  */
#line 6046 "cimXmlOps.y"
    {
       (yyval.xtokInstanceName).className=(yyvsp[-2].xtokInstanceName).className;
       (yyval.xtokInstanceName).bindings=(yyvsp[-1].xtokKeyBindings);
    }
#line 8824 "cimXmlOps.c"
    break;

  case 463: /* keyBindings: keyBinding  */
#line 6054 "cimXmlOps.y"
    {
       (yyval.xtokKeyBindings).next=1;
       (yyval.xtokKeyBindings).max=KEYBINDING_MAX_START;
       (yyval.xtokKeyBindings).keyBindings=calloc(((yyval.xtokKeyBindings).max),sizeof(XtokKeyBinding));
       (yyval.xtokKeyBindings).keyBindings[0].name=(yyvsp[0].xtokKeyBinding).name;
       (yyval.xtokKeyBindings).keyBindings[0].value=(yyvsp[0].xtokKeyBinding).value;
       (yyval.xtokKeyBindings).keyBindings[0].type=(yyvsp[0].xtokKeyBinding).type;
       (yyval.xtokKeyBindings).keyBindings[0].ref=(yyvsp[0].xtokKeyBinding).ref;
    }
#line 8838 "cimXmlOps.c"
    break;

  case 464: /* keyBindings: keyBindings keyBinding  */
#line 6064 "cimXmlOps.y"
    {
       if ((yyval.xtokKeyBindings).next == (yyval.xtokKeyBindings).max) { /* max was hit; let's bump it up 50% */
         (yyval.xtokKeyBindings).max = (int)((yyval.xtokKeyBindings).max * ((float)3)/2);
         (yyval.xtokKeyBindings).keyBindings=realloc(((yyval.xtokKeyBindings).keyBindings), sizeof(XtokKeyBinding)*((yyval.xtokKeyBindings).max));
       }
       (yyval.xtokKeyBindings).keyBindings[(yyval.xtokKeyBindings).next].name=(yyvsp[0].xtokKeyBinding).name;
       (yyval.xtokKeyBindings).keyBindings[(yyval.xtokKeyBindings).next].value=(yyvsp[0].xtokKeyBinding).value;
       (yyval.xtokKeyBindings).keyBindings[(yyval.xtokKeyBindings).next].type=(yyvsp[0].xtokKeyBinding).type;
       (yyval.xtokKeyBindings).keyBindings[(yyval.xtokKeyBindings).next].ref=(yyvsp[0].xtokKeyBinding).ref;
       (yyval.xtokKeyBindings).next++;
    }
#line 8854 "cimXmlOps.c"
    break;

  case 465: /* keyBinding: XTOK_KEYBINDING XTOK_KEYVALUE ZTOK_KEYVALUE ZTOK_KEYBINDING  */
#line 6079 "cimXmlOps.y"
    {
       (yyval.xtokKeyBinding).name=(yyvsp[-3].xtokKeyBinding).name;
       (yyval.xtokKeyBinding).value=(yyvsp[-2].xtokKeyValue).value;
       (yyval.xtokKeyBinding).type=(yyvsp[-2].xtokKeyValue).valueType;
    }
#line 8864 "cimXmlOps.c"
    break;

  case 466: /* keyBinding: XTOK_KEYBINDING valueReference ZTOK_KEYBINDING  */
#line 6085 "cimXmlOps.y"
    {
       (yyval.xtokKeyBinding).name=(yyvsp[-2].xtokKeyBinding).name;
       (yyval.xtokKeyBinding).value=NULL;
       (yyval.xtokKeyBinding).type="ref";
       (yyval.xtokKeyBinding).ref=(yyvsp[-1].xtokValueReference);
    }
#line 8875 "cimXmlOps.c"
    break;


#line 8879 "cimXmlOps.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (parm, YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, parm);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, parm);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (parm, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, parm);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, parm);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 6093 "cimXmlOps.y"

